2012-05-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-msg-mail): Ensure that gnus-newsgroup-name is
	a string so that Gcc works (bug#11514).

2012-04-21  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus.el (debbugs-gnu): Don't override existing autoload definition.

2012-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-insert-gcc): Don't do the alist stuff when we
	don't have a current group.

2012-04-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-insert-gcc): Protect against when we don't
	have a group name.

	* gnus-art.el (article-wash-html): Ensure that we insert the HTML into
	a multibyte buffer (bug#7410).
	(article-wash-html): Parse the original article buffer to get the
	unencoded data (bug#7410).

	* gnus-start.el (gnus-read-newsrc-el-file): Protect against broken
	.newsrc.el files.

2012-03-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Quote tokens that contain
	"#" to avoid having them interpreted as comments.

2012-03-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Update the text state properly to avoid
	inserting spurious paragraph starts.

2012-03-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Don't propagate marks unless
	requested (bug#10961).

	* shr.el (shr-table-widths): Divide the extra width more fairly over
	the TDs (bug#10973).
	(shr-render-td): Don't delete too much padding.
	(shr-natural-width): Compute the natural width more correctly.
	(shr-insert): Allow the natural width to be computed for tables again.
	(shr-tag-table-1): Rework how the natural widths are computed by
	rendering the table a third time.
	(shr-natural-width): Removed.
	(shr-buffer-width): New function.
	(shr-expand-newlines): Use it.

	* gnus-msg.el (gnus-bug): Don't delete the other windows.  We may be
	using a `gnus-use-full-window' setup (bug#11013).

2012-03-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-backend-trace): Flip default to nil before Emacs
	24.1 release.

2012-03-10  David Edmondson  <dme@dme.org>

	* mm-uu.el (mm-uu-forward-extract): Allow for blank lines between the
	'Forwarded Message' header and the start of the message.

2012-03-04  Thierry Volpiatto  <thierry.volpiatto@gmail.com>

	* gnus-msg.el (gnus-msg-mail): Call `message-mail' correctly when Gnus
	isn't running (bug#10897).

2012-02-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-column-specs): Protect against TDs with "width: 0%".

2012-02-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-send-authinfo): Work for secure nntp entry in authinfo.

2012-02-20  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Remove "soft hyphens".

	* nnimap.el (nnimap-request-list): Return the group names encoded as
	utf8.  Otherwise non-European group names don't work.
	(nnimap-request-newgroups): Ditto.

	* gnus-sum.el (gnus-summary-insert-old-articles): Fix the syntax for
	the default in `read-string' (bug#10757).

	* gnus-msg.el (gnus-group-post-news): Don't bug out on `C-u a' on
	topics (bug#10843).

	* nnimap.el (nnimap-log-command): Add the IMAP address to the log
	buffer.  Suggested by Herbert Valerio Riedel.
	(nnimap-request-move-article): Delete the message from the correct IMAP
	server.

2012-02-19  Vida Gábor  <vidagabor@gmail.com>  (tiny change)

	* gnus-demon.el (gnus-demon-init): Don't multiply time twice.
	Reported by Peter Münster.

2012-02-18  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-image-fetched): Make sure we really kill the right
	buffer.

2012-02-16  Leo Liu  <sdl.web@gmail.com>

	* gnus-start.el (gnus-1): Avoid duplicate entries.

2012-02-15  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-remove-trailing-whitespace): Really delete the padding on
	too-wide lines.

2012-02-15  Paul Eggert  <eggert@cs.ucla.edu>

	* shr.el (shr-rescale-image): Undo previous change; see
	<http://lists.gnu.org/archive/html/emacs-devel/2012-02/msg00540.html>.

2012-02-13  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-record-commands): New variable.
	(nnimap-log-command): Use it.
	(nnimap-make-process-buffer): Add a space to the process buffer.
	(nnimap-transform-headers): Don't bug out on header lines containing
	stuff that look like IMAP length encodings.

	* shr.el (shr-rescale-image): Allow viewing large images.

2012-02-12  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnml.el (nnml-request-compact-group): Delete the marks file after
	compaction (bug#10800).

	* gnus-art.el (gnus-stop-downloads): Stop `url-queue' downloads on
	group exit.

	* nnimap.el (nnimap-parse-flags): Parse correctly when we have mixed
	QRESYNC/FETCH output.

2012-02-11  Glenn Morris  <rgm@gnu.org>

	* sieve-manage.el (sieve-manage-default-stream):
	* shr.el (shr):
	* nnir.el (nnir-ignored-newsgroups, nnir-summary-line-format)
	(nnir-retrieve-headers-override-function)
	(nnir-imap-default-search-key, nnir-notmuch-program)
	(nnir-notmuch-additional-switches, nnir-notmuch-remove-prefix)
	(nnir-method-default-engines):
	* message.el (message-cite-reply-position):
	* gssapi.el (gssapi-program):
	* gravatar.el (gravatar):
	* gnus-sum.el (gnus-refer-thread-use-nnir):
	* gnus-registry.el (gnus-registry-unfollowed-addresses)
	(gnus-registry-max-pruned-entries):
	* gnus-picon.el (gnus-picon-inhibit-top-level-domains):
	* gnus-int.el (gnus-after-set-mark-hook)
	(gnus-before-update-mark-hook):
	* gnus-async.el (gnus-async-post-fetch-function):
	* auth-source.el (auth-source-cache-expiry):
	Add missing :version tags to new defcustoms and defgroups.

2012-02-10  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-default-send-mail-function): Made into own
	function for reuse by emacsbug.el.

2012-02-09  Juanma Barranquero  <lekktu@gmail.com>

	* gnus.el (gnus-method-ephemeral-p): Move after declaration of defsubst
	`gnus-sloppily-equal-method-parameters' to avoid a warning.

2012-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-msg-mail): Use `message-mail' if Gnus isn't
	running.

	* nnimap.el (nnimap-wait-for-response): Minor fixup of message string.

	* gnus.el (gnus-server-extend-method): Don't add an -address component
	if the method already has one (bug#9676).

2012-02-08  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-insert-old-articles): Use a default instead
	of an initial-input for consistency (bug#10757).

	* shr.el: Inhibit getting and sending cookies when fetching pictures.

	* gnus-html.el (gnus-html-schedule-image-fetching): Ditto.

2012-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-remove-trailing-whitespace): Don't strip whitespace from
	lines that are narrower than the window width.  Otherwise background
	"blocks" will look less readable.

2012-02-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread): Revert last two changes.

2012-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Remove unused variable.
	(nnimap-transform-headers): Fix parsing BODYSTRUCTURE elements that
	have newlines within the strings, and where the UID comes after the
	BODYSTRUCTURE element (bug#10537).

	* shr-color.el (shr-color-set-minimum-interval): Rename to add prefix
	(bug#10732).

	* shr.el (shr-insert-document): Add doc string.
	(shr-visit-file): Ditto.
	(shr-remove-trailing-whitespace): New function.
	(shr-insert-document): Use it to clean up trailing whitespace as the
	final step (bug#10714).

2012-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-exit-no-update): Really deaden the summary
	buffer if `gnus-kill-summary-on-exit' is nil.

2012-02-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-thread):
	next-single-char-property-change may return nil in XEmacs.

2012-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-handle-ephemeral-exit): Allow exiting from Gnus
	when just reading a single group from "without" Gnus.

2012-02-06  Chong Yidong  <cyd@gnu.org>

	* gnus-sum.el (gnus-summary-show-thread):
	next-single-char-property-change never returns nil (Bug#8657).

2012-02-05  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-server): Allow switching the nnoo server
	without reconnecting.
	(nnimap-possibly-change-group): Ditto.
	(nnimap-finish-retrieve-group-infos): Don't reconnect if the server
	connection has died before being called.

2012-02-02  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-retrieve-group-data-early): Don't say we're doing
	an initial sync unless we're really doing one.

	* gnus-group.el (gnus-group-read-ephemeral-group): Don't add a new
	address parameter if one already exists (bug#9676).

	* gnus-msg.el (gnus-summary-mail-forward): Respect the process marks,
	not the prefix, as documented (bug#10689).

2012-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-valid-select-methods): nnmaildir also saves marks in
	the "server".

	* gnus-group.el (gnus-group-get-new-news-this-group): Don't overwrite
	the real error message with the useless "previously known to be down".
	Which isn't even correct.

	* nntp.el (nntp-open-connection): Report the error message if the nntp
	server can't be reached.

	* nnimap.el (nnimap-retrieve-group-data-early): Keep track of how many
	groups we do a total scan for.
	(nnimap-wait-for-response): Say that we're doing a total scan, if we're
	doing that.

2012-01-31  Jim Meyering  <jim@meyering.net>

	* gnus-agent.el (gnus-agent-expire-unagentized-dirs):
	Correct a comment (insert "not") and hide nominally-doubled "to".

2012-01-30  Philipp Haselwarter  <philipp.haselwarter@gmx.de>  (tiny change)

	* gnus-agent.el (gnus-agent-auto-agentize-methods): Point to the Agent
	section in the manual.

2012-01-30  Lars Ingebrigtsen  <larsi@gnus.org>

	* rfc2047.el (rfc2047-encode-region): Allow not folding the encoded
	words.
	(rfc2047-encode-string): Ditto.
	(rfc2047-encode-parameter): Don't fold parameters.  Some MUAs do not
	understand folded filename="..." parameters, for instance.

	* nnimap.el (nnimap-wait-for-response): Include the imap server name in
	the message for greater debuggability.

2012-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-view.el (mm-display-inline-fontify): Bind `font-lock-support-mode'
	instead of setting it locally, since the latter doesn't seem to have
	any effect (most of the time).

2012-01-27  Elias Pipping  <pipping@lavabit.com>  (tiny change)

	* shr.el (shr-browse-url): Fix the name of the `browse-url-mail'
	function call.

2012-01-27  Vida Gábor  <vidagabor@gmail.com>  (tiny change)

	* gnus-demon.el (gnus-demon-run-callback, gnus-demon-init): Convert to
	seconds, and make the repeat clause with HH:MM specs work as
	documented.

2012-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Clear out "early" methods
	so that previous errors don't prohibit getting new news.

	* nnimap.el (nnimap-retrieve-group-data-early): Ditto.

	* nntp.el (nntp-retrieve-group-data-early): Ditto.

2012-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-mode): Don't make bidi-paragraph-direction
	bound globally in old Emacsen and XEmacsen.

2012-01-26  Nick Alcock  <nick.alcock@oracle.com>  (tiny change)

	* gnus.el (gnus-group-find-parameter): Check for liveness of the
	buffer, not of the string which is its name.

2012-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Don't propagate marks to
	non-server-marks groups.
	(gnus-group-make-articles-read): Ditto.

	* gnus-srvr.el (gnus-server-prepare): Use it to avoid showing ephemeral
	methods (bug#9676).

	* gnus.el (gnus-method-ephemeral-p): New function.

2012-01-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-mode): Force paragraph direction to be
	left-to-right.

2012-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnir-search-thread): Autoload to avoid a compilation
	warning.

2012-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-line-format-alist): Don't try to
	macroexpand the nnir things, since they haven't been defined yet, and
	nnir requires gnus-sum.

2012-01-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-interactively-view-part): Fix prompt.

2012-01-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* nntp.el (nntp-send-authinfo): Query `auth-source-search' with the
	logical server name in addition to the actual machine address.

	* auth-source.el (auth-source-user-and-password): Add convenience
	wrapper to search by just host and optionally user.

2012-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-visit-file): Move point to the beginning of the buffer
	after rendering.

2012-01-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group): Document more parameters
	(bug#9693).
	(gnus-summary-setup-buffer): Document return value (bug#9697).

	* mm-decode.el (mm-interactively-view-part): Use `completing-read',
	since ido doesn't work on symbols (bug#9632).

	* gnus.el (gnus-group-fast-parameter): Use the same precedence rules
	when getting a single value as when getting all the values.  This means
	that atoms like `gcc-self' work cumulatively, like variable settings,
	instead of getting the value from the last matching clause.
	(gnus-group-find-parameter): Protect against the group buffer not
	existing (bug#9585).

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-activate-group): Document more parameters
	(bug#9694).

	* gnus-group.el (gnus-group-read-ephemeral-group): Doc clarification
	(bug#9692).

	* gnus-agent.el (gnus-agent-store-article): Tell the Agent when the
	article was fetched, so that it can be expired later (bug#9958).
	(gnus-agent-summary-fetch-series): Add doc string.
	(gnus-agent-summary-fetch-group): Don't remove tick and dormant marks
	(bug#9517).

	* nntp.el (nntp-retrieve-groups): Refuse to do retrieval when an async
	retrieval is happening.

	* gnus.el (gnus-parameters): Doc fix.

2012-01-06  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-refer-thread): If the subtree is hidden,
	show the thread after expansion.

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-narrow-to-head): If the head is completely
	empty, narrow to the empty region (bug#9764).

	* gnus-sum.el (gnus-summary-mark-article-as-unread): Mark articles as
	read, and then mark them as unread only when the unread mark is used.
	This makes `C-- T k' actually work, even though it's confusing.

	* gnus-win.el (gnus-all-windows-visible-p): Ensure that the buffer is
	alive before we try to find its window.

2012-01-06  Brian Sniffen  <bsniffen@akamai.com>  (tiny change)

	* mm-decode.el (mm-display-external): Use a longer timeout for the
	deletion to allow slow programs to display the file.

2012-01-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-browse-delete-temp-files): Fix up the
	prompt to be less confusing.

	* gnus-msg.el (gnus-summary-reply): Do not give a `switch-to-buffer'
	argument to `message-reply'.  This broke `special-display-*' frame
	pop-uping (bug#10238).

2012-01-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* starttls.el (starttls-available-p): Return nil on Windows/MS-DOS
	systems, since these allegedly don't work there.

2012-01-04  Chris Gray  <chrismgray@gmail.com>  (tiny change)

	* mm-decode.el (mm-shr): Check that `gnus-summary-buffer' really is a
	live buffer.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnir.el (nnir-retrieve-headers): Protect against the article not
	existing on the server (bug#10335).

2012-01-04  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* gnus-agent.el (gnus-agent-load-local): Recompute
	gnus-agent-article-local on changing method.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-parameters): Note precedence.

2012-01-04  Leo Liu  <sdl.web@gmail.com>

	* nndraft.el (nndraft-update-unread-articles): Don't move point around
	in the group buffer.

2012-01-04  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-update-info): Fix an error when all articles UIDs
	change.

2012-01-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-rescale-image): Add :ascent 100 to the rescaled picture,
	too.

	* nntp.el (nntp-retrieve-group-data-early): Use it.

2012-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieval-in-progress): New variable.
	(nntp-make-process-buffer): Make it buffer-local.

	* gnus-demon.el (gnus-demon-time-to-step): Resurrect function lost in
	2010.
	(gnus-demon-init): Use it to compute the time if time is on the form
	"04:23".

	* gnus-topic.el (gnus-topic-history): Define `gnus-topic-history'.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Check the connection
	status in the correct buffer.

2012-01-03  Leo Liu  <sdl.web@gmail.com>

	* gnus-topic.el (gnus-topic-goto-next-group): Don't move point around
	when opening topics (bug#10407).

2011-12-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Add comment.

2011-12-15  Juri Linkov  <juri@jurta.org>

	* mm-decode.el (mm-inline-media-tests): Add missing
	`mm-handle-media-subtype'.

2011-12-09  Tassilo Horn  <tassilo@member.fsf.org>

	* message.el (message-valid-fqdn-regexp): Update with newly approved
	top-level domain names ".tel" and ".asia".

2011-12-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-show-article): Don't load shr
	unconditionally.

2011-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-pop-to-buffer): Use pop-to-buffer instead of
	pop-to-buffer-same-window for old Emacsen.

2011-12-04  Chong Yidong  <cyd@gnu.org>

	* message.el (message-pop-to-buffer): Partially revert 2011-11-30
	change (Bug#10200).

2011-12-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* compface.el (uncompface):
	* gnus-art.el (gnus-article-x-face-command): Update the header format
	of icon data for the most recent icontopbm program.

2011-12-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-msg.el (gnus-inews-do-gcc):
	* message.el (message-send-mail):
	* mml.el (mml-generate-mime): Share the value of the buffer-local
	`message-options' variable between a draft buffer and temprary working
	buffers.

2011-11-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-pop-to-buffer): Revert 2011-09-11 change.

2011-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-browse-html-parts): Convert link file names
	for Cygwin.

2011-11-24  Glenn Morris  <rgm@gnu.org>

	* starttls.el: Fix case of "GnuTLS".

2011-11-24  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-group.el (gnus-group-highlight): Fix typo.

2011-11-24  Adam W  <adam_w67@yahoo.com>  (tiny change)

	* mail-source.el (mail-source-fetch-maildir): Don't expect the return
	value of `delete-file', that returns nil for a local file but returns t
	for a remote file using ssh.

2011-11-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Use "?\s" instead of "? " to
	avoid later breakage.

2011-11-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-setup-buffer): Decode group name used for
	article buffers' name.

2011-11-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Revert infinite loops introduced
	by Paul Eggert's spellfixes two days ago.

2011-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-view.el (mm-display-inline-fontify): Make the font-lock variables
	buffer-local instead of binding them to avoid warnings.  Also demote
	errors (bug#10063).
	(font-lock-mode-hook): Shut up byte compiler.

2011-11-20  Juanma Barranquero  <lekktu@gmail.com>

	* mm-util.el (mm-charset-after): Fix typo.

2011-11-16  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-sum.el (gnus-summary-make-menu-bar):
	* gnus-uu.el (gnus-uu-decode-postscript)
	(gnus-uu-decode-postscript-and-save):
	* mailcap.el (mailcap-print-command):
	* registry.el (registry-lookup, registry-lookup-breaks-before-lexbind):
	Fix typos.

2011-11-15  Juanma Barranquero  <lekktu@gmail.com>

	* gnus-art.el (gnus-article-part-wrapper):
	* shr-color.el (shr-color-visible-distance-min)
	(shr-color-relative-to-absolute, set-minimum-interval)
	(shr-color-visible): Fix typos.

2011-11-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Change wording in prompt to be
	slightly clearer.

2011-11-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send-and-exit): Document `arg'.

2011-11-03  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-open-connection-1): Use tcp-keealive if possible.

2011-11-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Another comment to explain why
	we don't use `bound-and-true-p'.

2011-11-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Remove.
	(gnus-bound-and-true-dumber-p): Rename to `gnus-bound-and-true-p'.
	* nnir.el: Use it.
	* nnmairix.el: Use it.

2011-10-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-dumber-p): Define new, slower, dumb
	function because `gnus-bound-and-true-p' doesn't work well in XEmacs
	for reasons unknown.
	* nnir.el: Use it.
	* nnmairix.el: Use it.

	* nnregistry.el: Remove unnecessary `gnus-registry-enabled' defvar.
	* nnir.el: Ditto.
	* nnmairix.el: Ditto.

	* gnus-registry.el (gnus-registry-enabled): Default to nil.

2011-10-26  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-completion-function): Make sure
	message-tab-body-function is not attempted if one of
	message-completion-alist fails to find a completion (bug#9158).

2011-10-26  Daiki Ueno  <ueno@unixuser.org>

	* mml.el (mml-quote-region): Quote <#secure> tag.
	(mml-generate-mime-1): Unquote <#secure> tag.

2011-10-20  Chong Yidong  <cyd@gnu.org>

	* gnus-cite.el (gnus-message-citation-mode): Doc fix (in Emacs 24,
	calling a minor mode from Lisp with nil arg enables it, so we have to
	make the wording a bit ambiguous here).

2011-10-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-bound-and-true-p): Macro for XEmacs compatibility.
	* nnir.el (nnir-mode): Use it.
	* nnmairix.el (nnmairix-determine-original-group-from-registry):
	Use it.

	* nnir.el (gnus-registry-enabled): Defvar to keep the compiler happy.
	* nnmairix.el (gnus-registry-enabled): Ditto.

2011-10-17  Dave Abrahams  <dave@boostpro.com>

	* gnus-registry.el (gnus-registry-enabled): Add new variable (bug#9691).
	(gnus-registry-install-shortcuts): Set `gnus-registry-install' to 'ask
	only while we need to find out if it should be t or nil.
	(gnus-registry-initialize): Don't set `gnus-registry-install' to t.
	(gnus-registry-install-hooks): Set `gnus-registry-enabled' to t when
	the registry is installed.  Set it to nil when it's unloaded.
	(gnus-registry-install-p): Provide user guidance for the initial value
	of `gnus-registry-install' when it's 'ask, otherwise return its value.
	* nnregistry.el (nnregistry-open-server, nnregistry-server-opened):
	Use `gnus-registry-enabled' instead of `gnus-registry-install'.
	* nnmairix.el (nnmairix-determine-original-group-from-registry):
	Use `gnus-registry-enabled' instead of `gnus-registry-install'.
	* nnir.el (nnir-mode): Use `gnus-registry-enabled' instead of
	`gnus-registry-install'.

2011-10-17  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-find-usable-key): Add comment about the
	previous change.
	* mml1991.el (mml1991-epg-find-usable-key): Skip the whole key if the
	primary key is marked as disabled.

2011-10-17  Christian von Roques  <roques@mti.ag>  (tiny change)

	* mml2015.el (mml2015-epg-find-usable-key): Skip the whole key if the
	primary key is marked as disabled.

2011-10-11  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-clean-anchor): Check for quotes around
	`href' value.

2011-10-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el (spam-check-BBDB): Simplify and support BBDB 3.x when
	searching.  Drop `bbdb-cache'.

2011-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-signed-or-encrypted-p): Exclude header when
	checking if there is signed or encrypted body in text/plain message.

2011-10-09  Andreas Schwab  <schwab@linux-m68k.org>

	* html2text.el (html2text-get-attr): Correctly handle attribute values
	containing "=".

2011-09-22  Kan-Ru Chen  <kanru@kanru.info>

	* ecomplete.el (ecomplete-display-matches): Use a local keymap to
	handle bindings.

2011-10-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-win.el (gnus-configure-windows): Protect against reading
	ephemeral groups outside of Gnus.

2011-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-img): Don't get images displayed in tables.

2011-10-03  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist): Once again get
	the "maintainer" version of debbugs.gnu.org reports.

2011-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-img): Add a space at the end of an ALT image text to
	make asynchronous adjacent image insertion work better.

2011-09-27  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-select-keys, plstore-encrypt-to): Clarify
	documentation.

2011-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-uu.el (gnus-uu-grab-articles): Require gnus-async so that
	`gnus-asynchronous' isn't shadowed.

2011-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Message less (bug#9540).
	(nnimap-insert-partial-structure): The charset parameter isn't
	case-sensitive.

	* nnheader.el (nnheader-message-maybe): New function.

	* shr.el (shr-tag-table): Render totally broken tables better.

	* mml.el (mml-generate-mime-1): Don't alter the contents if we're
	computing the boundary.

2011-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-number-of-responses): Remove.
	(pop3-wait-for-messages): Rewrite to take linear time instead of
	exponential time.

2011-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-show-article): Bind `shr-ignore-cache' to
	re-fetch images.

	* shr.el (shr-tag-img): Support a new variable `shr-ignore-cache' to
	re-fetch images when hitting `g' in Gnus.

2011-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-inhibit-compute-boundary): New internal variable.
	(mml-compute-boundary): Don't check collision if it is non-nil.
	(mml-compute-boundary-1): Use mml-generate-mime-1 to encode part
	before checking collision.

2011-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-indent-citation): Really make sure there's a
	newline at the end.

	* nnimap.el (nnimap-parse-flags): Make regexp less prone to overflows.
	Fix suggested by John Wiegley.

	* pop3.el (pop3-open-server): Fix +OK end-of-command regexp.

	* gnus-art.el (gnus-treat-hide-citation): Add doc.

	* message.el (message-default-send-rename-function): Break out into its
	own function.

	* ecomplete.el (ecomplete-display-matches): Revert patch since it
	doesn't work under XEmacs.

	* nnimap.el (nnimap-map-port): New function to connect to 993 instead
	of "imaps" to word around Windows problems.
	(nnimap-open-connection-1): Use it.

	* message.el (message-indent-citation): Revert last change which made
	`F' not work.

2011-09-13  Kan-Ru Chen  <kanru@kanru.info>

	* ecomplete.el (ecomplete-display-matches): Intercept key sequence from
	terminal as well.

2011-09-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-view.el (mm-display-inline-fontify): Don't run doc-view-mode
	because it displays images using overlays that aren't easy to copy to
	the article buffer.

2011-09-20  Łukasz Stelmach  <lukasz.stelmach@iem.pw.edu.pl>  (tiny change)

	* message.el (message-indent-citation): Fix empty line removal at the
	end of the citation.

2011-09-20  Julien Danjou  <julien@danjou.info>

	* auth-source.el (auth-source-netrc-create): Use default value for
	password if specified.  Evaluate default.
	(auth-source-plstore-create): Ditto.
	(auth-source-plstore-create, auth-source-netrc-create): Fix default
	value evaluation.
	(auth-source-netrc-create): Typo fix.
	(auth-source-plstore-create): Ditto.

	* auth-source.el (auth-source-format-cache-entry): New function.

2011-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-fun.el (gnus-convert-image-to-x-face-command): Doc fix.

2011-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-inline-media-tests): Fix typo in regexp.

2011-09-19  Julien Danjou  <julien@danjou.info>

	* auth-source.el (auth-source-netrc-parse): Use an obfuscation method
	which work with things that are not ASCII.

2011-09-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-inline-media-tests): Support imagemagick images.

2011-09-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group-1): Bump the "Retrieving"
	message level.

2011-09-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-read-from-minibuffer): Make abbrev expansion work.

2011-09-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-interactive-exit): Update defcustom spec.

2011-09-12  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus.el (gnus-nntp-server): Move to gnus-int.el to silence bytecomp.
	* gnus-int.el (gnus-nntp-server): Move from gnus.el.

2011-09-12  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-group.el (gnus-group-list-limit-map, gnus-group-list-flush-map)
	(gnus-group-list-plus-map): Allow limiting, flushing and plusing ticked
	articles.

2011-09-11  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-pop-to-buffer): Default to switch-to-buffer.
	(message-mail-other-window, message-mail-other-frame)
	(message-news-other-window, message-news-other-frame):
	Use switch-to-buffer-other-frame and switch-to-buffer-other-window
	instead of setting buffer display variables.

2011-09-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-list-limit): Explain what the command does.

	* gnus-sum.el (gnus-fetch-headers): Bump message level.

2011-09-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-dup.el (gnus-dup-suppress-articles): Move "Suppressing
	duplicates" to a higher level.

	* gnus-util.el (gnus-verbose): Lower default to 6 to get rid of the
	most egregious messages.

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-summary-mail-forward): Minuscule doc fix.

2011-09-10  Tetsuo Tsukamoto  <tt.tetsuo.tsukamoto@gmail.com>  (tiny change)

	* nnrss.el (nnrss-retrieve-groups): Decode the charset before looking
	up the file (bug#9351).

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el: Redo the charset handling.  Let Gnus encode the names, as
	it does with all other backends, but decode the names immediately after
	getting them.

	* gnus-group.el (gnus-group-name-charset): Always return `utf-7' when
	decoding nnimap groups.

	* gnus.el (gnus-variable-list): Don't save `gnus-format-specs' in the
	newsrc file.  It doesn't seem like an important optimization any more.

2011-09-10  Dave Abrahams  <dave@boostpro.com>

	* nnimap.el (nnimap-transform-headers): Fix regexp to be less prone to
	overflows.

2011-09-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-article-mark-lists): Remove `recent'.
	(gnus-interactive-exit): Extend to `quiet'.

	* gnus-sum.el (gnus-offer-save-summaries): Use it.

	* gnus-art.el (gnus-treat-hide-citation-maybe): Add more doc to the
	string.

	* plstore.el (plstore--get-buffer): Silence compiler warnings by
	renaming function arguments from `this'.

	* gnus-sum.el (gnus-newsgroup-recent): Remove.

	* gnus-spec.el (gnus-lrm-string-p): `bidi-string-mark-left-to-right'
	has been renamed.
	(gnus-lrm-string-p): Include RLM and PDF, too.

	* gnus-int.el (gnus-open-server): Make the "denied" message clearer
	(bug#9225).

2011-09-10  Eli Zaretskii  <eliz@gnu.org>

	Add autoload cookies for functions used by sendmail.el.
	* mm-encode.el (mm-default-file-encoding): Add autoload cookie.

	* mml.el (mml-to-mime, mml-attach-file): Add autoload cookies.

2011-09-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-date-ut): Work properly even when there are
	things like Date header in the body; work for forwarded parts.

2011-09-05  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-exit): Ensure we kill the proper
	original-article-buffer.

2011-09-05  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-compose-result): Fix matching of server type.
	(nnir-run-swish++): Ditto.
	(nnir-run-namazu): Ditto.
	(nnir-run-notmuch): Ditto.

2011-09-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-home-directory): Add warning about setting in .gnus.el
	(bug#9405).

	* gnus-score.el (gnus-summary-increase-score): Doc clarification
	(bug#9421).

	* gnus-spec.el (gnus-face-0): Make all the face specs into defcustoms
	(bug#9425).

	* gnus-art.el (gnus-treatment-function-alist): Remove CRs as the first
	thing (bug#9426).

2011-09-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Use the correct port number in
	the error message.

2011-09-02  Eli Zaretskii  <eliz@gnu.org>

	* message.el (message-setup-1): Return t (Bug#9392).

2011-09-01  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el: When adding article headers to a summary buffer also
	update gnus-newsgroup-articles (bug#9386).

2011-08-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el: Autoload help-mode.

2011-08-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-name-charset): Don't bug out on server
	names.

2011-08-27  Daiki Ueno  <ueno@unixuser.org>

	* mml-smime.el (mml-smime-epg-verify): Don't use the 4th arg of
	mm-replace-in-string for compatibility issues.
	* mml2015.el (mml2015-epg-verify): Ditto.

2011-08-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mailcap.el (mailcap-mime-data): Regexp-quote MIME subtype.

	* gnus-msg.el (gnus-setup-message): Remove extra apostrophe.

2011-08-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-get-new-mail-1): If one mail source bugs out,
	continue on and do the clean-up phase (bug#9188).

	* gnus-sum.el (gnus-summary-expire-articles): When expiring articles,
	just ignore groups that can't be opened instead of erroring out
	(bug#9225).

	* gnus-art.el (gnus-article-update-date-headers): Flip the default to
	nil since some many people are fuddy-duddies.

	* gnus-html.el (gnus-html-image-fetched): Don't cache zero-length
	images.

	* nntp.el (nntp-authinfo-file): Mark as obsolete -- use auth-source
	instead.

	* pop3.el (pop3-wait-for-messages): Don't use Gnus functions here.

	* gnus-util.el (gnus-process-live-p): Copy over compat function.

	* pop3.el (pop3-wait-for-messages): If the pop3 process dies, stop
	processing.

	* nntp.el (nntp-kill-buffer): Kill the process before killing the
	buffer to avoid warnings.

2011-08-20  Simon Josefsson  <simon@josefsson.org>

	* gnus-agent.el (gnus-agent-expire-done-message): Use %.f as format
	specified to reduce precision.

2011-08-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Protect against (NIL ...)
	bodystructures (bug#9314).

2011-08-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-insert-mime-button, gnus-mime-display-alternative):
	Make button keymap non-sticky after buttons.

2011-08-18  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-request-set-mark)
	(nnmairix-goto-original-article): Remove adding of article to registry,
	since `gnus-registry-add-group' isn't available anymore.
	(nnmairix-determine-original-group-from-registry):
	Use `gnus-registry-get-id-key' since `gnus-registry-fetch-groups' isn't
	available anymore.

2011-08-12  Simon Josefsson  <simon@josefsson.org>

	* starttls.el (starttls-any-program-available): Define as obsolete
	function.

2011-08-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-util.el (gnus-y-or-n-p): Reinstate the message-clearing y-or-n-p
	versions which Gnus use when appropriate.

	* gnus-group.el (gnus-group-clear-data): Add a y-or-n query, since it's
	a pretty destructive command.

	* nnmail.el (nnmail-extra-headers): Clarify slightly (bug#9302).

2011-08-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-fix-before-sending): Make a different warning
	about NUL characters (bug#9270).

	* gnus-sum.el (gnus-auto-select-subject): Allow specifying a function
	from custom (bug#9260).

	* gnus-spec.el (gnus-lrm-string): Use 8206 instead of ?\x200e to make
	things work in Emacs 22 and XEmacs, too.

	* gnus-sum.el (gnus-summary-from-or-to-or-newsgroups): LRM-ify the
	default From.

	* gnus-spec.el (gnus-lrm-string-p): New macro.
	(gnus-lrm-string): New constant.
	(gnus-summary-line-format-spec): LRM-ify the from.
	(gnus-tilde-max-form): LRM-ify string chopping.

	* gnus-ems.el (gnus-string-mark-left-to-right): New function.

	* message.el (message-is-yours-p): Allow disabling canlock checking
	(bug#9295).
	(message-shoot-gnksa-feet): Add `canlock-verify'.
	(message-auto-save-directory): Use ~/ as the auto-save directory if the
	message directory isn't writable (bug#9304).

	* auth-source.el (auth-source-netrc-saver): Make the .authinfo file
	non-world-readable.

2011-08-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el (nndraft-update-unread-articles): Don't send delayed
	articles.

2011-08-13  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-score.el (gnus-all-score-files): Use copy-sequence instead of
	copy-list.

2011-08-12  Sam Steingold  <sds@gnu.org>

	* gnus-score.el (gnus-score-find-alist): Keep the score files already
	in the reverse order to avoid modifying the cache with `nreverse'.
	(gnus-all-score-files): Do not modify the value returned by
	`gnus-score-find-alist' because it lives in a cache variable.
	(gnus-current-home-score-file): No need to `nreverse' the return value
	of `gnus-score-find-alist', it is already in the correct order.

2011-08-11  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-transform-headers): BODYSTRUCTURE for messages of
	type MESSAGE and subtype RFC822 is slightly different from those of
	type TEXT.

2011-08-05  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-article): Warp to article.
	This allows article-referral to work from an nnir group.

2011-08-04  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus.el (registry-ignore): Add nnir groups to the ignore-list.

2011-08-04  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (mml1991-epg-find-usable-key)
	(mml1991-epg-find-usable-secret-key): New function.
	(mml1991-epg-sign): Check if signing key is usable.
	(mml1991-epg-encrypt): Check if encrypting key is usable (bug#8955).

2011-08-03  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-read-server-parm): Add an argument to restrict to
	server-variables only.  This should fix a bug introduced with commit
	e1889675b7f4adf057833c5513c9374134c4e053.
	(nnir-run-query): 'nnir-search-engine should not be set from the global
	environment.

2011-08-02  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-search-thread): Position point on referring article
	line.
	(nnir-warp-to-article): Clean up summary buffers.

	* nnimap.el (nnimap-request-thread): Whitespace fix.

2011-08-02  Steve Purcell  <steve@sanityinc.com>  (tiny change)

	* nnimap.el (nnimap-get-groups): Decode "&" correctly.

2011-08-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* starttls.el (starttls-available-p): Rename from
	`starttls-any-program-available' and changed return convention.

2011-07-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmaildir.el (nnmaildir-request-accept-article): Don't call
	`unix-sync' unless it's defined.

2011-07-31  Marcus Harnisch  <marcus.harnisch@gmx.net>  (tiny change)

	* gnus-art.el (gnus-article-stop-animations): Use `elt' instead of
	`aref' for XEmacs compatibiltiy.

2011-07-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam.el (spam-fetch-field-fast): Rewrite slightly for clarity.

2011-07-31  Dave Abrahams  <dave@boostpro.com>

	* gnus-sum.el (gnus-summary-refer-thread): Since lambdas aren't
	closures, quote the form properly (bug#9194).

2011-07-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-insert-new-articles): Clean up slightly.
	(gnus-summary-insert-new-articles): Protect against servers that are
	down.

2011-07-29  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* mm-decode.el (mm-dissect-buffer): Add a default content-disposition
	in mm handle if none is specified.

2011-07-24  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-make-thread-query): Quote message-ids for gmail.

2011-07-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-search-thread): New function to make an nnir group
	based on a thread query.

	* gnus-sum.el (gnus-refer-thread-use-nnir): New variable to control use
	of nnir in thread referral.
	(gnus-summary-refer-thread): Use it.

	* nnimap.el (nnimap-request-thread): Use it.

2011-07-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-comment): Ignore HTML comments.

2011-07-20  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (gnus-group-make-nnir-group): Allow optional search query
	argument.
	(gnus-group-make-nnir-group, nnir-request-group, nnir-run-query):
	Use `nnir-address' to handle server info rather than passing an arg.

	* nnimap.el (nnimap-make-thread-query): New utility function to format
	an imap thread search query.
	(nnimap-request-thread): Use it.

	* gnus-sum.el (gnus-handle-ephemeral-exit): Ensure we are setting the
	right select-method if we are not going back to the group buffer.

2011-07-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-read-ephemeral-group): Make sure we don't
	enter invalid buffer configurations into the quit form (bug#9107).
	(gnus-group-tool-bar-gnome): Replace connect/disconnect with
	unplugged/plugged.

	* gnus-sum.el (gnus-summary-refer-thread): When inserting new headers,
	keep track of which ones are unread (bug#9061).

	* gnus.el (gnus-refer-article-method): Allow entering any sexp
	(bug#9055).

	* gnus-art.el (gnus-article-show-images): Allow working if using w3m
	(bug#9041).

	* gnus-html.el (mm-util): Require (bug#9073).

	* gnus-sum.el (gnus-delete-duplicate-headers): New function.
	(gnus-summary-refer-thread): Use it to remove duplicates in the
	un-threaded view (bug#9053).
	(gnus-summary-insert-subject): Document USE-OLD-HEADER (bug#9070).

2011-07-07  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-read-server-parm): Use default value from global
	variable.  Without this the default search engine parameters aren't
	used at all.

2011-07-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-unique-id): Don't use the undocumented return
	value from (random t) (bug#9118).

2011-07-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-auto-save-directory): If the ~/Mail directory
	doesn't exist, use ~ as the auto-save directory (bug#4432).

	* gnus-group.el (gnus-group-read-ephemeral-group): Start Gnus if it
	hasn't already been started.

2011-07-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (debbugs-gnu): Rename from debbugs-emacs.

	* message.el (message-reply): Work around mysterious bug where
	`message-mode' seems to overwrite the locally bound `subject' variable.

2011-07-14  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-request-thread): Ensure search is performed in
	correct group.

	* gnus-int.el (gnus-request-thread): Add group argument.

	* gnus-sum.el (gnus-summary-refer-thread): Use it.

2011-07-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): `debbugs-*'
	renamed to `debbugs-gnu-*'.

2011-07-08  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el: Revert the editing feature since it is not urgent.
	(plstore-mode, plstore-mode-toggle-display, plstore-mode-original)
	(plstore-mode-decoded): Remove.

2011-07-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-bug): Don't insert user variables.  It usually
	isn't very interesting any more, and it leaks potentially secret data.
	(gnus-debug): Remove.

	* gnus-art.el (gnus-ignored-headers): Remove obsolete and non-working
	use of :custom-show.

2011-07-07  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el: Add documentation.
	(plstore-mode): New mode to edit plstore file.
	(plstore-mode-toggle-display, plstore-mode-original)
	(plstore-mode-decoded): New command.
	(plstore--encode, plstore--decode, plstore--write-contents-functions)
	(plstore--insert-buffer, plstore--make): New function.
	(plstore-open, plstore-save): Simplify by using them.

2011-07-06  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Silence compiler.

2011-07-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-refer-article-method): Remove mention of nnspool, which
	no longer is much used.
	(gnus-summary-line-format): Link to "Marking Articles" instead of "Read
	Articles".

2011-04-03  Kan-Ru Chen  <kanru@kanru.info>

	* nnir.el (nnir-notmuch-program, nnir-notmuch-additional-switches)
	(nnir-notmuch-remove-prefix, nnir-engines, nnir-run-notmuch): New nnir
	`notmuch' backend.

2011-07-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-text-html-renderer): Doc fix.

	* gnus-msg.el (gnus-bug): Fix the MML tag.

	* pop3.el (pop3-open-server): -ERR is a valid response to CAPA.

2011-07-05  Daiki Ueno  <ueno@unixuser.org>

	* gnus-start.el (gnus-get-unread-articles): Don't connect to the
	secondary methods if started with `gnus-no-server'.

2011-07-05  Juanma Barranquero  <lekktu@gmail.com>

	* message.el (message-return-action): Fix typo in docstring.

2011-07-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Allow fetching several
	bug reports at once.

	* nnimap.el (nnimap-request-scan): Say that splitting has finished.

2011-07-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nndraft.el: Require gnus-group.
	(nndraft-request-list): Declare.

	* nndraft.el (nndraft-update-unread-articles): Don't show group having
	no unread article unless it matches gnus-permanently-visible-groups.

	* nndraft.el (nndraft-update-unread-articles): New function.
	(nndraft-request-associate-buffer): Use it to update the number of
	unread articles for the nndraft groups in the group buffer when saving
	or killing a draft message.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Bind the coding
	systems to binary before writing and reading the mbox files.

	* gnus.el (gnus-summary-line-format): Link to the info node for %U
	instead of trying to list them all (bug#8978).

2011-07-03  Wolfgang Jenkner  <wjenkner@inode.at>  (tiny change)

	* pop3.el (pop3-open-server): Use :end-of-capability.

2011-07-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Make sure that
	the id is always a number.

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Hook into
	debbugs mode, if possible.

2011-07-02  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-token-passphrase-callback-function):
	Reindent.
	(epg-context-operation): Remove unnecessary autoload.

2011-07-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-list-debbugs): New command.

	* gnus-group.el (gnus-bug-group-download-format-alist): Get the
	mboxstat instead of the maintbox, since the stat seems to be fuller.

	* gnus-msg.el (gnus-configure-posting-styles): Don't try to select dead
	summary buffers.

	* message.el (message-get-reply-headers): Delete all duplicates,
	instead of the first.
	(message-get-reply-headers): Ensure that we have progress while
	deleting duplicates.

	* gnus-msg.el (gnus-configure-posting-styles): Get the local
	gnus-posting-style value from the summary buffer to make it easier to
	make that a per-buffer conf.

2011-07-02  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Allow halting a search when an article is
	found by setting `shortcut' in 'query.
	(nnir-request-article): Use `shortcut' setting when requesting article
	by Message-ID.

2011-07-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-msg.el (gnus-bug): Give the Version and Package headers to
	debbugs with the X-Debbugs-Package and X-Debbugs-Version headers.
	Bring the pseudo-headers back too.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-token-passphrase-callback-function):
	Simplify and remove EPA dependency.

2011-07-01  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-article): Fix error message text.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (plstore-delete): Autoload.
	(auth-source-plstore-search): Support delete operation.
	* plstore.el (plstore-delete): New function.

2011-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-clear-marks): Revert last change;
	mark actually existing articles as unread rather than the ones that
	active asserts.

2011-07-01  Paul Eggert  <eggert@cs.ucla.edu>

	* nntp.el (nntp-record-command):
	* gnus-util.el (gnus-message-with-timestamp-1):
	Use format-time-string rather than decoding time stamps by hand.
	This is simpler and insulates the code from potential changes to
	current-time format.

2011-07-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-draft.el (gnus-draft-clear-marks): Mark deleted articles as read.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-select-keys, plstore-encrypt-to): New variable.
	(plstore-save): Support public key encryption.
	(plstore--init-from-buffer): New function.
	(plstore-open): Use it; fix error when opening a non-existent file.
	(plstore-revert): Use plstore--init-from-buffer.

2011-07-01  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-backend): Fix :initarg for data slot.

2011-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml2015.el (mml2015-use): Replace string-match-p with string-match
	for old Emacsen.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-use): Don't try to load PGG on Emacs 24, when EPG
	is not fully working.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* dgnushack.el: Autoload sha1 on XEmacs.

	* gnus-group.el (gnus-read-ephemeral-emacs-bug-group): Take an optional
	quit window configuration.

	* auth-source.el (epg-context-set-passphrase-callback):
	Remove duplicate autoload.

2011-06-30  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-article): Allow requesting articles by
	Message-ID with nnimap.

	* gnus-sum.el (gnus-refer-article-methods): Allow (nnir) entry to use
	current server.

2011-06-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Autoload EPA/EPG functions.
	(auth-source-netrc-use-gpg-tokens): Clarify that it should not be
	changed when EPA/EPG is not available.
	(auth-source-backend): Rename "arg" member to "data".
	(auth-source-backend-parse, auth-source-plstore-search)
	(auth-source-plstore-create): Use it.

2011-06-30  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-art.el (gnus-request-article-this-buffer): Use existing function
	`gnus-refer-article-methods'.

2011-06-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Require EPA and EPG.
	(auth-source-passphrase-alist): New variable.
	(auth-source-passphrase-callback-function)
	(auth-source-token-passphrase-callback-function): Callbacks for the
	netrc field encryption (GPG tokens).
	(auth-source-epa-extract-gpg-token, auth-source-epa-make-gpg-token):
	Symmetric encryption and decryption of the netrc GPG tokens.
	(auth-source-netrc-normalize): Use them, simplifying the closure.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-split-incoming-mail): If `nnimap-split-fancy' is
	non-nil, and `nnimap-split-methods' is nil, use the former.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* plstore.el (plstore-revert): New function.
	(plstore-open): Use it; hide the buffer from user.

2011-06-30  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-backend): New member "arg".
	(auth-source-backend-parse): Handle new backend 'plstore.
	* plstore.el: New file.

2011-06-30  Glenn Morris  <rgm@gnu.org>

	* gnus-fun.el (gnus-convert-image-to-x-face-command): Doc fix.

	* mm-util.el (mm-charset-synonym-alist): Move definition before use.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-process-expiry-targets): Say what target we're
	expiring articles to.

	* mm-util.el (mm-charset-to-coding-system): Recognize all ANSI.x3.4
	variations as ASCII (bug#5458).

2011-06-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnmh.el (nnmh-request-list-1): Work on MS Windows.

2011-06-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-point-in-header-p): Tweak the function to default
	to saying that we're not in the headers if there is no separator at
	all.  This makes it possible to use the Message version of `M-q' in
	buffers with no headers (bug#7987).
	(message-point-in-header-p): Fix last checkin to work with an empty
	mail-header-separator, too.

	* auth-source.el (auth-source-netrc-saver): If the user says "don't ask
	again, save the choice via customize.

2011-06-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send-mail-function): Add `sendmail-query-once'.

	* nnimap.el (nnimap-finish-retrieve-group-infos): If the server has
	ended the connection, bail out before waiting infinitely on a new
	connection.

2011-06-28  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-msg.el (gnus-bug): Add Package and Version pseudo-headers to bug
	reports.

	* gnus.el (gnus-bug-package): Use "gnus."
	(gnus-maintainer): Direct bug reports to submit@debbugs.gnu.org.

2011-06-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-stop-animations): New function to stop any
	animations going on at article exit time.

	* gnus-registry.el (gnus-registry-user-format-function-M): Reinstate,
	since removing it breaks people upgrading.

	* shr.el (shr-put-image): Use the new interface for animating images.
	(shr-put-image): Animate for 60 seconds.

	* auth-source.el (with-auth-source-epa-overrides): Fix compilation
	error with `find-file-hooks' on Emacs 22.
	(with-auth-source-epa-overrides): Ugly hack to Wrap the
	`find-file-hook' things in `symbol-value' to avoid compilation warnings
	on all architectures.

	* spam.el (spam-stat): Require in a normal fashion without binding
	`spam-stat-install-hooks' to avoid compilation warnings.

	* spam-stat.el (spam-stat-install-hooks): Remove.
	(spam-stat-install-hooks): Don't run automatically.

2011-06-26  Timo Juhani Lindfors  <timo.lindfors@iki.fi>  (tiny change)

	* gnus-msg.el (gnus-summary-reply-to-list-with-original): New command
	and keystroke.

2011-06-23  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-netrc-cache): Move forward.

2011-06-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Don't query the bits that
	we already know.
	(auth-source-forget-all-cached): Clear auth-source-netrc-cache, too.
	(auth-source-netrc-create): Don't prompt for the stuff we already know.

2011-06-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-netrc-create): Don't print all tokens in
	%S format, since that looks odd.
	(auth-sources): Prefer the ~/.authinfo file over the ~/.authinfo.gpg
	file, especially when saving.

2011-06-21  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-find-article-by-message-id): Return nil when no
	article found.

2011-06-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-use-gpg-tokens): Replace
	`auth-source-save-secrets' with a more sensitive alist that can be
	configured per file.  Experimental, so defaults to 'never.
	(auth-source-netrc-create): Use it.  Still experimental code.
	(with-auth-source-epa-overrides): Use `find-file-hooks' if
	`find-file-hook' is unbound (XEmacs fix).  Fix backquoting bug.

2011-06-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-save-secrets): New variable to control if
	secret tokens should be saved encrypted.
	(auth-source-netrc-parse, auth-source-netrc-search): Pass the file name
	to `auth-source-netrc-normalize'.
	(with-auth-source-epa-overrides): Add convenience macro.  Don't depend
	on the EPA variables being defined.
	(auth-source-epa-make-gpg-token): Convert text to a "gpg:" token.
	(auth-source-netrc-normalize): Convert "gpg:" tokens back to text in
	the lexical-let closure.
	(auth-source-netrc-create): Create "gpg:" tokens according to
	`auth-source-save-secrets'.

2011-06-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-group.el (gnus-group-update-group): Add new argument
	`info-unchanged' that stops updating dribble buffer.

	* gnus-start.el (gnus-dribble-enter): Add new argument `regexp' that
	deletes lines matching to it in dribble buffer.

	* gnus-agent.el (gnus-agent-fetch-group-1):
	* gnus-group.el (gnus-group-update-group-line, gnus-group-make-group):
	* gnus-srvr.el (gnus-server-update-server, gnus-server-set-info):
	* gnus-start.el (gnus-group-change-level):
	* gnus-sum.el (gnus-summary-move-article): Delete old dribble entry.

	* gnus-sum.el (gnus-summary-update-info): Don't update dribble buffer
	if newsgroup info is not changed.

	* gnus-group.el (gnus-group-get-new-news-this-group):
	* gnus-sum.el (gnus-summary-read-group-1, gnus-summary-exit-no-update):
	Don't update dribble buffer.

2011-06-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-remove-ignored): New function to
	remove entries with groups we ignore.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-rescale-image): Add an :ascent of 100 to images so that
	the underline comes at the bottom.

2011-05-31  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-article-marks-to-chars): Rename from
	`gnus-registry-user-format-function-M' and declare the latter obsolete.
	(gnus-registry-article-marks-to-names): Rename from
	`gnus-registry-user-format-function-M2'.

2011-05-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-exit): Make sure to kill article buffer in
	ephemeral group.

2011-05-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-browse-image): Copy the URL if called interactively.

2011-05-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-mark-article-read): It's possible that we
	want to have `gnus-newsgroup-unselected' kept sorted.  If this isn't
	done, then unselected articles may be marked as read.

	* pop3.el (pop3-open-server): Erase the buffer after the greeting,
	since not doing this seems to lead to a race condition in pop3-logon.

	* nnvirtual.el (nnvirtual-request-article): Bind `gnus-command-method'
	so that the call chain it correct when we call "upwards".

	* gnus-sum.el (gnus-select-newsgroup): Auto-expiry doesn't make sense
	in read-only groups.

	* gnus-group.el (gnus-group-mark-article-read): Ditto.

	* message.el (message-cite-reply-position): Doc string fix.

	* nnimap.el (nnimap-transform-headers): Simplify regexp to hopefully
	avoid regexp overflow.
	(nnimap-transform-split-mail): Ditto.

	* pop3.el (pop3-retr): Error out if the server closes the connection.

2011-05-30  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mml1991.el (mml1991-mailcrypt-encrypt): Remove use of ill-designed
	mm-with-unibyte-current-buffer.  The buffer should not contain any
	multibyte chars anyway at this stage.

2011-05-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-urlify): Use shr-add-font to make underlines be less ugly
	at the end of lines.

2011-05-29  Julien Danjou  <julien@danjou.info>

	* smiley.el (gnus-smiley-file-types): Add gif as supported file type.

2011-05-27  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Use the "maintainer" version of debian reports as well.

2011-05-26  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-bug-group-download-format-alist):
	Use the "maintainer" version of debbugs.gnu.org reports.

2011-05-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Fix mm-handle-filename usage.

2011-05-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-hide-thread): Fix bug where moving to hide
	the thread moves us backwards and so we loop forever.

2011-05-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-bodies.el (mm-decode-content-transfer-encoding): Allow leading
	whitespace in base64 data lines.

2011-05-18  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-user-format-function-M):
	Use `mapconcat'.
	(gnus-registry-user-format-function-M2): Use to see the full text of
	the marks.  Make "," the mark text separator.

	* nntp.el (nntp-send-authinfo): Use the "force" token for NNTP
	authentication with auth-source.

2011-05-17  Glenn Morris  <rgm@gnu.org>

	* gnus-group.el (gnus-import-other-newsrc-file):
	Use insert-file-contents.

2011-05-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sum.el (gnus-summary-hide-all-threads): Add update message every
	1000 iterations.

2011-05-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nntp.el (nntp-open-connection): Check if process-type is available.

2011-05-16  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-del): Add support for del tag.

2011-05-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-put-image): Register a displayer.

	* shr.el (shr-image-displayer): Don't remove text props from alt text.

2011-05-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (prune-factor): New initialization parameter defaulting
	to 0.1.
	(registry-prune-hard): Use it.

	* gnus-registry.el (gnus-registry-fixup-registry): Set prune-factor to
	0.1 expicitly.

2011-05-13  Glenn Morris  <rgm@gnu.org>

	* message.el (message-send-mail-with-sendmail): Assume sendmail-program
	is bound, since this function requires sendmail.

2011-05-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-usage-test): Disable pruning test.

2011-05-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-prune-hard-candidates)
	(registry-prune-soft-candidates): Helper methods for registry pruning.
	(registry-prune): Use them.  Make the sort function optional.

2011-05-10  Jim Meyering  <meyering@redhat.com>

	* shr.el (shr-colorize-region): Fix typo "on on -> on".

2011-05-10  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-put-color-1): Do not bug out when old-props is a face
	symbol and not a list.

2011-05-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-mode): Move binding of
	shr-put-image-function here from gnus-article-prepare-display.

	* shr.el (shr-put-image-function): New variable.
	(shr-image-fetched, shr-image-displayer, shr-tag-img): Funcall it.
	(shr-put-image): Return scaled image.

	* gnus-art.el (gnus-shr-put-image): New function.
	(gnus-article-prepare-display): Bind shr-put-image-function to it.

	* gnus-html.el (gnus-html-wash-images): Register scaled images, not
	original ones, as deletable.

2011-05-09  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nntp.el (nntp-open-connection): Set TCP keepalive option.

2011-05-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-full): Add convenience method.  Fix logic.
	(registry-insert): Use it.  Fix logic here too.

	* gnus-registry.el (gnus-registry-insert): Add wrapper that calls
	`registry-prune' if `registry-full' returns t.
	(gnus-registry-handle-action)
	(gnus-registry-get-or-make-entry, gnus-registry-set-id-key)
	(gnus-registry-usage-test): Use it.

2011-05-07  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-link): Make shr-link inherit from link by default.

2011-05-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el (shr-urlify, shr-link): Fix shr-link face.

2011-05-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el (shr-urlify, shr-link): Still broken but at least doesn't
	error out because the face is not a list.

2011-05-05  Glenn Morris  <rgm@gnu.org>

	* gnus-start.el (gnus-propagate-marks): Declare.

2011-05-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-reindex): Fix percentage message.

2011-05-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* shr.el: Add shr-link face for links.
	(shr-urlify): Use it.

	* registry.el (registry-insert): Make error message more helpful.

2011-05-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-schedule-image-fetching):
	Use url-queue-retrieve, if it exists.

	* shr.el (shr-tag-img): Ditto.

	* gnus.el: Autoload more gnus-agent functions.

	* gnus-art.el (gnus-request-article-this-buffer): Store articles in the
	agent if we haven't already (bug#8502).

	* gnus-async.el (gnus-async-article-callback): Put prefetched articles
	into the Agent, too.

	* gnus-agent.el (gnus-agent-store-article): New function.

	* nnheader.el (nnheader-insert-buffer-substring): Rename from nntp-
	and moved from that file for reuse.

	* pop3.el (pop3-open-server): Error messages are "-ERR".

2011-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* pop3.el (pop3-open-server): Upgrade opportunistically to STARTTLS.
	(open-tls-stream): Remove superfluous tls/starttls autoloads.

2011-05-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-summary-next-article): Don't bug out if the summary
	buffer has moved to a different frame.

2011-05-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-article): Use nntp-insert-buffer-substring
	to get the conversion from unibyte to multibyte buffers to work on
	Emacs 22.

	* nntp.el (nntp-request-article): Slight clean-up.

2011-04-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-strike-through): New face.
	(shr-tag-s): Use it to provide <s> support.
	(shr-tag-s): Remove duplicate definition.

2011-04-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-ignore-group-p): Don't call
	`gnus-parameter-registry-ignore' if the *Group* buffer doesn't exist.

2011-04-23  Glenn Morris  <rgm@gnu.org>

	* gnus-sum.el (gnus-extra-headers): Bump :version.

2011-04-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-sup): New function.
	(shr-tag-sub): Ditto.

2011-04-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-ignore-group-p): Test specifically
	for the case where `gnus-registry-ignored-groups' is a list of lists,
	and don't call `gnus-parameter-registry-ignore' otherwise.

2011-04-21  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-user): New backend variable.
	(nnimap-open-connection-1): Use it.
	(nnimap-credentials): Accept user parameter so it's explicit what user
	name is desired.

	* gnus-sum.el (gnus-extra-headers): Add Keywords, Cc, and Gcc to
	default.

	* gnus.el (gnus-registry-ignored-groups): Provide default in gnus.el,
	not gnus-registry.el.

	* gnus-registry.el: Mention in comments how to modify
	`gnus-extra-headers' for proper recipient tracking and that it may
	already have To and Cc recently, which it does as of this commit.
	(gnus-registry-ignored-groups): Remove defcustom.
	Explain why in comments.
	(gnus-registry-action): Fix data-header reference to use the extra
	headers.  Explain in package commentary how to add To and Cc headers to
	the gnus-extra-headers.
	(gnus-registry-ignored-groups): Adjust defaults to match the parameter.
	(gnus-registry-ignore-group-p): Adjust to take either a group/topic
	parameter list or a string list in `gnus-registry-ignored-groups'.
	Fix logic error.

2011-04-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-url): Protect against null urls.

2011-04-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-base): New binding.
	(shr-tag-base): Keep track of <base>.
	(shr-expand-url): New function used throughout.

2011-04-20  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el
	(gnus-registry--split-fancy-with-parent-internal): Fix loop bugs.
	(gnus-registry-ignored-groups): New variable.
	(gnus-registry-ignore-group-p): Use it.
	(gnus-registry-handle-action): Use `gnus-registry-ignore-group-p' and
	set the destination group to nil (same as delete) if it's ignored.

2011-04-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-registry.el (gnus-registry-action)
	(gnus-registry-fetch-header-fast):
	Don't use mail-header that looks an internal function of mailheader.el.

2011-04-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-registry.el: Eliminate cl functions.
	(gnus-registry-sort-addresses): New function that replaces mapcan.
	(gnus-registry-action, gnus-registry-spool-action)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-fetch-recipients-fast): Use it.
	(gnus-registry-import-eld): Replace delete* with dolist + delq.

	* registry.el (initialize-instance, registry-lookup)
	(registry-lookup-breaks-before-lexbind, registry-lookup-secondary)
	(registry-lookup-secondary-value, registry-search, registry-delete)
	(registry-insert, registry-reindex, registry-size, registry-prune):
	Use eval-and-compile.

2011-04-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el (registry-reindex): New method to recreate the secondary
	registry indices.

	* gnus-registry.el (gnus-registry-fixup-registry): Use it if the
	tracked field changes.
	(gnus-registry-unfollowed-addresses, gnus-registry-track-extra)
	(gnus-registry-action, gnus-registry-spool-action)
	(gnus-registry-handle-action)
	(gnus-registry--split-fancy-with-parent-internal)
	(gnus-registry-split-fancy-with-parent)
	(gnus-registry-register-message-ids): Add recipient tracking on spool,
	move, and delete actions, and for fancy splitting with parent.
	(gnus-registry-extract-addresses)
	(gnus-registry-fetch-recipients-fast)
	(gnus-registry-fetch-header-fast): Convenience functions.
	(gnus-registry-misc-test): ERT test of
	`gnus-registry-extract-addresses'.

2011-04-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry--split-fancy-with-parent-internal):
	Track by subject first, then sender.

2011-04-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-bogus-system-names): Replace ^...$ => \`...\'.

	* gnus.el (gnus-splash-svg-color-symbols): Don't use insert-file from
	Lisp.

	* gnus-draft.el (gnus-draft-setup): New arg `dont-pop'.
	(gnus-draft-send): Use it to avoid popping
	up frames from gnus-group-send-queue.

2011-04-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Updated gnus-registry docs.

2011-04-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry--split-fancy-with-parent-internal):
	Fix logic bug.
	(gnus-registry-post-process-groups): Fix logging of no results and
	quote sender and subject.

2011-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Slight cleanup.
	(gnus-read-active-for-groups): Don't try to finish getting stuff where
	we had no early-data returned.
	(gnus-get-unread-articles): Add a sanity check so that we don't issue
	two async commands to the same server at the same time.

2011-04-12  Stig Sandbeck Mathisen  <ssm@fnord.no>  (tiny change)

	* gnus-sum.el (gnus-summary-select-article-buffer): Doc fix.

2011-04-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el (gnus-registry-remake-db): Put the warning on a
	"warning" level.

	* mm-url.el (mm-url-package-name): Remove to ease third-party reuse.
	(mm-url-insert-file-contents): Don't set the package names.

2011-04-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-action): Remove properties and
	simplify subject in `gnus-registry-handle-action'.
	(gnus-registry-spool-action): Get subject and sender from message if
	they are not passed in.
	(gnus-registry-handle-action): Remove properties and simplify subject
	consistently.

2011-04-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* registry.el: Require CL before using defmacro*.

2011-04-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-treat-date): Assume that
	gnus-article-date-headers may be a group parameter.

2011-04-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-handle-action): More debugging.

	* gnus-start.el (gnus-gnus-to-newsrc-format): Add a way to run
	interactively so the newsrc file can contain foreign groups too.
	Useful for debugging but not much for users.

2011-04-07  David Engster  <dengste@eml.cc>

	* registry.el (registry-usage-test): Only do
	`registry-lookup-breaks-before-lexbind' testing for Emacs24 with
	lexical binding.

2011-04-06  David Engster  <dengste@eml.cc>

	* registry.el, gnus-registry.el: Use `ignore-errors' instead of third
	argument NOERROR for `require', since XEmacs 21.4 does not support it.

2011-04-06  David Engster  <dengste@eml.cc>

	* registry.el (initialize-instance): Change :after to :AFTER to be
	compatible with old EIEIO version in XEmacs.

2011-04-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-post-process-groups)
	(gnus-registry--split-fancy-with-parent-internal): Fix splitting bugs
	and provide better messaging.

2011-04-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el: Don't use ERT if it's not available.  Load it
	unconditionally anyway, discarding errors.
	(gnus-registry-delete-entries): New convenience function.
	(gnus-registry-import-eld): Import from old .eld registry.

	* registry.el: Don't use ERT if it's not available.  Load it
	unconditionally anyway, discarding errors.

	* proto-stream.el (gnutls-negotiate): Revert inadvertent commit of the
	version from the Claudio Bley GnuTLS patch (extra optional parameters
	and host name).

2011-04-05  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-fixup-registry): New function to
	fixup the parameters that can be customized by the user between
	save/read cycles.
	(gnus-registry-read): Use it.
	(gnus-registry-make-db): Use it.
	(gnus-registry-spool-action, gnus-registry-handle-action):
	Fix messaging.
	(gnus-registry--split-fancy-with-parent-internal): Fix loop.
	Map references to actual group names with sender and subject tracking.
	(gnus-registry-post-process-groups): Use `cond' for better messaging.
	(gnus-registry-usage-test): Add subject lookup test.

	* registry.el (registry-db, initialize-instance): Set up constructor
	instead of :initform arguments for the sake of older Emacsen.
	(registry-lookup-breaks-before-lexbind): New method to demonstrate
	pre-lexbind merge bug.
	(registry-usage-test): Use it.
	(initialize-instance, registry-db): Move the non-function initforms
	back to the class definition.

2011-04-03  Teodor Zlatanov  <tzz@lifelogs.com>

	* registry.el: New library to manage gnus-registry-style data.

	* gnus-registry.el: Use it (major rewrite).

	* nnregistry.el: Use it.

	* spam.el: Use it.

2011-04-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Reinstate the code to not alter
	marks on non-selected articles.

2011-04-02  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el: Move to Emacs core, at net/network-stream.el.

	* nnimap.el (nnimap-open-connection-1): Pass explicit :end-of-command
	parameter to open-protocol-stream.

2011-04-01  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Do not fontify with
	fundamental-mode.

2011-04-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Don't try to contact denied
	servers.

2011-03-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Revert intersection change, which
	made marks not propagate, again.

2011-03-30  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el (open-protocol-stream): Bring back `network' type.
	Make this the default type.
	(proto-stream-open-plain): Rename from proto-stream-open-default.
	(open-protocol-stream, proto-stream-open-starttls)
	(proto-stream-open-tls, proto-stream-open-shell): Replace `default'
	with `plain'.

	* nnimap.el (nnimap-stream, nnimap-open-connection-1): Accept `network'
	value.

	* nntp.el (nntp-open-connection-function): Document the fact that some
	values are not functions but are instead handled specially.
	Recognize nntp-open-plain-stream value.
	(nntp-open-connection): Recognize that value.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gssapi.el (open-gssapi-stream): Remove the last mentions of the IMAP
	stuff.

	* gnus-score.el (gnus-score-string): Fix calling convention of
	`gnus-simplify-buffer-fuzzy' after last patches.

	* gnus-sum.el (gnus-update-marks): Don't send any marks updates to the
	server for articles we didn't get any headers for.  This is a sanity
	check.

2011-03-29  Michael Welsh Duggan  <md5i@md5i.com>

	* nnimap.el (nnimap-open-connection-1): Is the login responds with a
	new CAPABILITY, use it.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-fetch-headers): Don't message if we're not
	downloading anything.

	* gnus.el (gnus-splash-svg-color-symbols): Remove superfluous `and'.

2011-03-29  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus.el (gnus-group-startup-message): Prefer svg file and replace
	colors.
	(gnus-splash-svg-color-symbols): New function.

2011-03-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-simplify-buffer-fuzzy): Take the regexp explicitly
	instead of using the global gnus-simplify-subject-fuzzy-regexp.
	(gnus-simplify-subject-fuzzy): Use the local
	gnus-simplify-subject-fuzzy-regex instead of the global one.
	This makes using this variable in group parameters work.

2011-03-29  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-unfollowed-groups):
	Add "archive:sent" to the unfollowed group regex (for the recent Gnus
	archive:sent-YYYY-MM-DD groups).
	(gnus-registry-split-fancy-with-parent): Bail out early in sender
	tracking if there are more than `gnus-registry-max-track-groups'
	matches.

2011-03-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message--yank-original-internal): New function to do the
	insertion cleanly inside eval in `message-yank-original'.
	(message-yank-original): Use it.

2011-03-29  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Use `set-normal-mode' with
	local variables disabled rather than `normal-mode'.

2011-03-26  Chong Yidong  <cyd@stupidchicken.com>

	* proto-stream.el: Changes preparatory to merging open-protocol-stream
	with open-network-stream.
	(proto-stream-always-use-starttls): Option removed.
	(open-protocol-stream): Return a process object by default.  Provide a
	new parameter :return-list specifying a list-type return value, which
	now has the form (PROP . PLIST) instead of a fixed-length list.  Change
	:type `network' to `try-starttls', and `network-only' to `default'.
	Make `default' the default, for compatibility with open-network-stream.
	Handle the no-parameter case exactly as open-network-stream, with no
	additional stream processing.  Search plists using plist-get.
	Explicitly add :end-of-commend parameter if it is missing.
	(proto-stream-open-default): Rename from
	proto-stream-open-network-only.  Return 'default as the type.
	(proto-stream-open-starttls): Rename from proto-stream-open-network.
	Use plist-get.  Don't return `tls' as the type if STARTTLS negotiation
	failed.  Always return a list with a (possibly dead) process as the
	first element, for compatibility with open-network-stream.
	(proto-stream-open-tls): Use plist-get.  Always return a list.
	(proto-stream-open-shell): Return `default' as connection type.
	(proto-stream-capability-open): Use plist-get.
	(proto-stream-eoc): Function deleted.

	* nnimap.el (nnimap-stream, nnimap-open-connection)
	(nnimap-open-connection-1): Handle renaming of :type parameter for
	open-protocol-stream.
	(nnimap-open-connection-1): Pass a :return-list parameter
	open-protocol-stream to obtain a list return value.  Parse this list
	using plist-get.

	* nntp.el (nntp-open-connection): Handle renaming of :type parameter
	for open-protocol-stream.  Accept open-protocol-stream return value
	that is a subprocess object instead of a list.  Handle the case of a
	dead returned process.

2011-03-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* mm-util.el (mm-handle-filename): Move to mm-decode.el (bug#8330).

	* mm-decode.el (mm-handle-filename): Move from mm-util.el (bug#8330).

2011-03-21  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-inline-fontify): Make mode optional, and call
	normal-mode if not set.  Set temp buffer unmodified to avoid kill-buffer
	query.
	(mm-inline-text): Render normal text with fontification whenever
	possible.

	* gnus-sum.el (gnus-summary-save-parts-1):
	* gnus-art.el (gnus-article-browse-html-save-cid-content)
	(gnus-article-browse-html-parts, gnus-mime-delete-part)
	(gnus-mime-copy-part, gnus-mime-inline-part, gnus-insert-mime-button):
	Use `mm-handle-filename'.

	* mm-util.el (mm-handle-filename): New function, return the filename of
	an handle.

2011-03-18  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-buffer-live-p): Simplify gnus-buffer-live-p.
	(gnus-buffer-live-p): Check that buffer is not nil.

2011-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el: Require mouse, which the build bot seems to say is
	needed.

	* gravatar.el (gravatar-retrieve-synchronously): Use `url-retrieve' on
	XEmacs, since it doesn't have url-retrieve-synchronously.

2011-03-17  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus-group.el (gnus-group-list-ticked): New function.
	(gnus-group-make-menu-bar): Provide a menu entry for it.
	(gnus-group-list-map): Provide a binding for it.

2011-03-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-visit-file): New command.

	* nnimap.el (nnimap-fetch-inbox): Rewrite slightly last patch.

2011-03-17  Bjørn Mork  <bjorn@mork.no>

	* nnimap.el (nnimap-fetch-inbox): Don't download bodies on ver4-capable
	servers.

2011-03-16  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-dissect-text-parts): Only dissect handle that are
	inline.

	* gnus-art.el (article-hide-list-identifiers):
	Use gnus-group-get-list-identifiers.

	* gnus-sum.el (gnus-group-get-list-identifiers): New function.
	(gnus-summary-remove-list-identifiers):
	Use gnus-group-get-list-identifiers to get regexp.
	(gnus-select-newsgroup, gnus-summary-insert-subject)
	(gnus-summary-insert-articles):
	Call gnus-summary-remove-list-identifiers unconditionally.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-articles-to-read): Revert back to old behavior if
	we're selecting a group with unread articles.

	* nnimap.el (nnimap-open-connection-1): Allow `network-only', too.

	* gssapi.el: New file separated out from imap.el to provide a general
	Kerberos 5 connection facility for Emacs.

	* message.el (message-elide-ellipsis): Document the format spec
	ellipsis.

2011-03-15  Reiner Steib  <Reiner.Steib@gmx.de>

	* message.el (message-elide-region): Allow the ellipsis to say how many
	lines were removed.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-win.el (gnus-configure-frame): Protect against trying to restore
	window configurations containing buffers that are now dead.

	* nnimap.el (nnimap-parse-flags): Remove all MODSEQ entries before
	parsing to avoid integer overflows.
	(nnimap-parse-flags): Simplify the last change.
	(nnimap-parse-flags): Store HIGHESTMODSEQ as a string, since it may be
	too large for 32-bit Emacsen.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auth-source.el (auth-source-netrc-create):
	* message.el (message-yank-original): Fix use of `case'.

2011-03-15  Nelson Ferreira  <nelson.ferreira@ieee.org>  (tiny change)

	* gnus-art.el (gnus-article-treat-body-boundary): Fix boundary width on
	XEmacs, which was one character too wide.

2011-03-09  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus-sum.el (gnus-articles-to-read): Use gnus-large-newsgroup as
	default number of articles to display.
	(gnus-articles-to-read): Use pretty names for prompt.

2011-03-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Ditto.

	* gnus-start.el (gnus-activate-group): Give a backtrace if
	debug-on-quit is set and the user hits `C-g'.
	(gnus-read-active-file): Ditto.

	* gnus-group.el (gnus-group-read-ephemeral-group): Ditto.

2011-03-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-yank-original): Use cond instead of CL case.

2011-03-15  Stefan Monnier  <monnier@iro.umontreal.ca>

	* auth-source.el (auth-source-netrc-create): Use usual format for the
	default in prompts.

2011-03-13  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Show the default in the
	prompt when prompting for token creation.

2011-03-12  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-format-prompt): Always convert the value
	to a string to avoid evaluating non-string arguments.
	(auth-source-netrc-create): Offer default properly, not as initial
	content in `read-string'.
	(auth-source-netrc-saver): Use a cache keyed by file name and MD5 hash
	of line to determine if we've been run before.  If so, don't run again,
	but print a trivial message to indicate the cache was hit instead.

2011-03-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-sync.el (gnus-sync-install-hooks, gnus-sync-unload-hook):
	Don't install `gnus-sync-read' to any hooks by default.  It's buggy.
	The user will have to run `gnus-sync-read' manually and wait for Cloudy
	Gnus.

2011-03-11  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-type-alist): Add support for diff starting with "===
	modified file".

2011-03-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-read-char-choice): New function to read a
	character choice using `dropdown-list', `read-char-choice', or
	`read-char'.  It appends "[a/b/c] " to the prompt if the choices were
	'(?a ?b ?c).  The `dropdown-list' support is disabled for now.  Use
	`eval-when-compile' to load `dropdown-list'.  Remove `dropdown-list'.
	(auth-source-netrc-saver): Use it.
	(auth-source-pick-first-password): New convenience function.

2011-03-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-credentials): Keep the :save-function as the third
	parameter in the credentials.
	(nnimap-open-connection-1): Use it after a successful login.
	(nnimap-credentials): Add IMAP-specific user and password prompt.

	* auth-source.el (auth-source-search): Add :require parameter, taking a
	list.  Document it and the :save-function return token.  Pass :require
	down.  Change the CREATED message from a warning to a debug statement.
	(auth-source-search-backends): Pass :require down.
	(auth-source-netrc-search): Pass :require down.
	(auth-source-netrc-parse): Use :require, if it's given, as a filter.
	Change save prompt to indicate all modifications saved here are
	deletions.
	(auth-source-netrc-create): Take user login name as default in user
	prompt.  Move all the save functionality to a lexically bound function
	under the :save-function token in the returned list.  Set up clearer
	default prompts for user, host, port, and secret.
	(auth-source-netrc-saver): New function, intended to be wrapped for
	:save-function.

2011-03-07  Chong Yidong  <cyd@stupidchicken.com>

	* Version 23.3 released.

2011-03-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Change the defaults for the table
	lines to be spaces instead.

2011-03-07  Julien Danjou  <julien@danjou.info>

	* sieve-manage.el (sieve-sasl-auth): Create auth-info if not found.
	(sieve-sasl-auth): Check that auth-source-search did return something,
	or just return an empty string.

2011-03-05  Antoine Levitt  <antoine.levitt@gmail.com>

	* gnus.el (gnus-interactive): Use read-directory-name.

	* gnus-uu.el (gnus-uu-decode-uu-and-save)
	(gnus-uu-decode-unshar-and-save, gnus-uu-decode-save)
	(gnus-uu-decode-binhex, gnus-uu-decode-yenc)
	(gnus-uu-decode-save-view, gnus-uu-decode-postscript-and-save):
	Likewise.

	* gnus-group.el (gnus-group-make-directory-group): Likewise.

2011-03-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-group-change-level): Allow putting foreign groups
	onto the list of killed groups, too.  This makes killed nnimap groups,
	for instance, more reliably not reappear.

	* nnimap.el (nnimap-request-thread): Don't bug out when we can't find
	the parent.

	* gnus-sum.el (gnus-update-read-articles): Fix typo.

	* gnus.el (gnus-valid-select-methods): Mark nnimap as a backend that
	really have server-side marks.

	* gnus-sum.el (gnus-propagate-marks): Change default back to nil again,
	since most backends do not usefully have server-side marks.
	(gnus-update-read-articles): Propagate marks to all backends that
	really have server-side marks.

2011-03-05  Antoine Levitt  <antoine.levitt@gmail.com>

	* message.el (message-cite-reply-position, message-cite-style):
	New variables.
	(message-yank-original): Use the new citation styles.

2011-03-04  Daiki Ueno  <ueno@unixuser.org>

	* message.el (message-options): Revert the change that's a workaround
	for XEmacs buffer-local issue; don't mark it buffer-local when running
	under XEmacs.

2011-03-03  Tassilo Horn  <tassilo@member.fsf.org>

	* nnimap.el (nnimap-parse-flags): Add a workaround for FETCH lines with
	numbers too big to be `read'.

2011-03-02  Teodor Zlatanov  <tzz@lifelogs.com>

	* message.el (message-options): Make buffer-local two ways to attempt
	to fix a XEmacs bug.

2011-03-02  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-with-article-buffer): Fix buffer live check.

2011-03-01  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (list-identifier): Add list-identifier as a parameter
	group.
	(article-hide-list-identifiers): Use list-identifier group parameter.

2011-02-28  Julien Danjou  <julien@danjou.info>

	* sieve.el (sieve-buffer-script-name): New local variable to store
	sieve script name.
	(sieve-edit-script): Store sieve script name.
	(sieve-upload): Use sieve script name when uploading.
	(sieve-upload): Use substitute-command-keys.
	(sieve-edit-script): Use substitute-command-keys.
	(sieve-refresh-scriptlist): Use substitute-command-keys.
	(sieve-manage-mode-map): Define keymap properly.
	(sieve-manage-mode): Do not set mode name manually, change mode-name to
	(sieve-refresh-scriptlist): Use substitute-command-keys."Sieve-manage".
	Remove commented code about cvs.
	(sieve-manage-quit): New function.
	(sieve-manage-mode-map): Bind 'q' to sieve-manage-quit.

2011-02-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-import-other-newsrc-file): New function.

2011-02-25  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-search): Cache empty result sets.

	* auth-source.el (auth-source-save-behavior): New variable to replace
	`auth-source-never-create'.
	(auth-source-netrc-create): Use it.
	(auth-source-never-save): Remove.

2011-02-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-stream): Doc fix.
	(nnimap-open-connection-1): Reverse the order of the ports to that the
	prompted-for port is first.

	* gnus-start.el (gnus-get-unread-articles): Don't clobber the async
	retrieval by the no-group selection.

	* gnus-demon.el (gnus-demon-init): run-with-timer should be called with
	numerical parameters.

2011-02-25  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el: Use gnus-with-article-buffer.

	* gnus-art.el (gnus-with-article-buffer): Check that the
	gnus-article-buffer is alive.

2011-02-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-creation-prompts): New variable to manage
	creation-time prompts.
	(auth-source-search): Document it.
	(auth-source-format-prompt): Add utility function.
	(auth-source-netrc-create): Don't default the user name to
	user-login-name.  Use `auth-source-creation-prompts' and some default
	prompts for user, host, port, and password (the default generic prompt
	remains ugly).
	(auth-source-never-save): Add customizable option to never save info.
	(auth-source-netrc-create): Use it and improve save prompts.  Fix help
	mode excursion.

2011-02-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-netrc-create): Use `read-char' with no
	argument that XEmacs doesn't support.

2011-02-23  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (article-make-date-line): Ignore errors if time is
	invalid and not convertible.
	(article-make-date-line): Only add lapsed time if time is not nil.

2011-02-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Use `read-char' instead of
	`read-char-choice' for backwards compatibility.
	(auth-source-netrc-element-or-first): New function to DTRT for
	parameter extraction.
	(auth-source-netrc-create): Use it and fix multiple parameter print
	bug.  Use the default passed from above (given-default) or the
	built-in (user-login-name for :user).

2011-02-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-dribble-read-file):
	Set buffer-save-without-query, since we always want to save the dribble
	file, probably.

	* nnmail.el (nnmail-article-group): Allow a final "" split to work on
	nnimap.

	* gnus-sum.el (gnus-user-date-format-alist): Rename back again from
	-summary- since it's a user-visible variable.

	* nnimap.el (nnimap-retrieve-group-data-early): Don't do QRESYNC the
	first time you use the new Gnus.

2011-02-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Don't load netrc.el.
	(auth-sources): Search ~/.netrc as well by default.
	(auth-source-debug): Add 'trivia option for extra output.
	(auth-source-do-trivia): Use it.
	(auth-source-search): Simplify logic to use
	`auth-source-search-backends'.  Use `auth-source-do-trivia' where
	appropriate.  Don't keep a running count at this level.  Layer :create
	and :delete options appropriately on the first and second passes.
	Don't track the backend with the search results.
	(auth-source-search-backends): New function to search a list of
	backends for a processed spec.
	(auth-source-netrc-parse): Cache all netrc files, making
	auth-source-netrc-cache an alist keyed by the file name and using the
	file mtime as the caching criterion.  Keep the obfuscated data secret
	with a lexical bind.
	(auth-source-netrc-search): Don't calculate the length of the results
	unnecessarily.
	(auth-source-search-backends): Fix bug.
	(auth-source-netrc-create): Rework prompts.

2011-02-22  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-imap-search-arguments,nnir-imap-default-search-key):
	Lower case names of search constraints.
	(nnir-run-query): Cache and reuse search constraints for all imap
	servers.

2011-02-22  Sam Steingold  <sds@gnu.org>

	* gnus-msg.el (gnus-setup-message): Also bind `winconf-name'.

2011-02-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-add-send-actions): Restore the winconf name
	after exit.
	(gnus-setup-message): Define missing variable from last checkin.

	* gnus-sum.el (gnus-summary-show-article): When called with t as the
	value, show the raw article.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Revert last change, since
	auth-source now accepts numbers.

	* auth-source.el (auth-source-netrc-parse): Accept a number as the port
	spec, too.
	(auth-source-ensure-strings): New function.

	* gnus-art.el (gnus-article-update-date-headers): Doc fix.
	(gnus-article-setup-buffer): Always restart the date timer so that user
	changes to the frequency is respected.

	* nnimap.el (nnimap-open-connection-1): auth-source expects strings as
	port numbers, so make sure it gets that if nnimap-server-port is
	explicit.

2011-02-21  Simon Josefsson  <simon@josefsson.org>

	* nnimap.el (nnimap-inbox): Doc fix.

2011-02-20  Chong Yidong  <cyd@stupidchicken.com>

	* shr-color.el (shr-color->hexadecimal): Use renamed function names
	color-rgb-to-hex, color-name-to-rgb, color-srgb-to-lab, and
	color-lab-to-srgb.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-finish-retrieve-group-infos): Add a kludge to use the
	given method as in the group name if we're using an extended method.
	(nntp-finish-retrieve-group-infos): Wait for the end of the LIST ACTIVE
	command, if we're using that, instead of waiting for the beginning.

	* gnus-start.el (gnus-get-unread-articles): Extend the methods so that
	we're sure to get unique server names, and we don't output two async
	commands in the same buffer.  This fixes an NNTP hang for some users.

2011-02-21  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-next-article): Add a kludge to reselect the
	summary buffer before reading going to the next buffer.  This avoids
	putting the point in the group buffer if you `C-g' the command.

	* auth-source.el (auth-source-netrc-parse): Add an in-memory netrc
	cache (for now) to make ~/.authinfo.gpg files usable.

	* nnfolder.el (copyright-update): Define for the compiler.

	* auth-source.el (auth-source-search): Fix unbound variable.

2011-02-19  Glenn Morris  <rgm@gnu.org>

	* gnus.el (gnus-meta): Doc fix.

2011-02-19  Chong Yidong  <cyd@stupidchicken.com>

	* nnfolder.el (nnfolder-save-buffer): Don't let-bind copyright-update,
	in case it's not yet loaded.

2011-02-20  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Ensure that we get the entire
	line we're waiting for.

2011-02-19  Darren Hoo  <darren.hoo@gmail.com>  (tiny change)

	* gnus-art.el (gnus-article-next-page-1): Because customized mode-line
	face with line-width greater than zero will cause RET in gnus summary
	buffer to scroll down article page-wise because auto vscroll happens,
	it should be temporally disabled when doing a scroll-up.

2011-02-19  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-parse-copied-articles): Allow for "<foo> OK"
	outputs from the server.

2011-02-18  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* gnus-art.el (gnus-article-prepare): Run gnus-article-prepare-hook
	later so that bbdb can hook in easier.

2011-02-18  Lars Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-search): Don't try to create credentials
	if the caller doesn't want that.
	(auth-source-search): If we don't find a match, don't bug out on
	non-bound variables.
	(auth-source-search): Only ask a single backend to create the
	credentials.

	* nnimap.el (nnimap-log-command): Add a newline to the inhibited
	logging.
	(nnimap-credentials): Protect against auth-source-search returning nil.
	(nnimap-request-list): Protect against not being able to open the
	server.

2011-02-17  Lars Ingebrigtsen  <larsi@gnus.org>

	* auth-source.el (auth-source-search): Do a two-phase search, one with
	no :create to get the responses from all backends.

	* nnimap.el (nnimap-open-connection-1): Delete duplicate server names
	when getting credentials.

	* gnus-util.el (gnus-delete-duplicates): New function.

2011-02-17  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-credentials): Instead of picking the first port as
	a creation default, pass the whole port list down.  It will be
	completed.

	* auth-source.el (auth-source-search): Updated docs to talk about
	multiple creation choices.
	(auth-source-netrc-create): Accept a list as a value (from the search
	parameters) and do completion on that list.  Keep a separate netrc line
	with the password obscured for showing the user.

	* nnimap.el (nnimap-open-connection-1): Make the `nnimap-address' the
	first choice to `auth-source-search' so it will be used for entry
	creation instead of the server's Gnus-specific name.
	(nnimap-credentials): Rely on the auth-source library to select which
	port is actually wanted in the new netrc entry, so don't override
	`auth-source-creation-defaults'.

	* auth-source.el (auth-source-netrc-parse): Use :port instead of
	:protocol and accept a missing user, host, or port as a wildcard match.
	(auth-source-debug): Default to off.

	(auth-source-netrc-search, auth-source-netrc-create)
	(auth-source-secrets-search, auth-source-secrets-create)
	(auth-source-user-or-password, auth-source-backend, auth-sources)
	(auth-source-backend-parse-parameters, auth-source-search): Use :port
	instead of :protocol.

	* nnimap.el (nnimap-credentials): Pass a port default to
	`auth-source-search' in case an entry needs to be created.
	(nnimap-open-connection-1): Use :port instead of :protocol.

2011-02-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-secrets-search): Use mm-delete-duplicates
	instead of delete-dups that is not available in XEmacs 21.4.

2011-02-16  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-propagate-marks): Change default to t again, since
	nil means that nnimap doesn't get updated.

2011-02-16  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-netrc-create): Return a synthetic search
	result when the user doesn't want to write to the file.
	(auth-source-netrc-search): Expect a synthetic result and proceed
	accordingly.
	(auth-source-cache-expiry): New variable to override
	`password-cache-expiry'.
	(auth-source-remember): Use it.

	* nnimap.el (nnimap-credentials): Remove the `inhibit-create'
	parameter.  Create entry if necessary by using :create t.
	(nnimap-open-connection-1): Don't pass `inhibit-create'.

2011-02-15  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-debug): Enable by default and don't
	mention the obsolete `auth-source-hide-passwords'.
	(auth-source-do-warn): New function to debug unconditionally.
	(auth-source-do-debug): Use it.
	(auth-source-backend-parse): Use it for invalid `auth-sources' entries
	and for Secrets API entries when the secrets.el library is not
	available.

2011-02-14  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-propagate-marks): Default to nil.
	(gnus-summary-exit): Kill the correct article buffer on exit from a
	`C-d' group.

	* gnus-start.el (gnus-use-backend-marks): Removed, since it duplicates
	gnus-propagate-marks.

	* gnus-sum.el (gnus-summary-exit-no-update): Restore the group conf
	before killing the buffers so that a non-full window conf gets handled
	correctly.
	(gnus-summary-exit): Ditto.
	(gnus-summary-read-group-1): Ditto.

	* nntp.el (nntp-retrieve-group-data-early): Reinstate the two-part
	async code again so that we can debug it properly.

	* message.el (message-reply): Take an optional switch-buffer parameter
	so that Gnus window confs are respected better.

2011-02-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-backend-parse-parameters): Don't rely on
	`plist-get' to accept non-list parameters (XEmacs issue).
	Fix docstring.
	(auth-source-secrets-search): Use `delete-dups', `append mapcar', and
	`butlast' instead of `remove-duplicates', `mapcan', and `subseq'.
	(auth-sources, auth-source-backend-parse, auth-source-secrets-search):
	Login collection is "Login" and not "login".

2011-02-14  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-update-date-lapsed): Don't bug out when updating
	multiple headers.

	* nnimap.el (nnimap-inhibit-logging): New variable.
	(nnimap-log-command): Don't log login commands.

	* auth-source.el (auth-source-netrc-search): The asserts seem to want
	to have more parameters.

	* nnimap.el (nnimap-send-command): Mark the command time for each
	command, so that we don't get NOOPs stepping on our toes.

	* gnus-art.el (article-date-ut): Get the date from the Date header on
	`t'.

2011-02-14  Katsumi Yamaoka  <yamaoka@jpl.org>

	* auth-source.el (auth-source-search): Use copy-sequence instead of
	the cl.el copy-list.

2011-02-13  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-delay.el (gnus-delay-article) Fix number of seconds per day.
	Improve prompt.

2011-02-13  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-mode-line-format): Remove the article
	washing status from the default format.  It isn't very informative.

2011-02-13  Tassilo Horn  <tassilo@member.fsf.org>  (tiny change)

	* nnimap.el (nnimap-request-accept-article, nnimap-process-quirk):
	Fix Gcc processing on imap.

2011-02-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-bury): Don't pop up a new window when selected
	window is dedicated.

2011-02-10  Antoine Levitt  <antoine.levitt@gmail.com>  (tiny change)

	* gnus-sum.el (gnus-summary-save-parts): Use read-directory-name.

2011-02-10  Teodor Zlatanov  <tzz@lifelogs.com>

	* sieve-manage.el: Autoload `auth-source-search'.
	(sieve-sasl-auth): Use it.

2011-02-09  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el: Autoload `auth-source-forget+'.
	(nnimap-open-connection-1): Use it if the connection fails.

	* auth-source.el: Require `password-cache'.
	(auth-source-hide-passwords, auth-source-cache): Remove and mark
	obsolete.
	(auth-source-magic): Marker for `password-cache' keys.
	(auth-source-do-cache): Update docstring.
	(auth-source-search): Use and check cache.
	(auth-source-forget-all-cached, auth-source-remember)
	(auth-source-recall, auth-source-forget, auth-source-forget+)
	(auth-source-specmatchp): Caching support functions.
	(auth-source-forget-user-or-password, auth-source-forget-all-cached):
	Remove and obsolete.
	(auth-source-user-or-password): Remove caching to further discourage
	using it.  Always hide passwords.

2011-02-09  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieve-group-data-early-disabled): Disable the async
	code for now, since it doesn't work for all users.

2011-02-09  Julien Danjou  <julien@danjou.info>

	* message.el (message-options): Make message-options really buffer
	local.

2011-02-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* mail-source.el: Autoload `auth-source-search'.
	(mail-source-keyword-map): Note order matters.
	(mail-source-set-1): Get all the mail-source source values and
	defaults and search auth-source on those if needed.  This can all
	probably be simplified.

	* nnimap.el: Autoload `auth-source-search'.
	(nnimap-credentials): Use it.
	(nnimap-open-connection-1): Ask for the virtual server and physical
	address in one shot.

	* nntp.el: Autoload `auth-source-search'.
	(nntp-send-authinfo): Use it.  Note TODO.

2011-02-08  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-body): Add support for text attribute in body
	markups.

	* message.el (message-options): Make message-options a local variable.

2011-02-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-secrets-search)
	(auth-source-user-or-password): Use `append' instead of `nconc'.
	(auth-source-user-or-password): Build return list better and protect
	against nil :secret.

2011-02-07  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Refactor slightly.
	(nnimap-update-info): Tell Gnus whether there are any \Recent messages.
	(nnimap-update-info): Clean up slightly.
	(nnimap-quirk): Add quirk for Gmail IMAP which bugs out on NUL
	characters.
	(nnimap-process-quirk): Rename function to avoid collision.
	(nnimap-update-info): Fix macrology bug-out.
	(nnimap-update-info): Simplify split history test.

2011-02-06  Michael Albinus  <michael.albinus@gmx.de>

	* auth-source.el (top): Require 'eieio unconditionally.
	Autoload `secrets-get-attributes' instead of `secrets-get-attribute'.
	(auth-source-secrets-search): Limit search when `max' is greater than
	number of results.

2011-02-06  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-finish-retrieve-group-infos): Protect against the first
	part not returning any data.

	* proto-stream.el (open-protocol-stream): Document the return value.

2011-02-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-source-secrets-search): Add examples.

2011-02-06  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Handle message-generate-headers-first
	set to t.

2011-02-06  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el (auth-sources): Allow for simpler defaults for Secrets
	API with a string "secrets:collection-name" and with 'default.
	(auth-source-backend-parse): Parse "secrets:collection-name" and
	'default.  Recurse on parses instead of repeating code.  Use the
	Secrets API is the source is not nil and 'ignore otherwise.  Emit a
	message when ignoring a source.
	(auth-source-search): List ignored search keys at the top level.
	(auth-source-netrc-create): Use `case' instead of `cond'.
	(auth-source-secrets-search): Created with TODOs.
	(auth-source-secrets-create): Created with TODOs.
	(auth-source-retrieve, auth-source-create, auth-source-delete)
	(auth-source-protocol-defaults, auth-source-user-or-password-imap)
	(auth-source-user-or-password-pop3, auth-source-user-or-password-ssh)
	(auth-source-user-or-password-sftp)
	(auth-source-user-or-password-smtp): Remove.
	(auth-source-user-or-password): Deprecated and modified to be a wrapper
	around `auth-source-search'.  Not tested thoroughly.

2011-02-04  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Bring in assoc and eioeio libraries.
	(secrets-enabled): New variable to track the status of the Secrets API.
	(auth-source-backend): New EIOEIO class to represent a backend.
	(auth-source-creation-defaults): New variable to set prompt defaults
	during token creation (see the `auth-source-search' docstring for
	details).
	(auth-sources): Simplify to allow a simple string as a netrc backend
	spec.
	(auth-source-backend-parse): Parse a backend from an `auth-sources' spec.
	(auth-source-backend-parse-parameters): Fill in the backend parameters.
	(auth-source-search): Main auth-source API entry point.
	(auth-source-delete): Wrapper around `auth-source-search' for deletion.
	(auth-source-search-collection): Helper function for searching.
	(auth-source-netrc-parse, auth-source-netrc-normalize)
	(auth-source-netrc-search, auth-source-netrc-create): Netrc backend.
	Supports search, create, and delete.
	(auth-source-secrets-search, auth-source-secrets-create): Secrets API
	backend stubs.
	(auth-source-user-or-password): Call `auth-source-search' but it's not
	ready yet.

2011-02-04  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-setup-1): Remove the read-only stuff, since it
	doesn't work under XEmacs, for some reason.

	* gnus-sum.el (gnus-user-date): Rename back from
	gnus-summary-user-date since user code refers to it.

	* shr.el (shr-render-td): Store the actual background color used.

	* message.el (message-setup-1): Don't bind the constant
	-forbidden-properties.
	(message-setup-1): Revert previous change, since it needs to bind the
	props to insert them.
	(message-resend): Allow removing the read-only separator line.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Give an error message if
	the APPEND wasn't successful.

2011-02-03  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-start.el (gnus-get-unread-articles): Fix the call to methods
	that have no groups.

2011-02-03  Julien Danjou  <julien@danjou.info>

	* gnus-draft.el: Remove progn around gnus-draft-setup.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): This function is never
	called with a nil `infos', so clean that up.
	(gnus-get-unread-articles): Request active files from primary/secondary
	methods that have no groups (yet).

2011-02-03  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Always generate References first.
	(message-mail): Return the return value of message-setup, not always t.
	(message-setup-1): Insert mail-header-separator with read-only and
	intangible properties set.

	* gnus.el (gnus-summary-line-format): Add missing semi-colon for
	user-date in docstring.

	* gnus-art.el (gnus-article-jump-to-part): Remove useless sit-for.

	* gnus.el (gnus-summary-line-format): Mention &user-date format in
	docstring.

	* gnus.el (gnus-user-date-format-alist): Change default value.
	Use defcustom, with type and group.  Move from gnus-util.el.
	Rename to gnus-summary-user-date-format-alist.

2011-02-03  Glenn Morris  <rgm@gnu.org>

	* nnimap.el (gnus-fetch-headers): Declare.

	* nnheader.el (gnus-range-add, gnus-remove-from-range): Autoload.

2011-02-03  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-forward-make-body-digest-plain)
	(message-followup, message-reply): Clean up things noted by Stefan.

	* gnus-art.el (gnus-article-setup-buffer): Stop the date timer if
	gnus-article-update-date-headers is nil.
	(gnus-article-date-headers): Rip out the old -treat-date-* stuff, since
	it didn't really work with defcustom.
	(article-update-date-lapsed): Make sure the window start doesn't move,
	either.

2011-02-01  Julien Danjou  <julien@danjou.info>

	* mm-uu.el (mm-uu-type-alist): Add support for git format-patch diff
	format.

	* mm-decode.el (mm-inline-media-tests): Do not check for diff-mode it's
	standard in Emacs nowadays.

2011-02-01  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el (message-expand-name): Don't trust the return value of
	bbdb-complete-name.
	(message-check-news-header-syntax): Remove unused var `start'.
	(message-idna-to-ascii-rhs-1): Remove unused vars `rhs' and `address'.
	(message-inhibit-body-encoding): Move to before first use.
	(mail-abbrev-mode-regexp, Expires, User-Agent, Lines, Distribution)
	(To, References, In-Reply-To, Newsgroups, Subject, Path, From)
	(Organization, Message-ID, Date, mh-previous-window-config):
	Defvar the vars using dynamic scoping.

2011-02-01  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-render-td): Only do colors at the final rendering.
	Should be slightly faster.
	(shr-insert-table): Fix up TD background colors when doing the
	vertical padding.

	* gnus-art.el (article-date-ut): Protect against articles with no Date
	header.
	(article-update-date-lapsed): Don't use current-column to find the
	horizontal position.  It's fragile in the presence of \003 characters.

	* gnus-start.el (gnus-read-active-file-1): Remove dead parameter infos.

2011-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-transform-date): Rewrite to still work when
	there are several rfc2822 parts.
	(article-transform-date): Fix infinite recursion.
	(article-date-ut): Replace infinitely many Date headers with a single
	one when called interactively.

	* nnimap.el (nnimap-wait-for-response): Wait for results in a more
	secure manner.

	* gnus-art.el (article-update-date-lapsed): Try to avoid having point
	move around by not using save-window-excursion.  It seems to work...

2011-01-31  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-make-date-line): Work for user-defined format.

2011-01-31  Lars Ingebrigtsen  <larsi@gnus.org>

	* nntp.el (nntp-retrieve-group-data-early)
	(nntp-finish-retrieve-group-infos): Implement the asynchronous data
	fetching functions.

	* gnus-start.el (gnus-read-active-for-groups): Read the active files
	thoroughly for all backends that have no known groups.  This should
	allow new nnml methods to retrieve mail.

	* gnus-group.el (gnus-group-jump-to-group): Allow jumping to groups
	that Gnus doesn't know exists again.

	* gnus-art.el (gnus-article-date-lapsed-new-header): Remove.
	(gnus-treat-date-ut): Ditto.
	(gnus-article-update-date-header): Rename.
	(gnus-treat-date-local): Remove.
	(gnus-treat-date-english): Remove.
	(gnus-treat-date-lapsed): Remove.
	(gnus-treat-date-combined-lapsed): Remove.
	(gnus-treat-date-original): Remove.
	(gnus-treat-date-iso8601): Remove.
	(gnus-treat-date-user-defined): Remove.
	(gnus-article-date-headers): New variable to control all the date
	header options.
	(article-date-ut): Rewrite to allow using the new way to format date
	headers(s).

2011-01-30  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-article-group): Check for a direct fancy split
	method.
	(nnmail-article-group): A better test for fanciness.

	* nnimap.el (nnimap-request-head): Protect against not finding the
	article by Message-ID.

2011-01-29  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-update-date-lapsed): Try a better way to really
	keep point at the "same place".

2011-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Don't try to alter the active
	data if the group is inactive.

2011-01-28  Julien Danjou  <julien@danjou.info>

	* gnus-win.el: Remove dead function gnus-window-configuration-element.
	(gnus-all-windows-visible-p): Remove old compatibility code.
	(gnus-window-top-edge): Add docstring.

	* gnus-group.el (gnus-group-jump-to-group): Set must match to t.

2011-01-28  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-request-marks): Call *-request-marks instead of the
	older request-update-info.

	* gnus-art.el (article-make-date-line): Limit the length a bit more.

2011-01-28  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt):
	Give mml2015-signers higher precedence over mml2015-sign-with-sender.

2011-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-refresh-group): Refresh even non-visible
	groups.  This makes the nndraft:queue group pop up if it's not already
	there.

	* gnus-sum.el (gnus-summary-read-group-1): Fix the "contains no
	messages" logic, which was reversed.

	* gnus-art.el (article-update-date-lapsed): Ensure that point stays at
	the "same place" even if point is on the line being replaced.
	(article-update-date-lapsed): Allow updating both the combined lapsed
	and the lapsed headers.
	(article-update-date-lapsed): Skip past all the X-Sent/Date headers.
	(article-make-date-line): Limit the number of segments dynamically to
	avoid too-long lines.

2011-01-27  Julien Danjou  <julien@danjou.info>

	* mml2015.el (mml2015-epg-sign): Add and use mml2015-sign-with-sender.
	(mml2015-epg-encrypt): Use mml2015-sign-with-sender.

2011-01-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-expand-newlines, shr-previous-newline-padding-width):
	Use plist-get instead of the cl function getf.

2011-01-27  Glenn Morris  <rgm@gnu.org>

	* gnus-util.el (float-time): Get rid of compiler warning, again.

2011-01-27  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-put-color): Special-case background colors: Do put them
	at the blank parts at the front of the lines.

	* gnus-draft.el (gnus-draft-clear-marks): New function to be run as an
	exit hook to nix out all data on readedness on group exit.

	* gnus-util.el (float-time): If float-time is bound, always use it on
	all Emacsen.  It's unclear why the subrp check was there.
	(time-date): Require to make some autoload issues on XEmacs go away.

	* shr.el (shr-put-color): Don't do the box padding in tables, since
	they're already padded.

2011-01-26  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-next-page): When the last line of the
	article is displayed, scroll down once more instead of going to the
	next article at once.
	(article-lapsed-string): Refactor out and allow specifying how many
	segments you want.
	(gnus-article-setup-buffer): Start updating the lapsed header directly.
	(gnus-article-update-lapsed-header): New variable.

	* shr.el: Revert change that made headings use different-sized faces.
	The Emacs display engine isn't advanced enough that, for instance,
	tables can comfortably use differently-sized faces.

2011-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection-1): Store the actual stream type
	used.
	(nnimap-login): Prefer plain LOGIN if it's enabled (since it requires
	fewer round trips than CRAM-MD5, and it's less likely to be buggy), and
	we're using an encrypted connection.

	* proto-stream.el: Alter the interface functions to also return the
	actual stream type used: network or TLS.

2011-01-25  Julien Danjou  <julien@danjou.info>

	* mm-view.el (mm-display-shell-script-inline): Fix typo in docstring.
	(mm-display-javascript-inline): New function.

	* mm-decode.el (mm-inline-media-tests): Add application/javascript
	viewing function.

2011-01-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-expand-newlines): Fix variable name.

2011-01-25  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-newlines): Make nested boxes work.

2011-01-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-expand-newlines): Proof of concept implementation of boxy
	backgrounds.
	(shr-expand-newlines): Switch to using overlays to enable kill'n'yank
	in a more sensible manner.

2011-01-24  Teodor Zlatanov  <tzz@lifelogs.com>

	* mml-smime.el (mml-smime-use): Make it a defcustom and default to 'epg
	if EPG is loaded.

2011-01-24  Julien Danjou  <julien@danjou.info>

	* shr.el: Use defface to create shr-tag-h[1-6] faces to fontify h[1-6]
	tags.

2011-01-24  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-read-summary-keys): Don't call disabled
	commands.

	* gnus-gravatar.el (gnus-gravatar-insert): Don't move point around
	in the article buffer.
	(gnus-gravatar-insert): Use blank space from the current buffer to
	avoid breaking text properties.  This makes X-Sent updating work again.

	* gravatar.el (gravatar-retrieve): Be silent when retrieving.

2011-01-23  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-image-fetched): Kill the buffer anyway, and
	fix the bug in url-http.el instead.

	* shr.el (shr-image-fetched): Ditto.

	* shr.el (shr-image-fetched): Avoid having point move in the article
	buffer.

	* gnus-html.el (gnus-html-image-fetched): Don't kill the temporary
	buffer after being called.  It's apparently being killed by url.el, and
	killing it made point move to end-of-buffer in a random buffer.

	* shr.el (shr-image-fetched): Ditto.

2011-01-23  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-inline-media-tests): Change text/org to text/x-org.

	* mm-uu.el (mm-uu-org-src-code-block-extract): Change text/org to
	text/x-org.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Protect against backends
	(i.e., nnimap) returning nil as the article number.

2011-01-22  Kazuhiro Ito  <kzhr@d1.dion.ne.jp>  (tiny change)

	* flow-fill.el (fill-flowed): Make `delete-space' option correspond to
	"DelSp" parameter in RFC3676.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-check-recipients): Display the encoded version of
	the bogus address if they differ.

	* gnus-draft.el (gnus-group-send-queue): Really refresh the queue group
	after sending.

	* gnus-agent.el (gnus-agent-send-mail): Ditto.

	* gnus-group.el (gnus-group-refresh-group): New convenience function.

	* gnus-draft.el (gnus-group-send-queue): Update the queue group in the
	group buffer after sending the queue.

	* gnus-agent.el (gnus-agent-send-mail): Ditto.

2011-01-22  Julien Danjou  <julien@danjou.info>

	* mailcap.el (mailcap-mime-extensions): Rename text/org to text/x-org.

2011-01-22  Lars Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-preferred-alternative-precedence): Don't bug out on
	nested related parts.

	* nnfolder.el (nnfolder-request-expire-articles): Return the list of
	unexpired articles.  This fixes the regression that led expiry marks to
	disappear from nnfolder groups.

2011-01-21  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-art.el (gnus-button-alist, gnus-button-handle-info-keystrokes):
	Don't confuse the "ret" of "retrograde" with RET.

2011-01-21  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-mime-display-single): Use mm-display-inline rather
	than mm-insert-inline.

2011-01-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-remove-images, gnus-article-show-images):
	Widen article buffer.

2011-01-20  Stefan Monnier  <monnier@iro.umontreal.ca>

	* mm-util.el (mm-find-buffer-file-coding-system): Don't forget to kill
	the temp buffer.
	* message.el (message-mailer-swallows-blank-line): Use with-temp-buffer.

2011-01-20  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-inline-media-tests): Add text/x-sh.

	* gnus-art.el (gnus-mime-inline-part): Use mm-display-inline rather
	than mm-insert-inline to insert inline part: this respect
	mm-inline-media-tests displayers.

	* mm-view.el (mm-display-shell-script-inline): New function.

	* mm-decode.el (mm-inline-media-tests): Add x-shellscript and x-sh.

	* mm-uu.el (mm-uu-type-alist): Add org block.
	(mm-uu-org-src-code-block-extract): New function.

	* mm-view.el (mm-display-org-inline): New function.

	* mm-decode.el (mm-automatic-display): Add text/org.

	* mailcap.el (mailcap-mime-extensions): Add .org.

2011-01-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-highlight): Remove argument passed to
	gnus-article-add-buttons.

2011-01-19  Tom Rauchenwald  <sehnsucht.nach.unendlichkeit@quantentunnel.de>  (tiny change)

	* spam.el (spam-spamassassin-register-with-sa-learn): Insert a full
	From header with a date and "nobody" as the sender.

2011-01-19  Julien Danjou  <julien@danjou.info>

	* gnus-art.el (gnus-article-add-buttons): Simplify condition.
	(gnus-button-push): Remove gnus-button-entry function, it fails heavily
	if you have the same regexp several times.
	(gnus-button-push): Fix matching when regexp is symbol.

2011-01-15  Glenn Morris  <rgm@gnu.org>

	* message.el (message-mail): A compose-mail function should
	accept headers as strings.

2011-01-13  Chong Yidong  <cyd@stupidchicken.com>

	* message.el (message-tool-bar-gnome): Tweak tool-bar items.
	Add :vert-only tags.
	(message-mail): New arg RETURN-ACTION.
	(message-return-action): New var.
	(message-bury): Use it.
	(message-mode): Make it buffer-local.
	(message-send-and-exit): Always call message-bury.

	* gnus-msg.el (gnus-msg-mail): New arg RETURN-ACTION.  Pass it to
	message-mail.

2011-01-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-convert-partial-article): Protect against
	zero-length body parts.

	* mm-decode.el (mm-preferred-alternative-precedence):
	Discourage showing empty parts.

	* gnus-int.el (gnus-request-accept-article): Don't try to update marks
	and stuff if the backend didn't return the article number.  This fixes
	an Exchange-related nnimap bug.

	* gnus-sum.el (gnus-summary-next-article): Remove hack to reselect
	group window, because it does the wrong thing when a separate frame
	displays the group buffer.

	* proto-stream.el (open-protocol-stream): Protect against the low-level
	transport functions returning nil.

2011-01-07  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (epg-sub-key-fingerprint): Autoload.
	(mml2015-epg-find-usable-secret-key): New function.
	(mml2015-epg-sign): Use mml2015-epg-find-usable-secret-key instead of
	mml2015-epg-find-usable-key (Bug#7797).
	(mml2015-epg-encrypt): Ditto.

2011-01-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* flow-fill.el (fill-flowed-encode): Do encoding citation-aware.

2011-01-03  Glenn Morris  <rgm@gnu.org>

	* sieve-manage.el (sieve-manage-open): Correctly set sieve-manage-port.

	* sieve.el (sieve-open-server): Give a more explicit error if
	sieve-manage-open returns nil.  (Bug#7720)

2011-01-02  Karl Fogel  <kfogel@red-bean.com>

	* gnus-msg.el (gnus-message-replyencrypt): Default to `t'.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-login): Prefer AUTH=CRAM-MD5, if it's available.
	This avoids sending passwords in plain text over non-encrypted
	channels.

	* shr.el (shr-rescale-image): Display all GIF images as animated images.

	* nnimap.el (nnimap-login): Refactored out into own function, and
	implement CRAM-MD5.
	(nnimap-wait-for-line): Refactored out.

	* mm-view.el (mml-smime): Require.

2010-12-20  David Engster  <deng@eml.cc>

	* mm-view.el (mm-view-pkcs7-decrypt): If mml-smime-use is set to 'epg,
	use EPG to decrypt S/MIME messages instead of openssl.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-group): Avoid double SELECT on `M-g'.

	* gnus-group.el (gnus-group-kill-group): Don't try to update the group
	status is the group clearly is unreachable.

	* auth-source.el (auth-source-create): Add the optional second
	parameter to `local-variable-p' to be compatible with XEmacs.

2011-01-02  Wang Diancheng  <dcwang@kingbase.com.cn>  (tiny change)

	* nnml.el (nnml-request-article): Allow requesting by Message-ID to
	work when using a compressed nnml folder.

2011-01-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-select-newsgroup): Don't propagate marks to
	backends after sanitising on entry, because this never makes sense:
	If the articles have gone missing, then the data no longer exists on
	the backend, and if they haven't, then Gnus is wrong, and shouldn't
	overwrite anything anyway.

	* shr.el (shr-insert-document): Bind shr-width dynamically to
	window-width if it's nil.

2010-12-30  Tassilo Horn  <tassilo@member.fsf.org>

	* shr.el (shr-width, shr-insert-document): Allow nil as shr-width value
	with the meaning of using the full emacs window width for rendering.

2010-12-27  Daiki Ueno  <ueno@unixuser.org>

	* mml2015.el (mml2015-epg-sign, mml2015-epg-encrypt): Take care the
	case when sender is not given.

2010-12-23  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-transform-address): Set
	`mail-extr-ignore-realname-equals-mailbox-name' to nil when extracting
	the addresses, otherwise we might misplaced the gravatar.

2010-12-21  Daiki Ueno  <ueno@unixuser.org>

	* mml1991.el (pgg-sign-region, pgg-encrypt-region):
	* gnus-art.el (pgg-snarf-keys-region): Autoload since PGG is now
	obsolete in Emacs.

2010-12-20  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-rescale-image): Revert last change.

2010-12-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-delete-articles): New command.

2010-12-17  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-mode): Make sure 'gnus-registry-install is bound.

2010-12-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-get-newsgroup-headers): Revert the last change
	here, since it's up to the backends to do CRLF removal if their
	protocol has it.

	* nnimap.el (nnimap-retrieve-headers): Remove CRLF from the headers.

2010-12-17  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-rescale-image): Allow to resize images even if
	they are from file.  Can also scale up.

2010-12-17  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Simplify code.
	Restore gnus-use-agent.
	(gnus-get-newsgroup-headers): Avoid unwanted spaces at eol.

	* nnir.el (nnir-get-active): Ignore nnir-ignored-newsgroups if null.

2010-12-17  Julien Danjou  <julien@danjou.info>

	* gravatar.el (gravatar-retrieve-synchronously): New function.
	(gravatar-get-data): Make more robust.

2010-12-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Fix the end-point calculation
	to really consider the last line.

2010-12-16  Daiki Ueno  <ueno@unixuser.org>

	* auth-source.el (auth-source-gpg-encrypt-to): New variable to set the
	list of recipient keys, or use symmetric encryption if not a list.
	(auth-source-create): Use it to make `epa-file-encrypt-to' local for an
	EPA override, replacing the call to `netrc-store-data'.

2010-12-16  Dan Davison  <dandavison7@gmail.com>  (tiny change)

	* gnus-srvr.el: Avoid passing nil regexp argument to
	delete-matching-lines.

2010-12-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-schedule-image-fetching): Make sure the HTML
	fetching stops when Gnus exits.

	* nnfolder.el (nnfolder-save-all-buffers): Refactor out into its own
	function.
	(nnfolder-request-expire-articles): Save all the buffers after doing
	expiry.

	* nnmail.el (nnmail-expiry-target-group): Revert the "all articles are
	the last article", since that led to serious performance regressions
	when expiring nnml groups.

2010-12-16  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Improve customizations.

2010-12-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-subscribe-newsgroup): Notify the backend.

	* gnus-group.el (gnus-group-kill-group): Notify the backend that the
	group has been killed.
	(gnus-group-yank-group): Ditto.

	* gnus-srvr.el (gnus-browse-unsubscribe-group): Ditto.

	* nnimap.el (nnimap-request-update-group-status): New function.

	* gnus-int.el (gnus-request-update-group-status): New interface
	function.

	* gnus-sum.el (gnus-summary-push-marks-to-backend): Fix the logic for
	copying read-ness to the backends.

	* nnimap.el (nnimap-quirk): New function.
	(nnimap-retrieve-group-data-early): Use it.
	(nnimap-quirks): New alist.

2010-12-16  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Set shr-start after deleting trailing space;
	don't delete it within indentation.

2010-12-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Always look (at least) at the
	previous line.

2010-12-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-retrieve-group-data-early): Fix the syntax of the
	QRESYNC command by deleting a superfluous space which broke Cyrus
	servers.  This change will break other servers that are buggy the other
	way around.

2010-12-14  Teodor Zlatanov  <tzz@lifelogs.com>

	* spam.el: Reindent and fix long lines.
	(spam-copy-or-move-routine): Exclude invalid move destinations.

2010-12-14  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-mode): Don't install registry hooks if user hasn't
	installed the registry.

2010-12-13  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-gmane): Better check for gmane groups: error out if
	groupname doesn't contain "gmane".

2010-12-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-matches-options-n): Fix typo in last change.
	(gnus-1): Don't create the nndrafts group twice.
	(gnus-setup-news): There's no need to read the active file here, since
	that's done again later on a per-backend basis.
	(gnus-start-draft-setup): Make sure that the new group is started out
	empty.

	* gnus-agent.el (gnus-agentize): Don't create the queue group
	automatically on startup.  It'll be created later, if needed.

	* gnus-start.el (gnus-auto-subscribed-groups): Add nnimap to the list
	of automatically subscribed groups.
	(gnus-auto-subscribed-categories): New variable.
	(gnus-matches-options-n): Use it.
	(gnus-default-subscribed-newsgroups): Remove unused variable.
	(gnus-start-draft-setup): Message a bit less.

2010-12-13  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Return article list in order of increasing
	UID.

2010-12-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-enter-digest-group):
	Mention gnus-auto-select-on-ephemeral-exit.

	* proto-stream.el (proto-stream-open-network-only): Fix the calling
	convention of the network-only option.

2010-12-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* proto-stream.el (proto-stream-open-network-only): New function to
	have a way to specify non-STARTTLS upgrade connections.

2010-12-10  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-transform-address): Fix error when
	email address is nil.

	* message.el (message-bogus-recipient-p): Set address to "" if nil.

2010-12-10  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-expire-articles): Ignore expiry except for
	deletion.
	(nnir-run-imap): Only need to parse list once.

2010-12-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-script): Ignore <script>.
	(shr-tag-label): Add <label> support.

2010-12-09  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-ucs-to-char): Use eval-and-compile.

	* shr.el (shr-image-displayer): Work for images lined side by side.

2010-12-08  Robert Pluim  <rpluim@gmail.com>

	* gnus-demon.el (gnus-demon-init): Call run-with-timer with an integer
	parameter, since XEmacs doesn't accept t as a parameter.

2010-12-08  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-retrieve-headers): Use rassq when comparing article
	ids.
	(nnir-run-gmane): Simplify groupspec formatting.
	(nnir-request-expire-articles): New function.

2010-12-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-parse-flags): Tweak VANISHED regexp to avoid regexp
	overflow, possibly.

	* shr.el (shr-tag-table-1): Use bg/gfcolor specs on tables.
	(shr-render-td): Handle td style="" better.
	(shr-tag-table): Use the color from the style sheet.
	(shr-render-td): Make sure we copy over all the overlays, too.

2010-12-07  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-gmane): Restore sub-optimal test for gmane server.
	(nnir-request-article): Improve article retrieval.

2010-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-extra-numeric-entities): New variable.

	* mm-url.el (mm-url-decode-entities):
	* mm-decode.el (mm-shr): Use it to decode extra numeric entities.

2010-12-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* message.el: Use completion-at-point.
	(message-completion-function): New fun, extracted from message-tab.
	(message-mode): Use it for completion-at-point-functions.
	(message-tab): Use it and completion-at-point.

2010-12-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-find-fill-point): Don't break a line after a kinsoku-bol
	character if a non-breakable character follows.

2010-12-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* proto-stream.el (proto-stream-open-tls): Return nil if we don't get
	any stream.

	* shr.el (shr-tag-font): Colorize the region.
	(shr-tag-body): Ditto.
	(shr-tag-font): Actually let the styles be inherited instead of
	overwriting them.
	(shr-tag-font): Get the background color right.
	(shr-tag-style): Ignore all <style> tags for the moment.

	* gnus-int.el (gnus-request-thread): Rework to take a header instead of
	a Message-ID to avoid having nnimap depend on gnus-sum.

	* shr.el (shr-descend): Only colorize something if we have a node that
	sets colors.

2010-12-06  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-render-td): Render td content with shr-descend, so style
	will be applied to <td> too.
	(shr-colorize-region): Colorize region even if we only have a background.
	(shr-tag-body): Fix color and background color inheritance.
	Do not recolorize after shr-generic.
	(shr-tag-font): Let shr-generic colorize via inheritance.

2010-12-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-find-fill-point): Don't regard apostrophe as kinsoku-bol.

2010-12-06  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-move-article): Remove obsolete code.

2010-12-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-macroexpand-all): Use eval-and-compile.

2010-12-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-respool-article): The completion function
	expects a list instead of an alist.

	* nntp.el (nntp-snarf-error-message): nnheader-report takes a format
	string as the parameter.

	* gnus.el (gnus-valid-select-methods): Allow nnimap to respool.

	* shr.el (shr-stylesheet): New dynamic variable for cascading the
	styles.
	(shr-colorize-region): New function.
	(shr-insert-background-overlay): Remove.
	(shr-render-td): Background setting should be taken care of on a higher
	level.
	(shr-tag-body): Use post-hoc colorizations.
	(shr-tag-body): Set up a style sheet based on bgcolor/fgcolor.
	(shr-put-color-1): Don't overwrite old colors.
	(shr-colorize-region): When the background color isn't explicit, use
	a fixed background.

	* gnus-util.el (gnus-output-to-mail): Require nnmail before using
	nnmail variables.

2010-12-05  Bjørn Mork  <bjorn@mork.no>

	* nnimap.el (nnimap-process-expiry-targets): Avoid downloading articles
	unless necessary.

2010-12-05  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-gmane): Use more careful test for gmane nntp
	server.

2010-12-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-put-image): Use widget instead of local maps
	so that TAB works.

	* gnus-sum.el (gnus-summary-show-article): Reverse the meanings of `C-u
	C-u g' and `C-u g' so that `C-u g' does what it traditionally did.

	* shr.el (shr-urlify): Show the URL before the title to avoid
	misleading URLs.

2010-12-04  Adam Sjøgren  <asjo@koldfront.dk>

	* shr.el (shr-urlify): Display the title in <a> tags.

2010-12-04  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-categorize): Replace mapcar with mapc.

2010-12-03  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Rearrange code to allow macros to be autoloaded by
	gnus-sum.el.
	(nnir-retrieve-headers-override-function): Make this variable
	customizable.
	(nnir-retrieve-headers): Remove obsolete subject-mangling code.

	* gnus-sum.el (nnir-article-group,nnir-article-rsv): Autoload macros
	from nnir.el.

2010-12-03  Julien Danjou  <julien@danjou.info>

	* gnus-demon.el (gnus-demon-init): Fix time computing when time is nil.

2010-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-macroexpand-all): Don't modify argument;
	allow optional argument `environment'.

2010-12-03  Glenn Morris  <rgm@gnu.org>

	* mm-extern.el (message-goto-body): Update declaration.

2010-12-03  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-macroexpand-all): New function.

	* gnus-sum.el (gnus-summary-line-format-alist): Use gnus-macroexpand-all
	instead of macroexpand-all that is unavailable in XEmacs.

2010-12-02  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-summary-line-format): New variable.
	(nnir-mode): Use it.
	(nnir-artlist-*,nnir-aritem-*): Reimplement as macros.
	(nnir-article-ids): Reimplement as defsubst.
	(nnir-retrieve-headers): Don't mangle the subject header.
	(nnir-run-imap): Use 100 as RSV score.
	(nnir-run-find-grep): Fix for full server searching.
	(nnir-run-gmane): Better restriction to gmane groups.

	* gnus-sum.el (gnus-summary-line-format-alist): Add specs for nnir
	summary buffers.

2010-12-02  Julien Danjou  <julien@danjou.info>

	* gnus-win.el (gnus-configure-frame): Remove old compatibility code.

	* gnus-msg.el: Mark gnus-outgoing-message-group as obsolete.

	* gnus-win.el (gnus-configure-windows): Remove Gnus 3.x setting
	support.

2010-12-01  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Update to handle the registry better.
	(autoload): Silence byte-compiler.
	(nnir-open-server): Add a hook for nnir groups.
	(nnir-request-move-article): Don't mangle the header.  Better to use
	formatting variables (which will be added in the future).
	(nnir-registry-action): Update the registry using the original article
	group name.
	(nnir-mode): Install nnir-specific hooks for updating the registry.

	* gnus-sum.el
	(gnus-article-original-subject,gnus-newsgroup-original-name):
	Remove obsolete variables.
	(gnus-summary-move-article): Remove use of obsolete variables.
	(gnus-summary-local-variables): Make move and delete hooks local to
	summary buffers.

2010-12-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rtree.el: New file.

2010-12-01  Julien Danjou  <julien@danjou.info>

	* message.el (message-user-organization): Do not use
	gnus-local-organization.

	* gnus.el: Remove gnus-local-organization.

	* gnus-msg.el: Remove nastygram thing.

2010-12-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnmaildir.el (nnmaildir-request-set-mark): Add article to add-mark
	funcall.

2010-12-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-insert): Allow LWSP in the middle of
	names.

	* shr.el (shr-find-fill-point): Don't break line between kinsoku-bol
	characters.

	* gnus-gravatar.el (gnus-gravatar-insert): Delete unnecessary binding
	to t of inhibit-read-only since it is inside gnus-with-article-headers.
	Suggested by Štěpán Němec <stepnem@gmail.com>.
	(gnus-gravatar-transform-address): Use mail-extract-address-components
	that supports non-ASCII names rather than mail-header-parse-addresses.

2010-11-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* proto-stream.el (open-protocol-stream): All STARTTLS connections are
	handled by the network handler.

2010-11-30  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-open-connection-1): Use gnus-string-match-p.
	(nnimap-open-connection-1): Fix PREAUTH.

	* gnus-gravatar.el (gnus-gravatar-size): Set gnus-gravatar-size to nil.

2010-11-30  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-char-breakable-p, shr-char-nospace-p)
	(shr-char-kinsoku-bol-p, shr-char-kinsoku-eol-p): New macros.
	(shr-insert): Use them.
	(shr-find-fill-point): Work better for kinsoku chars and apostrophes.

2010-11-29  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-move-article): Bail out if original group
	doesn't support article moves.
	(nnir-get-active): Improve active list retrieval.

2010-11-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-find-fill-point): Don't break before apostrophes.

2010-11-29  Binjo  <binjo.cn@gmail.com>  (tiny change)

	* nnimap.el (nnimap-open-connection-1): w32 open-network-stream doesn't
	seem to accept strings-with-numbers as port numbers,

2010-11-29  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-delete-article): If delete fails don't
	change the registry.

2010-11-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el (nnir-run-gmane): Use mm-delete-duplicates instead of
	delete-dups that is not available in XEmacs 21.4.

	* mm-util.el (mm-delete-duplicates): Add comment.

2010-11-28  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-ignored-newsgroups): New variable.
	(nnir-get-active): Use it.

2010-11-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* proto-stream.el (proto-stream-open-network): Add some comments.

	* nntp.el (nntp-open-connection): Provide a :success condition.

	* nnimap.el (nnimap-open-connection-1): Ditto.

	* proto-stream.el (proto-stream-open-network): See what the response to
	the STARTTLS command is.

	* nnimap.el (nnimap-open-connection-1): Always upgrade to STARTTLS (for
	backwards compatibility).
	(nnimap-open-connection-1): Really respect nnimap-server-port.

	* proto-stream.el (proto-stream-open-network): When doing opportunistic
	TLS upgrades we don't really care about the identity of the peer.
	(proto-stream-open-network): Force starttls.el to use gnutls-cli, since
	that what we've checked for.
	(proto-stream-always-use-starttls): Only default to t if
	open-gnutls-stream exists.
	(proto-stream-open-network): If STARTTLS failed, then just open a
	normal connection.
	(proto-stream-open-network): Wait until the greeting before doing
	STARTTLS.

	* nntp.el (nntp-open-connection): Report what the connection error is.

	* proto-stream.el (open-protocol-stream): Rename from
	open-proto-stream.

2010-11-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-stream): Change default to `undecided'.
	(nnimap-open-connection): If `nnimap-stream' is `undecided', try ssl
	first, and then network.
	(nnimap-open-connection-1): Respect nnimap-server-port.
	(nnimap-open-connection): Be more backwards-compatible.

	* proto-stream.el (proto-stream-always-use-starttls): New variable.
	(proto-stream-open-starttls): De-duplicate the STARTTLS code.
	(proto-stream-open-starttls): Folded back into the main function.
	(proto-stream-open-network): Fix typo in the GnuTLS path.
	(proto-stream-command): Refactor out.

	* nntp.el (nntp-open-connection): Fix the STARTTLS command syntax.

	* proto-stream.el (proto-stream-open-starttls): Actually implement the
	starttls.el STARTTLS.

	* color.el (color-lab->srgb): Fix function call name.

	* proto-stream.el (proto-stream-open-tls): Delete output from openssl
	if we're using tls.el.
	(proto-stream-open-network): If we don't have gnutls-cli or GnuTLS
	built in, then don't try to establish a STARTTLS connection.

	* nntp.el (nntp-open-connection): Switch on STARTTLS on supported
	servers.

	* proto-stream.el (open-proto-stream): Use network, not stream.
	(open-proto-stream): Add a way to specify what the end of a command is.

	* nntp.el (nntp-open-connection): Use proto-streams for the relevant
	connections types.
	(nntp-open-network-stream): Remove.
	(nntp-open-ssl-stream): Remove.
	(nntp-open-tls-stream): Remove.
	(nntp-ssl-program): Remove.

	* nnimap.el (nnimap-open-connection): Check for "OK" from the greeting.

2010-11-27  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Fix typos.
	(nnir-retrieve-headers-override-function): Rename variable to reflect
	new semantics.
	(nnir-article-group, nnir-article-number, nnir-article-rsv): New helper
	macros.
	(nnir-request-article, nnir-request-move-article): Use them.
	(nnir-categorize): New function.
	(nnir-run-query): Use it.
	(nnir-retrieve-headers): Rewrite to batch header retrieval.
	(nnir-run-gmane): nnir-retrieve-headers now returns the headers already
	sorted.
	(nnir-group-full-name): Use gnus-group-full-name instead.
	(nnir-artlist-artitem-group, nnir-artlist-artitem-number)
	(nnir-artlist-artitem-rsv, nnir-sort-groups-by-server): Obsolete.

2010-11-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Fix typo in STARTTLS command.

	* proto-stream.el: New library to provide protocol-specific
	TLS/STARTTLS connections for IMAP, NNTP, SMTP, POP3 and similar
	protocols.
	(open-proto-stream): Complete the documentation.
	(proto-stream-open-network): Fix some typos.

	* nnimap.el (nnimap-open-connection): Use it.

2010-11-27  Yuri Karaban  <tech@askold.net>  (tiny change)

	* pop3.el (pop3-open-server): Read server greeting before starting TLS
	negotiation.

2010-11-26  Julien Danjou  <julien@danjou.info>

	* color.el: Rename various rgb functions to srgb.

2010-11-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-get-groups): Allow non-quoted strings as mailbox
	names.

2010-11-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Revert last change.
	(shr-find-fill-point): Never leave point being at bol;
	relax the kinsoku limitation when rendering tables.

2010-11-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expiry-target-group): Protect against degenerate
	results from -accept-article.

	* shr-color.el: Require cl when compiling.

	* nnheader.el (nnheader-update-marks-actions): Fix typo in last
	checkin.

	* gnus-art.el (gnus-url-mailto): Unfold URLs before using them.

	* nnimap.el (nnimap-request-set-mark): Add is "+", not "-".

	* gnus-sum.el (gnus-summary-push-marks-to-backend): Use 'set instead of
	'add and 'delete to set backend marks.

	* nnmaildir.el (nnmaildir-request-set-mark): Be explicit about 'set.

	* nnheader.el (nnheader-update-marks-actions): Refactor out.

	* nntp.el (nntp-request-set-mark): Use it.

	* nnfolder.el (nnfolder-request-set-mark): Ditto.

	* nnml.el (nnml-request-set-mark): Ditto.

	* nnimap.el (nnimap-last-response-string): Remove the unfolding -- it
	introduces regressions in article selection.
	(nnimap-find-uid-response): New function.
	(nnimap-request-accept-article): Use the UID returned, if any.
	(nnimap-request-move-article): Use the UID returned, if any.
	(nnimap-get-groups): Reimplement to work with folded lines.
	(nnimap-find-uid-response): The UID is the last element in the list.
	(nnimap-request-set-mark): Extend syntax with 'set.

	* nnml.el (nnml-request-set-mark): Ditto.

	* nnfolder.el (nnfolder-request-set-mark): Ditto.

	* nntp.el (nntp-request-set-mark): Ditto.

2010-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* message.el (message-called-interactively-p): A temporary macro.
	(message-goto-body): Use it temporarily.

2010-11-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-unfold-quoted-lines): Refactor out.
	(nnimap-last-response-string): Unfold quoted lines, if they exist.
	(nnimap-last-response-string): Fix last unfolding fix.

2010-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Fix the way to fold lines.

2010-11-25  Julien Danjou  <julien@danjou.info>

	* shr-color.el (shr-color->hexadecimal): Use color-rgb->hex

	* color.el: Rename from color-lab.el
	(color-rgb->hex): Add.
	(color-complement): Add.
	(color-complement-hex): Add.

	* gnus-sum.el (gnus-summary-widget-forward): Add, and bind to [tab].

2010-11-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr-color.el (shr-color-visible): Don't bug out if the color names
	don't exist.

2010-11-25  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Make sure to bind gnus-displaying-mime to nil,
	assuming that article displaying or another mml-preview may be
	interrupted for an error or for the like.

	* shr.el (shr-get-background): Fix argument name.

2010-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cache.el (gnus-summary-insert-cached-articles): Use it.

	* gnus-sum.el (gnus-summary-include-articles): New function.

	* message.el (message-goto-body): called-interactively-p needs a
	parameter, so use `any'.

	* nnimap.el (nnimap-request-move-article): It's no longer necessary to
	clear marks before moving, since they're synced from the Gnus side
	first.

	* gnus-sum.el (gnus-summary-push-marks-to-backend): New function.
	(gnus-summary-move-article): Copy over all marks before moving, so that
	IMAP doesn't think a new article has arrived.

2010-11-24  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-insert-background-overlay): Fix typo.
	(shr-render-td): Copy the background before rendering.

	* shr-color.el (shr-color-visible): Fix docstring.

	* shr.el (shr-tag-table): Add bgcolor support.
	(shr-render-td): Add bgcolor support.
	(shr-get-background): Add.
	(shr-insert-foreground-overlay): Use shr-get-background.

	* message.el (message-goto-body): Use called-interactively-p.
	(message-in-body-p): message-goto-body returns point.

2010-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-util.el (mm-enable-multibyte): Use `to' instead of t.  This fixes
	Fixes something or other in Emacs 23, and is backwards compatible.

	* message.el (message-goto-body): Remove the <#secure special-casing,
	which is too special.

	* shr.el (shr-parse-style): Drop !important from styles.

2010-11-24  Daniel Schoepe  <daniel.schoepe@googlemail.com>  (tiny change)

	* gnus-sum.el (gnus-summary-articles-in-thread): Fix a bug that causes
	this function to return incorrect results when calling it with an
	explicit article argument different from
	(gnus-summary-article-number).

2010-11-24  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-insert-color-overlay): Replace deprecated syntax.
	(shr-tag-body): Add background support.
	(shr-descend): Add background support.
	(shr-tag-title): Add.

	* shr-color.el (shr-color-visible): Really return original background
	if fixed.

2010-11-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-color-check): Protect against non-existent color names.

2010-11-24  Julien Danjou  <julien@danjou.info>

	* color-lab.el: Require 'cl when compiling.

	* shr.el (shr-insert-color-overlay): Remove specific rgb() check.

	* shr-color.el (shr-color->hexadecimal): Only return the hexadecimal
	matched part.

	* color-lab.el: Fix all expt calls to use float type.

2010-11-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert-color-overlay): Pass rgb(rrr, ggg, bbb) type color
	expression to shr-color-check as is.

	* shr-color.el (shr-color->hexadecimal): Ignore case of color names.

	* color-lab.el: Add coding cookie.
	(float-pi): Use eval-and-compile.

2010-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert-color-overlay): Split stuff like
	"#444444 !important" to find the real color.
	(shr-tag-font): Resurrect shr-tag-font again, since it's needed to
	parse <font color="red"> entries.

2010-11-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnheader.el (nnheader-parse-head): Bug fix.  Properly position
	point when parsing headers.

	* nnspool.el (nnspool-insert-nov-head): Bug fix.  Make sure point
	is positioned properly when parsing headers.

2010-11-23  Julien Danjou  <julien@danjou.info>

	* color-lab.el (boundp): Bind float-pi for Emacs < 23.3.

	* shr-color.el (shr-color->hexadecimal): Add support for color names.

	* shr.el (shr-parse-style): Replace \n with space in style parsing.

	* shr-color.el (shr-color-hsl-to-rgb-fractions):
	Use shr-color-hue-to-rgb.
	(shr-color->hexadecimal): Call shr-color-hsl-to-rgb-fractions.

2010-11-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-color->hexadecimal): Autoload.
	(shr-descend): Add color to all tags.

2010-11-22  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-color-check): Convert colors to hexadecimal with
	shr-color->hexadecimal.

	* shr-color.el (shr-color->hexadecimal): Add converting functions for
	RGB() or HSL() color representation.

	* shr.el (shr-tag-font): Add.
	(shr-tag-color-check): New function to get better colors.
	(shr-tag-insert-color-overlay): Factorize code between tag-font and
	tag-span.

	* shr-color.el: New file.

	* color-lab.el: New file.

	* gnus-art.el (gnus-url-mailto): Do not downcase args.

2010-11-21  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Fix typo in comments.
	(nnir-run-imap): Simplify code.  No need to reverse artlist.
	(nnir-run-gmane): Use nnir-tmp-buffer for web results.

2010-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-server-show-server): New command and keystroke.

	* nnimap.el (nnimap-get-capabilities): Refactor out.
	(nnimap-open-connection): Re-request capabilities after STARTTLS.

2010-11-21  Ralf Angeli  <angeli@caeruleus.net>

	* mm-uu.el (mm-uu-type-alist): Prevent spurious empty line from
	appearing when `mm-uu-hide-markers' is nil.

2010-11-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-unselect-group): Make into its own function.
	(nnimap-request-rename-group): Unselect group before renaming.
	This had gotten lost somewhere.
	(nnimap-request-accept-article): Keep track of examined groups, and
	unselect the group before APPENDing to read-only groups.
	(nnimap-request-move-article): Clear flags before moving so that they
	can be re-set later.

2010-11-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-transform-address): Decode name again.
	(gnus-gravatar-insert): Put avatar always in the beginning of the field.

2010-11-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-display-single):
	* gnus-html.el (gnus-html-wash-images, gnus-html-prefetch-images):
	* mm-decode.el (mm-shr): Assume that gnus-inhibit-images may be a group
	parameter.

2010-11-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-horizontal-line): Rename from shr-table-line.
	(shr-table-vertical-line): New variable.
	(shr-insert-table): Use it.

2010-11-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-wash-images): Don't display images if
	gnus-inhibit-images is non-nil; register displayer for cid images.
	(gnus-html-display-image): Work for cid image.
	(gnus-html-insert-image): Allow arguments.
	(gnus-html-put-image): Inhibit read-only.
	(gnus-html-prefetch-images): Don't prefetch images if
	gnus-inhibit-images is non-nil.

2010-11-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-put-image): Break lines when inserting big pictures.

2010-11-17  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* mml2015.el (mml2015-epg-encrypt): Fix two cons with missing
	sender, thanks Katsumi Yamaoka.

2010-11-17  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Reverse the article list for each group
	rather than the whole list.

2010-11-17  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-image-displayer): Protect function against non-existent
	image source.

	* gnus-art.el (gnus-inhibit-images): New user option.
	(gnus-mime-display-single): Don't display image if it is non-nil.

	* mm-decode.el (mm-shr): Bind shr-inhibit-images to the value of
	gnus-inhibit-images.

	* shr.el (shr-image-displayer): New function.
	(shr-tag-img): Use it.

2010-11-16  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* mml2015.el (mml2015-epg-sign): Use From header.

2010-11-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-wash-images): Register a displayer.

	* gnus-util.el (gnus-find-text-property-region): Return markers.

	* shr.el (shr-tag-img): Put a displayer in the text property.

	* gnus-util.el (gnus-find-text-property-region): New utility function.

	* gnus-html.el (gnus-html-display-image): Make the alt optional.
	(gnus-html-show-images): Remove.

	* gnus-art.el (gnus-article-show-images): New, more general function.

	* gnus-html.el: Use image-url instead of gnus-image-url to unify the
	image url text properties.

	* shr.el: Ditto.

	* gnus-agent.el (gnus-agentize): Only do the auto-agentizing if
	gnus-agent-auto-agentize-methods is set.  Which it isn't.

2010-11-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-sum.el (gnus-summary-move-article): Fix `while' loop to make it
	work for two or more articles.

2010-11-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-treat-non-ascii): Keep text properties not to
	divide an image that's in an html article to two or more when washing
	non-ASCII characters in alt text of it.

2010-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-dissect-buffer): Pass sender's mail address to
	smime-decrypt-region using function argument.
	(mm-possibly-verify-or-decrypt, mm-dissect-multipart): Relay it.

	* mm-view.el (mm-view-pkcs7, mm-view-pkcs7-decrypt): Relay it.

	* smime.el (smime-decrypt-region): Catch it.

2010-11-11  Stefan Monnier  <monnier@iro.umontreal.ca>

	* smime.el (smime-mode-map): Move initialization into declaration.
	(gnus-run-mode-hooks): Don't autoload.
	(smime-mode): Use define-derived-mode.

2010-11-11  Glenn Morris  <rgm@gnu.org>

	* smime.el (from): Restrict declaration to XEmacs.

	* nnir.el (gnus-group-topic-name): Autoload.

2010-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Don't break long line if it is because of
	kinsoku-bol characters in the line end.

2010-11-11  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-move-article): Fix to provide original group
	and subject.
	(nnir-warp-to-article): Don't fail on articles whose headers haven't
	been retrieved.

	* gnus-sum.el (gnus-summary-move-article): Use original group and
	subject for virtual articles such as those in an nnir summary buffer.

2010-11-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (article-treat-non-ascii): Make it work for XEmacs (at
	least 21.5).

	* smime.el (from): Declare it again for XEmacs.

2010-11-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-resend): Don't disable encoding unless it's
	already encoded.

	* nnimap.el (nnimap-update-info): Fix problem with `g' chopping of
	low-numbered articles.

2010-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-syntax-table): Simplify.

	* gnus-art.el (article-treat-non-ascii): Use put-char-table instead of
	set-char-table-range for XEmacs.

2010-11-10  Glenn Morris  <rgm@gnu.org>

	* smime.el (from): Remove unused declaration.

	* gnus-util.el (with-no-warnings): Remove compat stub, now unused.
	(gnus-float-time): On Emacs, always an alias.

	* ecomplete.el (with-no-warnings): Remove compat stub, now unused.
	(ecomplete-add-item): Use float-time on Emacs, else gnus-float-time.

2010-11-10  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (org-entities): Declare it to silence the byte compiler.

2010-11-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (browse-url-mailto): Autoload.

	* gnus-art.el (article-treat-non-ascii): New command and keystroke.

	* message.el (message-subject-trailing-was-ask-regexp): A ] in a []
	regexp doesn't need quoting.

2010-11-09  Sven Joachim  <svenjoac@gmx.de>

	* message.el (message-subject-trailing-was-ask-regexp)
	(message-subject-trailing-was-regexp): Match was: in addition to was.

2010-11-09  Glenn Morris  <rgm@gnu.org>

	* nnbabyl.el (nnbabyl-request-move-article, nnbabyl-delete-mail)
	(nnbabyl-check-mbox): Use point-at-bol.

2010-11-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-browse-url): Call browse-url-mailto for mailto: links.

	* message.el (message-mailto): New function.
	(message-mailto): Should accept other parameters.
	(message-mailto): Remove since it duplicates browse-url-mailto
	functionality.

2010-11-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-get-unread-articles): Ignore totally non-existent
	methods.
	(gnus-read-active-file): Ditto.

	* gnus-group.el (gnus-group-read-ephemeral-group): Remove superfluous
	": " from the prompt.
	(gnus-group-make-group): Ditto.

2010-11-07  Glenn Morris  <rgm@gnu.org>

	* gnus-bookmark.el (gnus-bookmark-bmenu-show-infos)
	(gnus-bookmark-kill-line): Use point-at-eol.

2010-11-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-transform-address): No need to skip
	asterisks in From header.

2010-11-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-ems.el (gnus-put-image): Use a blank text as the insertion
	string to avoid making the From headers syntactically invalid.

	* message.el (message-send-mail): Don't insert courtesy messages if the
	message already has List-Post and List-ID messages.

2010-11-06  Glenn Morris  <rgm@gnu.org>

	* gnus-art.el (gnus-treat-article): Give dynamic local variables
	`condition', `type', `length' a prefix.
	(gnus-treat-predicate): Update for above name changes.

2010-11-06  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (gnus-summary-nnir-goto-thread): Remove function and
	binding.  Handled by `gnus-summary-refer-thread' instead.
	(nnir-warp-to-article): New backend function.

	* nnimap.el (nnimap-request-thread): Force dependency updating.

	* gnus-sum.el (gnus-fetch-headers): Allow more arguments.
	(gnus-summary-refer-thread): Rework to improve thread-referral.

	* gnus-int.el (gnus-warp-to-article): New function.

	* gnus-sum.el (gnus-summary-article-map): Bind it.

2010-11-04  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (gnus-summary-nnir-goto-thread): Limit work done by
	gnus-summary-refer-thread.

	* gnus-sum.el (gnus-build-all-threads): Force updating of dependency
	headers.
	(gnus-summary-limit-include-thread): Prevent articles in thread from
	being cut in gnus-cut-threads.
	(gnus-summary-refer-thread): Limit retrieved headers to those in
	thread.

2010-11-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-send-mail): Use the value of
	message-courtesy-message from the message buffer.

	* gnus-html.el (gnus-html-browse-url): Implement mailto: URLs.

	* shr.el (shr-browse-url): Implement mailto: URLs.

	* gnus-sum.el (gnus-summary-show-article): Take `t' as the arg to mean
	"raw".

	* nnimap.el (nnimap-find-article-by-message-id): Don't EXAMINE a group
	if it's already selected.

	* mm-decode.el (mm-save-part): Put the entire path in the `M-n' slot.

2010-11-04  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-img): Use string-width and truncate-string-to-width
	to measure the length and truncate alt text.

2010-11-03  Glenn Morris  <rgm@gnu.org>

	* nndiary.el (nndiary-generate-nov-databases-1)
	(nndiary-generate-active-info): Rename dynamic variable `files' to
	something less generic.

2010-11-03  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-request-move-article): Call the underlying backend to
	move articles from nnir.

2010-11-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cite.el (gnus-article-natural-long-line-p): Remove.

2010-11-02  Julien Danjou  <julien@danjou.info>

	* nnir.el: Remove wais support.

2010-11-02  Glenn Morris  <rgm@gnu.org>

	* gnus-html.el: Reorder requirements to quieten compiler.

2010-11-02  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-cite.el (gnus-article-fill-cited-article): Make fill work
	properly for XEmacs as well.
	(gnus-article-fill-cited-article, gnus-article-foldable-buffer)
	(gnus-article-natural-long-line-p): Use window-width rather than
	frame-width.

2010-11-01  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-gmane): Inhibit demon.  Return nil if no messages.
	(nnir-read-parms): Don't modify query.
	(nnir-run-query): Add ability to search topic on current line.
	(nnir-get-active): Clean up.

2010-11-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cite.el (gnus-article-foldable-buffer): Protect against
	degenerate articles.

	* gnus-sum.el (gnus-print-buffer): Rewrite to use with-temp-buffer.
	(gnus-print-buffer): Just print the buffer as is, without any copying
	to a buffer and then re-highlighting.

	* nnimap.el (nnimap-request-group): Store the new updated info.
	(nnimap-request-group): Select the group when we don't know whether it
	exists or not.

	* gnus-start.el (gnus-ask-server-for-new-groups): Return the new
	groups.

	* gnus-group.el (gnus-group-find-new-groups): Display all the new
	groups.

	* gnus-start.el (gnus-find-new-newsgroups): Return the list of new
	groups.

	* gnus-cite.el (gnus-article-fill-cited-article): Minimize the
	long-lines case by only filling the long lines.

	* nnimap.el (nnimap-parse-line): Don't bug out oddly formed replies
	(bug #7311).

2010-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el: No need to declare `declare-function' since shr.el is for
	only Emacsen that provide `libxml-parse-html-region'.

2010-11-01  Glenn Morris  <rgm@gnu.org>

	* mm-util.el (gnus-completing-read): Autoload.
	(mm-read-coding-system): Simplify Emacs definition.

	* nnmail.el (gnus-activate-group):
	* nnimap.el (gnutls-negotiate):
	* nntp.el (netrc-parse): Fix declarations.

2010-11-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-string-match-p): New function, that is an alias to
	string-match-p in Emacs >=23.

	* gnus-msg.el (gnus-configure-posting-styles):
	* nnir.el (nnir-run-gmane): Use gnus-string-match-p.

2010-11-01  Glenn Morris  <rgm@gnu.org>

	* nnir.el (declare-function): Add compat stub.
	(mm-url-insert, mm-url-encode-www-form-urlencoded): Declare.
	(nnir-run-gmane): Require 'mm-url.

	* mm-util.el (mm-string-to-multibyte): Simplify.

	* shr.el (declare-function): Add compat stub.
	(url-cache-create-filename): Declare.
	(mm-disable-multibyte, widget-convert-button): Autoload.

	* smime.el (ldap-search): Declare.
	(smime-cert-by-ldap-1): Require ldap on Emacs.

	* nnimap.el: Require nnmail, and gnus-sum when compiling.
	(nnimap-keepalive): Use gnus-float-time.

	* mail-source.el (nnheader-message, gnus-float-time): Autoload.
	(mail-source-delete-crash-box): Use gnus-float-time.

	* gnus-dired.el (gnus-completing-read): Autoload.

	* mm-view.el (gnus-rescale-image): Autoload.

	* mm-decode.el (gnus-completing-read, gnus-blocked-images): Autoload.

	* gnus.el (gnus-sloppily-equal-method-parameters): Move defn before use.

	* sieve-manage.el: Require 'cl when compiling.

	* gnus-util.el (iswitchb-read-buffer): Declare rather than autoload.
	(gnus-iswitchb-completing-read): Require iswitchb.
	(gnus-select-frame-set-input-focus): Silence compiler.

2010-10-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-subject-trailing-was-query): Change default to t,
	since I think that's what most people want.

	* nnimap.el (nnimap-request-accept-article): Erase buffer before
	appending for easier debugging.
	(nnimap-wait-for-connection): Take a regexp.
	(nnimap-request-accept-article): Wait for the continuation line before
	sending anything unless we're streaming.

	* gnus-art.el (gnus-treat-article): Only inhibit body washing, and
	leave the header washing to take place.

2010-10-31  Daniel Dehennin  <daniel.dehennin@baby-gnu.org>

	* gnus-msg.el (gnus-configure-posting-styles): Permit the use of
	regular expression match and replace in posting styles.

2010-10-31  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (gnus-group-make-nnir-group,nnir-run-query): Allow searching
	an entire server.
	(nnir-get-active): New function.
	(nnir-run-imap): Use it.
	(nnir-run-gmane): Who knew, gmane search returns an article score!

	* gnus-srvr.el (gnus-server-mode-map): Add binding "G" to search the
	server on the current line with nnir.

2010-10-31  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-cite.el (gnus-article-foldable-buffer): Refactor out.
	(gnus-article-foldable-buffer): Don't fold regions that have a ragged
	left edge.
	(gnus-article-foldable-buffer): Skip past the prefix when determining
	raggedness.

	* gnus-sum.el (gnus-summary-show-article): Add `C-u C-u g' for showing
	the raw article, and change `C-u g' to show the article without doing
	treatments.

	* gnus-art.el (gnus-mime-display-alternative): Actually pass the type
	on to `gnus-treat-article'.
	(gnus-inhibit-article-treatments): New variable.

	* gnus.el: Autoload gnus-article-fill-cited-long-lines.

	* gnus-art.el (gnus-treatment-function-alist): Have
	gnus-treat-fill-long-lines point to gnus-article-fill-cited-long-lines.
	(gnus-treat-fill-long-lines): Change default to fill all text/plain
	sections.

	* gnus-cite.el (gnus-article-fill-cited-article): Remove unused `force'
	parameter.
	(gnus-article-fill-cited-long-lines): New function.
	(gnus-article-fill-cited-article): Allow filling only long sections.

	* shr.el (shr-find-fill-point): Don't break lines between punctuation
	and non-punctuation (like after the apostrophe in "'We").

	* gnus-sum.el (gnus-summary-select-article): Make sure
	gnus-original-article-buffer is alive.

	* nndoc.el (nndoc-dissect-buffer): Reverse the order of the articles to
	reflect the order they are in the digest.

	* gnus.el (gnus-group-startup-message): Move point to the start of the
	buffer.

	* nnimap.el (nnimap-capability): New function.
	(nnimap-open-connection): Only send AUTHENTICATE PLAIN if LOGINDISABLED
	is set.

2010-10-31  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-get-valid-servers): Return list of strings to
	conform with changes to gnus-completing-read.

2010-10-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-img): Output "*" instead of "[img]".

2010-10-30  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: Move defvar, defcustom around to keep file organized
	and keep byte-compiler quiet.
	(nnir-read-parms): Accept search-engine as arg.
	(nnir-run-query): Pass search-engine as arg.
	(nnir-search-engine): Remove.

2010-10-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-generic): The text nodes should be text, not :text.

	* nnir.el (nnir-search-engine): Ressurect variable, since it's used
	later in the file.

2010-10-30  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el: General clean up.  Allow searching with multiple engines.
	Allow separate extra-parameters for each engine.
	Batch queries when possible.
	(nnir-imap-default-search-key,nnir-method-default-engines):
	Add customize interface.
	(nnir-run-gmane): New engine.
	(nnir-engines): Use it.  Qualify all prompts with engine name.
	(nnir-search-engine): Remove global variable.
	(nnir-run-hyrex): Restore for now.
	(nnir-extra-parms,nnir-search-history): New variables.
	(gnus-group-make-nnir-group): Use them.
	(nnir-group-server): Remove in favor of gnus-group-server.
	(nnir-request-group): Avoid searching twice.
	(nnir-sort-groups-by-server): New function.

2010-10-30  Julien Danjou  <julien@danjou.info>

	* gnus-group.el: Remove gnus-group-fetch-control.

	* gnus-start.el (gnus-find-new-newsgroups):
	Remove gnus-check-first-time-used.

	* gnus.el: Remove gnus-backup-default-subscribed-newsgroups.

2010-10-30  Knut Anders Hatlen  <kahatlen@gmail.com>  (tiny change)

	* nnimap.el (nnimap-update-info): Allow 'ticked and other flags to be
	set on groups that don't have \* permanentflags.

2010-10-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-span): Drop colorization of regions since we don't
	control the background color.
	(shr-tag-img): Ignore very small web bug type images.
	(shr-put-image): Add help-echo alt texts to the images.
	(shr-tag-video): Show the video poster image.

2010-10-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-depth): New variable.
	(shr-tag-table-1): Only insert the images after the top-level table.

	* nnimap.el (nnimap-split-incoming-mail): Fix typo.

	* gnus-util.el (gnus-list-memq-of-list): New function.

	* nnimap.el (nnimap-split-incoming-mail): Note that the INBOX has been
	selected.
	(nnimap-unsplittable-articles): New slot.
	(nnimap-new-articles): Use it.

2010-10-29  Stephen Berman  <stephen.berman@gmx.net>  (tiny change)

	* gnus-group.el (gnus-group-get-new-news-this-group): Don't have point
	move to the previous line on `M-g'.

2010-10-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-msg.el (gnus-inews-do-gcc): Don't have the backends do the slow
	*-request-group, which seems unnecessary.

	* nnimap.el (nnimap-quote-specials): Function copied over from
	imap.el.
	(nnimap-open-connection): Use AUTHENTICATE PLAIN on servers that say
	they support that.  Suggested by Tom Regner.

2010-10-29  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-summary-delete-marked-as-read): Remove obsolete
	defalias.
	(gnus-summary-delete-marked-with): Remove obsolete defalias.

	* gnus.el: Remove `gnus-nntp-service' variable.
	(gnus-secondary-servers): Make obsolete.
	(gnus-nntp-server): Make obsolete.

	* gnus-start.el (gnus-1): Remove x-splash calls.

	* gnus-ems.el (gnus-x-splash): Remove.

	* gnus.el (gnus-group-startup-message): Simplify/update code.

	* gnus-group.el (gnus-group-make-tool-bar): Check for display graphic
	capability before doing anything.
	(gnus-group-insert-group-line): Remove useless
	gnus-group-remove-excess-properties.

2010-10-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-goto-part): Work for article narrowed by ^L.

2010-10-28  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-rescan-group): Try to restore the window
	config after reselecting.

2010-10-28  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-put-image): Use point even if only inserting text.
	(shr-put-image): Save excursion when inserting alt text on non-graphic
	display, so the behavior is the same when we are on a graphic display.

	* nnir.el (nnir-run-swish-e): Remove hyrex support.

2010-10-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-article-jump-to-part): Error on no part; fix prompt.
	(gnus-mime-copy-part): Check coding system, not charset.
	(gnus-mime-view-part-externally): Never remove part.
	(gnus-mime-view-part-internally): Don't remove part here.
	(gnus-article-part-wrapper): Make sure MIME tag is visible.
	(gnus-article-goto-part): Go to displayed or preferred subpart if it is
	multipart/alternative.

	* mm-decode.el (mm-display-part): Take optional arg `force'.

2010-10-26  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-default-list-level): Add this function to
	compute the default list level.
	(gnus-group-default-list-level): Add possibility to use a function.

2010-10-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-decode.el (mm-shr): Add undisplayer to MIME handle.

	* gnus-group.el (gnus-group-completing-read)
	(gnus-read-ephemeral-bug-group): Replace replace-regexp-in-string with
	gnus-replace-in-string.

2010-10-26  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-div): Add.

2010-10-25  Julien Danjou  <julien@danjou.info>

	* gnus-util.el: Remove `gnus-with-local-quit'.

	* gnus-demon.el (gnus-demon-init): Use run-with-idle-timer function.

2010-10-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-select-article): Fix type error in checking
	the original article buffer.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-head): New function.
	(nnimap-request-move-article): Try to be slightly faster by not
	requesting the entire message when moving.
	(nnimap-transform-headers): Don't bug out on bodiless articles.
	(nnimap-send-command): Have no outstanding messages if the IMAP server
	doesn't support streaming.
	(nnimap-transform-headers): Fold {quoted} strings more sloppily.

2010-10-24  Julien Danjou  <julien@danjou.info>

	* message.el (message-default-headers): Fix type.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Decode entities before
	prefetching images.

	* gnus-sum.el (gnus-group-make-articles-read): Propagate marks to the
	backend for unknown groups.  This is mainly useful for nnimap groups.

	* gnus-agent.el (gnus-agent-fetch-group): Don't download stuff if the
	group isn't covered by the agent.

2010-10-22  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-method-default-engines): New variable.
	(nnir-run-query): Use it.
	(nnir-group-mode-hook): Remove key binding and move to gnus-group.el.
	(gnus-summary-nnir-goto-thread): Change group if needed.

	* gnus-group.el (gnus-group-group-map): Add key binding for
	gnus-group-make-nnir-group.

2010-10-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-object): Add.

	* gnus-sum.el (gnus-summary-select-article): Make sure we have the
	original article buffer live.
	(gnus-summary-select-article-buffer):
	Mention gnus-widen-article-buffer.

2010-10-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-strong): Add.

2010-10-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-completing-read): Remove all newlines from
	group names.  They mess up the group buffer badly.

	* shr.el (shr-tag-img): Don't bug out on images that don't have a SRC.

	* gnus-group.el (gnus-group-mark-group): Use gnus-group-position-point
	instead of the summary one.

2010-10-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mml.el (mml-preview): Work properly when editing article.

	* gnus-start.el (gnus-read-active-file-1): Don't add method to
	gnus-have-read-active-file if it's already been in.

2010-10-22  Tom Tromey  <tromey@redhat.com>

	* gnus-group.el (gnus-group-unsubscribe-group): Fix args passed to
	gnus-group-completing-read.

2010-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-mode-map): Don't bind M-; to comment region, to
	allow the global comment-dwim to work.

2010-10-21  Julien Danjou  <julien@danjou.info>

	* message.el (message-setup-1): Allow message-default-headers to be a
	function.

2010-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-table): Simplify.

2010-10-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Only prefetch http images
	to avoid trying to snarf invalid stuff.

	* gnus-sum.el (gnus-summary-edit-article-done): Bind free variable.

	* gnus.el (gnus-message-archive-group): Quote value.
	(gnus-message-archive-group): Mark as changed.

	* shr.el (shr-add-font): Don't put the font properties on the newline
	or the indentation.

	* message.el (message-fix-before-sending): Change options when sending
	non-printable characters.

	* gnus.el (gnus-message-archive-method): Change the default to
	monthly outgoing groups.

	* gnus-sum.el (gnus-summary-edit-article-done): Try to replace articles
	that have gotten new numbers.

	* nnimap.el (nnimap-request-replace-article): New function.

2010-10-21  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnrss.el (nnrss-wash-html-in-text-plain-parts): Remove.
	(nnrss-request-article): Don't use special html washing code.

2010-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-tag-table): Remove useless nconc.

2010-10-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (article-wash-html): Simplify and remove the charset
	stuff.  Use the normal html rendering code instead of the special html
	washing code.

	* mm-view.el (mm-text-html-renderer-alist): Add the `shr' and
	`gnus-w3m' symbols.
	(mm-text-html-washer-alist): Remove.

	* mm-decode.el (mm-inline-text-html-renderer): Remove.
	(mm-inline-media-tests): Remove use.
	(mm-text-html-renderer): Change default to the `shr' symbol.

	* mm-view.el (mm-inline-text-html): Remove use.

	* gnus-art.el (gnus-blocked-images): New function.  Allow the
	`gnus-blocked-images' to be a function.
	(gnus-article-wash-function): Remove.

2010-10-20  Julien Danjou  <julien@danjou.info>

	* spam.el (spam-list-of-processors): Mark as obsolete.

	* nnimap.el (nnimap-request-article): Fix BODYSTRUCTURE retrieval.
	(nnimap-insert-partial-structure): Fix boundary detection.

2010-10-20  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-draft.el (gnus-draft-check-draft-articles): Don't unnecessarily
	run file-truename on remote files.  This can be expensive and even
	prevent one from editing drafts if some unrelated buffer has a stale
	connection.

2010-10-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-find-fill-point): Shorten line if the preceding char is
	kinsoku-eol regardless of shr-kinsoku-shorten.
	(shr-tag-table-1): Rename from shr-tag-table; make it a subroutine.
	(shr-tag-table): Support caption, thead, and tfoot.

2010-10-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-find-fill-point): Don't leave blanks at the start of some
	lines.
	(shr-save-contents): New command and keystroke.

	* nndoc.el (nndoc-type-alist): Add git support.
	(nndoc-git-type-p): New function.
	(nndoc-transform-git-article): Ditto.
	(nndoc-transform-git-headers): Ditto.
	(nndoc-transform-git-headers): Generate Subject headers.

	* shr.el (shr-parse-style): New function.
	(shr-tag-span): Ditto.

	* nnmairix.el (nnmairix-summary-mode-hook): Move nnmairix's `$' command
	to `G G' to avoid collisions.

2010-10-19  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el: Load kinsoku if necessary.
	(shr-kinsoku-shorten): New internal variable.
	(shr-find-fill-point): Make kinsoku shorten text line if
	shr-kinsoku-shorten is bound to non-nil.
	(shr-tag-table): Bild shr-kinsoku-shorten to t; refer to
	shr-indentation too when testing if table is wider than frame width.
	(shr-insert-table): Use `string-width' instead of `length' to measure
	text width.
	(shr-insert-table-ruler): Make sure indentation is done at bol.

2010-10-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-request-move-article, nnimap-parse-line)
	(nnimap-process-expiry-targets): Use unibyte for buffers that hold
	undecoded network data.

2010-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-agent.el (gnus-agent-toggle-plugged): Use the right minor mode
	name in the mode line spec so that the mode line menu works
	(bug #2431).

	* message.el (message-get-reply-headers): If we're fed `to-address',
	then always use that.

	* gnus-art.el (gnus-article-make-menu-bar): The article/group menus
	aren't so wide as to need to switch off the edit menu.

	* gnus-delay.el (gnus-delay-article): Remove superfluous `group'
	binding.  Suggested by Leo <sdl.web@gmail.com> (bug #6613).

	* nnimap.el (nnimap-request-group): Don't SELECT the group twice on
	`M-g'.
	(nnimap-update-info): Update flags/read marks even if \* isn't part of
	the permanent marks.

2010-10-18  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-registry.el (gnus-registry-split-fancy-with-parent):
	Splitting according to references/in-reply-to obeys the ignore-groups
	variable, while splitting by sender and subject do not.

2010-10-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-art.el (gnus-article-dumbquotes-map): Make into a char/string
	alist, so that we can look for non-Unicode chars.
	(article-translate-strings): Allow both character and string maps.

2010-10-18  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Don't insert space behind a wide character
	categorized as kinsoku-bol, or between characters both categorized as
	nospace.

2010-10-16  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Bug fix.  Add the thread
	headers to gnus-newsgroup-headers.

2010-10-16  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-img): Don't align images -- since we're not
	rescaling, this often leads to ugly displays.

2010-10-15  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Unconditionally ignore
	duplicates.

2010-10-15  Kan-Ru Chen  <kanru@kanru.info>  (tiny change)

	* gnus-diary.el (gnus-diary-check-message): Fix gnus-completing-read
	call.

2010-10-15  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el: Autoload gnus-html-show-images.

	* nnimap.el: Use nnheader-message throughout.

	* shr.el (shr-tag-img): Ignore images with no data.

2010-10-15  Julien Danjou  <julien@danjou.info>

	* mml.el (mml-generate-mime-1): Add `mml-enable-flowed' variable to add
	a possibility to disable format=flow encoding when using hard newlines.

2010-10-15  Katsumi Yamaoka  <yamaoka@jpl.org>

	* shr.el (shr-insert): Remove space inserted before or after a
	breakable character or at the beginning or the end of a line.
	(shr-find-fill-point): Do kinsoku; find the second best point or give
	it up if there's no breakable point.

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Message when opening connection
	for debugging purposes.

	* gnus-art.el (gnus-article-setup-buffer): Set article mode truncation
	on every setup buffer call to allow this to change from article to
	article.

	* shr.el (shr-tag-table): Experimental feature: Truncate lines in
	buffers where we have a wide table.

2010-10-14  Andrew Cohen  <cohen@andy.bu.edu>

	* gnus-sum.el (gnus-summary-refer-thread): Implement a version that
	uses *-request-thread.

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Remove %s from openssl
	incantation, which is no longer valid.

2010-10-14  Julien Danjou  <julien@danjou.info>

	* shr.el: Fix defcustom type (char -> character).

2010-10-14  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): tls-program should be a list of
	programs.

2010-10-14  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-a): Use url-link as widget type.

	* gnus-group.el (gnus-group-insert-group-line): Fix group argument to
	`gnus-group-get-icon'.

2010-10-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-close-server): Forget the nnimap data on close.
	This should make server editing work better.

	* shr.el (shr-find-fill-point): Don't inloop on indented text.

	* nnimap.el (nnimap-open-connection): Fix open-tls-stream call.
	(nnimap-parse-flags): Fix regexp.

	* shr.el (shr-find-fill-point): Use a filling algorithm that should
	probably work for CJVK text, too.

	* nnimap.el (nnimap-extend-tls-programs): Remove.
	(nnimap-open-connection): Bind STARTTLS to openssl explicitly.

2010-10-13  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-parse-flags): Be more strict when looking for FETCH
	responses.

2010-10-13  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mm-decode.el (mm-shr): Allow use from non-Gnus users.

	* gnus-spec.el (gnus-parse-simple-format): princ doesn't really insert
	anything in Emacs.

	* shr.el (shr-current-column): Remove buggy and unnecessary function.

2010-10-13  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-width): Make shr-width a defcustom with default to
	fill-column.
	(shr-tag-img): Use shr-width rather than fill-column.

2010-10-13  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-dired.el (gnus-dired-attach): Silence XEmacs 21.5 when compiling.

	* gnus-gravatar.el (gnus-gravatar-transform-address): Adjust avatars'
	position when (X-)Faces exist.
	(gnus-treat-from-gravatar, gnus-treat-mail-gravatar): Force displaying
	avatars when called interactively.

2010-10-12  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-too-ugly): Don't test if
	gnus-article-x-face-too-ugly is bound.

2010-10-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* rfc2231.el (rfc2231-parse-string): Ignore repeated parts.

	* nnimap.el (nnimap-request-rename-group): Unselect by selecting a
	mailbox that doesn't exist.

2010-10-12  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-tag-img): Encode URL properly when retrieving.
	(shr-get-image-data): Encode URL properly when fetching from cache.
	(shr-tag-img): Use aligned-to spaces to align correctly images.

	* gnus-gravatar.el (gnus-gravatar-insert): Check if buffer is alive
	before inserting the Gravatar.

	* shr.el (shr-tag-img): Add align attribute support for <img>.

2010-10-12  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-gravatar.el (gnus-art): Require.

	* gnus-sum.el (gnus-summary-mark-as-unread-forward)
	(gnus-summary-mark-as-unread-backward, gnus-summary-mark-as-unread):
	Remove long obsoleted functions.

2010-10-11  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (gnutls-negotiate): Silence the byte compiler.

	* gnus-art.el, gnus-cache.el, gnus-fun.el, gnus-group.el:
	* gnus-picon.el, gnus-spec.el, gnus-sum.el, gnus-util.el, gnus.el:
	* mail-source.el, message.el, mm-bodies.el, mm-decode.el, mm-extern.el:
	* mm-util.el, mm-view.el, mml-smime.el, mml.el, mml1991.el, mml2015.el:
	* nnfolder.el, nnheader.el, nnmail.el, nnmaildir.el, nnrss.el, nntp.el:
	* rfc1843.el, sieve-manage.el, smime.el, spam.el:
	Fix comment for declare-function.

2010-10-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-rename-group): Select group read-only
	before renaming it.

	* shr.el (shr-insert): Fix up the white space only regexp.

	* nnimap.el (nnimap-transform-split-mail): Not all articles have
	bodies.  Protect against this.  Reported by Michael Welsh Duggan.

	* shr.el (shr-current-column): New function.
	(shr-find-fill-point): New function.

2010-10-11  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* sieve-manage.el (sieve-manage-open): Allow port names as well as port
	numbers.

2010-10-11  Julien Danjou  <julien@danjou.info>

	* shr.el (shr-hr-line): Add.
	(shr-tag-hr): Use shr-hr-line to specify which character to use to
	display hr lines.
	(shr-max-columns): Do not change state to nil if we just inserting
	spaces.

2010-10-11  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-topic.el (gnus-topic-read-group): If after the last group,
	select the last group.

2010-10-11  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-int.el (gnus-run-hook-with-args): Autoload from gnus-util.el.

2010-10-10  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-qresync-info): \Flagged messages are read
	for Gnus.
	(nnimap-retrieve-group-data-early): utf7-encode the group parameters.
	(nnimap-update-qresync-info): Mark \Seen articles as read.

	* gnus-sum.el (gnus-summary-set-local-parameters): Ignore the `active'
	non-variable, too.

	* nnimap.el (nnimap-open-connection): Use GnuTLS STARTTLS, if
	available.
	(nnimap-update-info): Rely more on the current active than the param
	active to avoid marking articles as read too much.

	* auth-source.el (auth-source-create): Use (user-login-name) for the
	user name default.

	* nnimap.el (nnimap-update-info): If the server doesn't return any
	useful info, just use the previous info.
	(nnimap-update-info): Prefer old info over start-article.
	(nnimap-update-qresync-info): Finish implementing QRESYNC.

2010-10-10  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (autoload): Clean up autoloads.
	(nnir-imap-default-search-key): Rename from nnir-imap-search-field.
	Use key rather than value.
	(nnir-imap-search-other): New variable.
	(nnir-read-parm): Use it.
	(nnir-imap-expr-to-imap): Use %S rather than imap-quote-specials.
	(gnus-summary-nnir-goto-thread): Modify to work with imap.

2010-10-10  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnimap.el (nnimap-wait-for-response): If the user hits `C-g', kill
	the process, too.

2010-10-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* spam.el (gnus-summary-mode-map): Bind to "$".
	Suggested by Russ Allbery.

	* shr.el: Rework the way things are indented by <li> slightly.

	* gnus.el (gnus-group-set-parameter): Fix typo.

	* nnimap.el: Start implementing QRESYNC support.

2010-10-09  Julien Danjou  <julien@danjou.info>

	* nnir.el (nnir-engines): Fix too many arguments.

2010-10-09  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnmail.el (nnmail-expiry-target-group): Say that every expiry target
	group is the "last", so that the backends like nnfolder actually save
	their folders.

	* nnimap.el (nnimap-open-connection): If we have GnuTLS loaded, then
	try to use that for the TLS stream.
	(nnimap-retrieve-group-data-early): Rework the marks code to heed
	UIDVALIDITY and find out which groups are read-only and not.
	(nnimap-get-flags): Use the same marks parsing code as the rest of
	nnimap.

2010-10-09  Julien Danjou  <julien@danjou.info>

	* nnir.el (nnir-read-parm): Fix call to gnus-completing-read.

	* gnus-gravatar.el (gnus-gravatar-transform-address): Error errors when
	retrieving gravatars.

	* shr.el (shr-table-corner): Add.
	(shr-table-line): Add.
	(shr-insert-table-ruler): Use the above defcustoms to insert tables.

2010-10-08  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-text-html-renderer): Add mm-shr in choice list.

2010-10-08  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-util.el (gnus-alist-pull): Rename `gnus-pull'.

	* gnus-sum.el (gnus-mark-article-as-unread)
	(gnus-summary-mark-article-as-unread, gnus-summary-remove-bookmark)
	(gnus-summary-set-bookmark): Use it.

	* gnus-msg.el (gnus-setup-message): Use it.

	* gnus-demon.el (gnus-demon-remove-handler): Use it.

	* gnus.el (gnus-group-remove-parameter): Use it.

	* gnus-group.el (gnus-group-make-web-group): Use it.

	* gnus-demon.el (gnus-demon-remove-handler): Use it.

	* nnregistry.el: Update docs to mention manual.

	* gnus-registry.el: Update docs to mention nnregistry.el.
	(gnus-registry-initialize): Don't install nnregistry refer method
	automatically.
	(gnus-registry-install-nnregistry): Remove it.

2010-10-08  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Don't insert double spaces.

2010-10-08  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-treat-from-gravatar)
	(gnus-treat-mail-gravatar): Bind gnus-gravatar-too-ugly to nil when
	called interactively.

	* gnus-art.el (gnus-mime-view-part-externally)
	(gnus-mime-view-part-internally): Make predicate function passed to
	gnus-mime-view-part-as-type assume argument is a mime type, not a list
	of a mime type.

	* shr.el (shr-table-widths): Don't use cl function `reduce'.

2010-10-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (require): Require cl when compiling.
	(shr-tag-hr): New function.

	* nnimap.el (nnimap-update-info): Remove double setting of high.
	(nnimap-update-info): Don't ignore groups that have no UIDNEXT.
	This makes nnimap work properly on Courier again.

	* gnus.el (gnus-carpal): The carpal mode has been removed, but define
	the variable for backwards compatibility.

	* mm-decode.el (mm-save-part): If given a non-directory result, expand
	the file name before using to avoid setting mm-default-directory to
	nil.

	* gnus-start.el (gnus-get-unread-articles): Require gnus-agent before
	bidning gnus-agent variables.

	* shr.el (shr-render-td): Use a cache for the table rendering function
	to avoid getting an exponential rendering behavior in nested tables.
	(shr-insert): Rework the line-breaking algorithm.
	(shr-insert): Don't leave trailing spaces.
	(shr-insert-table): Also insert empty TDs.
	(shr-tag-blockquote): Ensure paragraphs after </ul>.

2010-10-07  Stefan Monnier  <monnier@iro.umontreal.ca>

	* gnus-sum.el (gnus-number): Rename from `number'.
	(gnus-article-marked-p, gnus-summary-limit-to-display-predicate)
	(gnus-summary-limit-children): Update uses correspondingly.

2010-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-gravatar.el (gnus-gravatar-too-ugly): New user option.
	(gnus-gravatar-transform-address): Don't show avatars of people of
	which mail addresses match gnus-gravatar-too-ugly.

2010-10-07  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-table-widths): Expand TD elements to fill available
	space.

2010-10-07  Julien Danjou  <julien@danjou.info>

	* nnimap.el (nnimap-request-rename-group): Add this method.

2010-10-07  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-schedule-image-fetching): Remove function
	name from XEmacs' function-arglist.

	* gnus-gravatar.el (gnus-gravatar-insert): Don't add properties to
	gravatar under XEmacs.

2010-10-07  Teodor Zlatanov  <tzz@lifelogs.com>

	* auth-source.el: Update docs with TODO items.

	* gnus-sync.el: Update docs to explain state and plans.

	* gnus-int.el (gnus-after-set-mark-hook, gnus-before-update-mark-hook):
	Hooks for mark updates.
	(gnus-request-set-mark, gnus-request-update-mark): Use them.

	* gnus-util.el (gnus-run-hooks-with-args): Convenience function to run
	hooks with arguments, which is needed for mark update hooks.

2010-10-06  Julien Danjou  <julien@danjou.info>

	* gnus.el (gnus-expand-group-parameter): Only return and act on what
	was matched.

	* sieve-manage.el: Update example in `Commentary'.

	* sieve.el (sieve-open-server): Use sieve-manage-authenticate.

	* sieve-manage.el (sieve-manage-open): Use sieve-manage-default-port,
	not 2000.
	(sieve-manage-authenticate): Re-add function.

2010-10-06  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Get 'space transition right.
	(shr-render-td): Only delete space at the end of the TD.

	* nnimap.el (nnimap-open-connection): Prepare to support
	open-gnutls-stream.

	* shr.el: Rearrange function order to be more logical.

2010-10-06  Julien Danjou  <julien@danjou.info>

	* nnrss.el (nnrss-check-group): Remove 404 URL in comment.
	(nnrss-discover-feed): Remove 404 URL in docstring.

	* nnir.el: Fix Swish-E URL.
	Fix Namazu URL.

	* message.el (message-change-subject): Remove 404 URL in a comment.

2010-10-06  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-view-part-as-type): Make it work when being
	called interactively.

	* gnus-util.el (gnus-remove-if): Allow hash table.
	(gnus-remove-if-not): New function.

	* gnus-art.el (gnus-mime-view-part-as-type):
	* gnus-score.el (gnus-summary-score-effect):
	* gnus-sum.el (gnus-read-move-group-name):
	Replace remove-if-not with gnus-remove-if-not.

	* gnus-group.el (gnus-group-completing-read):
	Regard collection as a hash table if it is not a list.

2010-10-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-render-td): Allow blank/missing <TD>s.

	* shr.el: Document the table-rendering algorithm.

	* gnus-html.el (gnus-html-schedule-image-fetching): Protect against
	invalid URLs.

	* shr.el (shr-tag-img): Shorten ALT texts and allow them to be
	line-broken.
	(shr-tag-img): Ignore image fetching errors.
	(shr-overlays-in-region): Compute overlay positions correctly.

	* mm-decode.el (mm-shr): Require shr.

	* gnus-art.el (gnus-blocked-images): Move variable here.

	* shr.el (shr-insert-table): Bind free variable.

	* mm-decode.el (mm-shr): Bind shr-content-function.

	* shr.el (shr-content-function): New variable.

	* gnus-sum.el (gnus-article-sort-by-most-recent-date): New function,
	added for symmetry.

	* nnir.el (nnir-retrieve-headers): Don't bug out on invalid data.

	* gnus-group.el (gnus-group-make-group): Doc fix.

	* nnimap.el (nnimap-request-newgroups): Return success.

	* shr.el (shr-find-elements): New function.
	(shr-tag-table): Put all the images after the table.
	(shr-tag-table): Really inhibit images inside the table.
	(shr-collect-overlays): Copy over overlays from the TD elements to the
	main document.

	* mm-decode.el (mm-shr): Bind shr-blocked-images to
	gnus-blocked-images.

2010-10-05  Julien Danjou  <julien@danjou.info>

	* sieve-manage.el (sieve-sasl-auth): Use auth-source to authenticate.

	* gnus-html.el (gnus-html-wash-images): Rescale image from cid too.
	(gnus-html-maximum-image-size): Add this function.
	(gnus-html-put-image): Use gnus-html-maximum-image-size.

	* sieve-manage.el (sieve-manage-capability): Do not bug out when the
	server-value of the capability is nil.

2010-10-05  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-em): Add <EM> tag.

2010-10-05  Florian Ragwitz  <rafl@debian.org>  (tiny change)

	* sieve-manage.el (sieve-manage-default-stream): Make default stream
	customizable.

	* gnus-html.el (gnus-html-wash-tags): Decode URL entities to avoid
	handing broken links to browse-url.

2010-10-05  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-emacs-completing-read)
	(gnus-iswitchb-completing-read): Use autoload rather than require.

2010-10-05  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-util.el (gnus-completing-read-function): Exclude
	gnus-icompleting-read and gnus-ido-completing-read from candidates for
	XEmacs since iswitchb.el is very old and ido.el is unavailable in
	XEmacs.

	* gnus-registry.el (gnus-registry-install-nnregistry): Rewrite so as
	not to use `delete-dups' that is unavailable in XEmacs 21.4.

	* gnus-html.el: Don't require help-fns under XEmacs.
	(gnus-html-schedule-image-fetching): Work for XEmacs.

	* mm-decode.el (mm-shr): Decode contents by charset.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-open-connection): Give an error if nnimap-stream is
	unknown.

	* shr.el (shr-tag-blockquote): Ensure paragraph after quote, too.
	(shr-get-image-data): Ensure against the cache file missing.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Message while waiting
	for data.

	* spam-report.el (spam-report-url-ping-plain): Don't query about
	killing the process.

	* shr.el (shr-render-td): Protect against too-wide text.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* mml-smime.el (mml-smime-openssl-encrypt-query): Fix choices.
	(mml-smime-openssl-sign-query): Fix gnus-completing-read call.

	* gravatar.el (gravatar-retrieved): Kill buffer when gravatar has been
	retrieved.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (browse-url): Require.
	(shr-ensure-paragraph): Don't insert a new newline after empty-ish
	lines.
	(shr-show-alt-text, shr-browse-image): New commands.
	(shr-browse-url, shr-copy-url): New commands.

	* gnus-sum.el (gnus-widen-article-window): New variable.
	(gnus-summary-select-article-buffer): Use it.

	* message.el (message-idna-to-ascii-rhs-1): Don't bug out on addresses
	without @ signs.

2010-10-04  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* nnir.el (nnir-run-imap): Remove spurious space in search string.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-emacs-completing-read): Mapcar collection to list,
	for XEmacs.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-salt.el: Remove all gnus-carpal stuff -- it's not useful.

	* nnimap.el (nnimap-open-connection): Allow tls as a synonym for ssl.
	(nnimap-close-server): Implement.

	* shr.el (shr-ensure-paragraph): Fix the non-empty line case.
	(shr-insert): Tweak line breaking.
	(shr-insert): Handle <pre> better.
	(shr-tag-li): Get <li> indentation right.
	(shr-tag-li): Get <li> indentation even righter.
	(shr-tag-blockquote): Ensure paragraph start.
	(shr-make-table): Tweak table generation.
	(shr-make-table): Fix typo.

	* shr.el: Implement table rendering.

2010-10-04  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Fix resize image code.

2010-10-04  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert): Use string anchors instead of line anchors.

2010-10-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: Add headings.
	(shr-ensure-paragraph): Actually work.
	(shr-tag-li): Make <ul> prettier.
	(shr-insert): Get white space at the beginning/end of elements right.
	(shr-tag-p): Collapse subsequent <p>s.
	(shr-ensure-paragraph): Don't insert double line feeds after blank
	lines.
	(shr-insert): \t is also space.
	(shr-tag-s): Fix "s" tag name function.
	(shr-tag-s): Fix face prop name.

2010-10-03  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Use gnus-rescale-image.

	* mm-view.el (gnus-window-inside-pixel-edges): Add autoload for
	gnus-window-inside-pixel-edges.

	* gnus-ems.el (gnus-window-inside-pixel-edges): Move from gnus-html to
	gnus-ems.

	* mm-view.el (mm-inline-image-emacs): Support image resizing.

	* gnus-util.el (gnus-rescale-image): Add generic gnus-rescale-image
	function.

	* mm-decode.el (mm-inline-large-images): Enhance defcustom and add
	resize choice.

2010-10-03  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-tag-p): Don't insert newlines on empty tags at the
	beginning of the buffer.

	* gnus-sum.el (gnus-summary-select-article-buffer): Really select the
	article buffer again.

	* shr.el (shr-tag-p): Don't insert newlines at the start of the buffer.

	* mm-decode.el (mm-shr): Narrow before inserting, so that shr can know
	when it's at the start of the buffer.

	* shr.el (shr-tag-blockquote): Convert name.
	(shr-rescale-image): Use the right image-size variant.

	* gnus-sum.el (gnus-summary-select-article-buffer): If the article
	buffer isn't shown, then select the current article first instead of
	bugging out.
	(gnus-summary-select-article-buffer): Show both the article and summary
	buffers again.

	* shr.el (shr-fontize-cont): Protect against regions with no text.
	Rename tag functions to shr-tag-* for enhanced security.
	(shr-tag-ul, shr-tag-ol, shr-tag-li, shr-tag-br): New functions.

2010-10-03  Chong Yidong  <cyd@stupidchicken.com>

	* shr.el (shr-insert):
	* pop3.el (pop3-movemail):
	* gnus-html.el (gnus-html-wash-tags): Don't use plusp, as cl may not be
	loaded.

2010-10-03  Glenn Morris  <rgm@gnu.org>

	* nnmairix.el (nnmairix-replace-illegal-chars): Drop Emacs 20 code.

	* smime.el (smime-cert-by-ldap-1): Drop Emacs 21 code.

	* gnus-art.el (gnus-next-page-map): Drop Emacs 20 compat cruft.

	* gmm-utils.el (gmm-write-region): Drop Emacs 20 compat cruft.

	* gnus-util.el (gnus-make-local-hook): Simplify.

2010-10-02  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-iswitchb-completing-read): New function.
	(gnus-ido-completing-read): New function.
	(gnus-emacs-completing-read): New function.
	(gnus-completing-read): Use gnus-completing-read-function.
	Add gnus-completing-read-function.

2010-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el (shr-insert-document): Autoload.
	(shr-img): Be silent.
	(shr-insert): Add a newline after every picture before text.
	(shr-add-font): Use overlays for combining faces.
	(shr-insert): Pass upwards the text start point.

	* mm-decode.el (mm-text-html-renderer): Default to shr.el rendering, if
	possible.
	(mm-shr): New function.

2010-10-02  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-insert): Adjust character where we
	should go backward.

2010-10-02  Juanma Barranquero  <lekktu@gmail.com>

	* shr.el (shr): Fix typo in provide call.

2010-10-02  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* shr.el: New file.

	* gnus-html.el (gnus-html-schedule-image-fetching): Be silent.

	* gnus-topic.el (gnus-topic-move-group): Fix the syntax of the
	completing read.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-check-bogus-newsgroups): Say how many groups
	we're being queried about.  Suggested by Dan Jacobson.

	* nndoc.el (nndoc-type-alist): Do babyl before mime-parts.
	Suggested by Jason Eisner.

	* gnus-async.el (gnus-async-delete-prefetched-entry): Remove from hash
	table, too.  Suggested by Stefan Wiens.
	(gnus-async-prefetched-article-entry): Use intern-soft to avoid growing
	the table unnecessary.  Suggested by Stefan Wiens.

	* gnus-sum.el (gnus-summary-clear-local-variables): This is probably no
	longer needed, and probably doesn't work either, as pointed out by
	Stefan Wiens.
	(gnus-summary-exit): Remove call to the clearing function.
	(gnus-summary-exit-no-update): Ditto.

	* gnus-art.el (gnus-summary-save-in-file): Use with-current-buffer
	instead of gnus-eval-in-buffer-window to avoid popping up frames.
	Reported by Stefan Monnier.
	(gnus-summary-save-in-rmail): Ditto.

	* gnus-sum.el (gnus-summary-select-article-buffer): Show only the
	article buffer, instead of both the article buffer and the summary
	buffer.  Sort of suggested by Dan Jacobson.

	* gnus-win.el (gnus-buffer-configuration): Add an only-article spec.

	* nnmbox.el (nnmbox-read-mbox): Mark buffer for deletion on Gnus exit.
	Suggested by Dan Jacobson.

	* mm-encode.el (mm-content-transfer-encoding-defaults): Try to make the
	documentation clearer.

	* message.el (message-shorten-references): Comment on the number "21".
	Suggested by Stefan Monnier.

	* gnus-sum.el (gnus-summary-scroll-up): Add more documentation.
	Suggested by Dan Jacobson.

	* gnus.el (gnus-large-newsgroup):
	Mention gnus-large-ephemeral-newsgroup.  Suggested by Dan Jacobson.

	* gnus-msg.el (gnus-summary-resend-message): When resending, don't
	externalize attachments.  Bug reported by Steve Wen.

	* gnus.el (gnus-continuum-version): Make inactive, since it doesn't
	really message anything to the user.

	* nnmail.el (nnmail-article-group): Allow using the fancy split method
	directly.

	* nnimap.el (nnimap-request-group): Low higher than high to signal no
	messages in empty groups.

2010-10-01  Ted Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-request-group): Don't bug out when there's an empty
	non-UIDNEXT group.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-completing-read): Return the symbol name,
	not the value from the collection.

	* nnimap.el (nnimap-update-info): Ignore groups that have no UIDNEXT
	values.  This sometimes happens on some groups that have no info.
	(nnimap-request-newgroups): New function.

2010-10-01  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install-nnregistry): Move the feature
	check into `gnus-registry-initialize'.
	(gnus-registry-initialize): Ditto.
	Fix and extend header docs.

2010-10-01  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Adjust regexp to avoid
	regexp backtrace overflows.

	* nnimap.el (nnimap-extend-tls-programs): Only extend those programs
	for starttls that tls.el implements; i.e. openssl.

2010-10-01  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gravatar.el: Don't load image.el that XEmacs doesn't provide.
	(gravatar-create-image): New function that's an alias to
	gnus-xmas-create-image, gnus-create-image, or create-image.
	(gravatar-data->image): Use it.

2010-09-30  Teodor Zlatanov  <tzz@lifelogs.com>

	* gnus-registry.el (gnus-registry-install-nnregistry): New function to
	install the nnregistry refer method.
	(gnus-registry-install-hooks): Use it.
	(gnus-registry-unfollowed-groups): Add nnmairix to the default
	unfollowed groups.

2010-09-30  Jose A. Ortega Ruiz  <jao@gnu.org>  (tiny change)

	* gnus-sum.el (gnus-summary-show-thread): Skip past invisible text when
	expanding threads.

2010-09-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnir.el: Use the server names without suffixes (bug #7009).

	* nnimap.el (nnimap-open-connection): Reinstate the auto-upgrade from
	unencrypted to STARTTLS, if possible.

2010-09-30  Teemu Likonen  <tlikonen@iki.fi>  (tiny change)

	* message.el (message-ignored-supersedes-headers): Strip Injection-*
	headers before superseding.

2010-09-30  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-use-local): Add documentation.

	* nnimap.el (nnimap-extend-tls-programs): New function.
	(nnimap-open-connection): Use tls.el exclusively, and not starttls.el.
	(nnimap-wait-for-connection): Accept the greeting from the stupid
	output from openssl s_client -starttls, too.

	* nnimap.el (nnimap-find-article-by-message-id): Really return the
	article number.
	(nnimap-split-fancy): New variable.
	(nnimap-split-incoming-mail): Use it.

	* nntp.el (nntp-server-list-active-group): Document.

	* nnimap.el (nnimap-find-article-by-message-id): Use EXAMINE instead of
	SELECT to get the message-id.

	* mail-source.el (mail-sources): Remove webmail support.
	(defvar): Ditto.
	(mail-source-fetcher-alist): Ditto.
	(mail-source-fetch-webmail): Remove.

	* webmail.el: Remove -- doesn't seem relevant any more.

	* gnus.el: Fix up make-obsolete-variable declarations throughout.

	* nnimap.el (nnimap-request-accept-article): Get the Message-ID without
	the \r.

2010-09-30  Julien Danjou  <julien@danjou.info>

	* gnus-agent.el (gnus-agent-add-group): Fix call to
	gnus-completing-read.

2010-09-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-retrieve-groups): New function.

	* nnimap.el (nnimap-split-incoming-mail): If nnimap-split-methods is
	`default', use nnmail-split-methods.
	(nnimap-request-article): Downcase the NILs so that they are nil.

	* gnus-sum.el (gnus-valid-move-group-p): Make sure that `group' is a
	symbol.

	* nnimap.el (nnimap-open-connection): Revert the auto-network->starttls
	code, since if the user has requested network, that's what they ought
	to get.
	(nnimap-request-set-mark): Erase the buffer before issuing commands.
	(nnimap-split-rule): Mark as obsolete.

	* pop3.el (pop3-send-streaming-command, pop3-stream-length):
	New variable.

	* nnimap.el (nnimap-insert-partial-structure): Get the type from the
	correct slot, too.

2010-09-29  Julien Danjou  <julien@danjou.info>

	* gnus.el (gnus-local-domain): Declare variable obsolete.

	* gnus-util.el (gnus-icompleting-read): Require iswitchb.
	Fix history computing.
	(gnus-ido-completing-read): Require ido.

2010-09-29  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-registry.el: Don't prompt on load, which makes it impossible to
	build Gnus.

	* nnimap.el (nnimap-insert-partial-structure): Be way more permissive
	when interpreting the structures.
	(nnimap-request-accept-article): Add \r\n to the lines to make this
	work with Cyrus.

	* nndraft.el (nndraft-request-expire-articles): Use the group name
	instead if "nndraft".  Fix found by Nils Ackermann.

2010-09-29  Ludovic Courtes  <ludo@gnu.org>

	* nnregistry.el: Add.

2010-09-29  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnmail.el (group, group-art-list, group-art):
	Remove unneeded directives.

2010-09-29  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mm-util.el (mm-codepage-iso-8859-list, mm-charset-eval-alist)
	(mm-mime-charset):
	* rfc2047.el (rfc2047-syntax-table):
	* utf7.el (utf7-utf-16-coding-system): Comment fix.

	* nnrss.el (nnrss-read-server-data, nnrss-read-group-data): Use `load'
	rather than `insert-file-contents' and `eval-region'.

2010-09-29  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-properties): Add this properties in
	replacement of `gnus-gravatar-relief' to mimic
	`gnus-faces-properties-alist'.
	Add :version property.

2010-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mail-source.el (mail-source-report-new-mail):
	* message.el (message-default-mail-headers):
	* mm-decode.el (mm-valid-image-format-p): Comment fix.

	* mml2015.el (mml2015-use): Don't bind recursive-load-depth-limit.

2010-09-28  Julien Danjou  <julien@danjou.info>

	* gnus-gravatar.el (gnus-gravatar-insert): Fix search in case
	mail-address contains the same string as real-name.

	* gnus-ems.el (gnus-put-image): Revert Lars, change and insert
	non-blank in header, otherwise it'll get stripped.

	* gnus-gravatar.el (gnus-gravatar-insert): Search backward for
	real-name, and then for mail address rather than doing : or , search.

2010-09-27  Julien Danjou  <julien@danjou.info>

	* gnus-util.el (gnus-completing-read): Use gnus-use-ido to apply the
	right completing-read function.
	(gnus-use-ido): New variable
	(gnus-completing-read-with-default): Remove.
	* gnus-agent.el (gnus-agent-read-group): Remove prompt computing.
	(gnus-agent-add-group):
	* gnus-srvr.el (gnus-server-add-server, gnus-server-goto-server):
	* mm-view.el (mm-view-pkcs7-decrypt):
	* mm-util.el (mm-codepage-setup):
	* smime.el (smime-sign-buffer, smime-decrypt-buffer):
	* mml-smime.el (mml-smime-openssl-sign-query):
	* mml.el (mml-minibuffer-read-type, mml-minibuffer-read-disposition)
	(mml-insert-multipart):
	* gnus-msg.el (gnus-summary-yank-message):
	* gnus-int.el (gnus-start-news-server):
	* mm-decode.el (mm-interactively-view-part):
	* gnus-dired.el (gnus-dired-attach):
	* gnus.el (gnus-read-method):
	* gnus-bookmark.el (gnus-bookmark-jump):
	* gnus-art.el (gnus-mime-view-part-as-type)
	(gnus-mime-action-on-part, gnus-article-encrypt-body):
	* gnus-topic.el (gnus-topic-jump-to-topic, gnus-topic-move-matching)
	(gnus-topic-copy-matching, gnus-topic-sort-topics, gnus-topic-move):
	* nnmairix.el (nnmairix-create-server-and-default-group)
	(nnmairix-update-groups, nnmairix-get-server)
	(nnmairix-backend-to-server, nnmairix-goto-original-article)
	(nnmairix-get-group-from-file-path):
	* nnrss.el (nnrss-find-rss-via-syndic8):
	* gnus-group.el (gnus-group-completing-read, gnus-group-make-web-group)
	(gnus-group-make-useful-group, gnus-group-add-to-virtual)
	(gnus-group-browse-foreign-server):
	* gnus-sum.el (gnus-summary-goto-article, gnus-summary-limit-to-extra)
	(gnus-summary-execute-command, gnus-summary-respool-article)
	(gnus-read-move-group-name):
	* gnus-score.el (gnus-summary-increase-score)
	(gnus-summary-score-effect):
	* gnus-registry.el (gnus-registry-read-mark): Use gnus-completing-read.

2010-09-28  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnimap.el (auth-source-forget-user-or-password)
	(auth-source-user-or-password): Autoload.

	* message.el (message-from-style, message-interactive)
	(message-signature): Remove comment.
	(message-cite-prefix-regexp): Default to mail-citation-prefix-regexp
	always.
	(message-sendmail-envelope-from): Comment fix.
	(message-yank-prefix): Default to mail-yank-prefix always.
	(message-indentation-spaces):
	Default to mail-indentation-spaces always.
	(message-signature-file): Default to mail-signature-file always.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-read-group-1): Set gnus-newsgroup-highest.
	(gnus-summary-insert-new-articles): Use gnus-newsgroup-highest to get
	new articles.

	* nnimap.el (nnimap-request-article): Don't partial-fetch single-part
	parts.
	(nnimap-request-article): Work with the t setting, too.

	* gnus-sum.el (gnus-summary-exit): Kill the article buffer later, so
	that you don't get flashes of other buffers.
	(gnus-summary-show-complete-article): Intern before setting.

2010-09-27  David Engster  <dengste@eml.cc>

	* nnmairix.el (nnmairix-replace-group-and-numbers): Deal with NOV as
	well as HEADERS.
	(nnmairix-retrieve-headers): Provide new argument for the above.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-move-article): Don't alter
	gnus-newsgroup-active.  This makes `/ N' work after copying to the same
	group.

	* nnimap.el (nnimap-update-info): Don't destructively alter active.

	* message.el (message-cite-prefix-regexp): Revert my last edit.

	* gnus-sum.el (gnus-summary-show-complete-article): Bind the server
	variable instead of the Gnus variable.

	* nnimap.el (nnimap-find-wanted-parts-1): Use it.

	* gnus-art.el (gnus-fetch-partial-articles): Move back to nnimap again.

	* nnimap.el (nnimap-request-accept-article): Remove the "." at the end,
	since some servers don't like it.
	(nnimap-open-connection): Forget credentials if the server says the
	password was wrong.
	(nnimap-parse-line): Protect against invalid data.

	* gnus-sum.el (gnus-summary-move-article): Add comment.
	(gnus-summary-insert-new-articles): Copy the old-high watermark so that
	nothing alters it while scanning for new messages.

	* nnimap.el (nnimap-request-accept-article): Send a "." at the end,
	which may or may not help.
	(nnimap-open-connection): If we're doing a stream connection, and then
	discover we're on a STARTTLS-capable server, then open a STARTTLS
	connection instead.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (utf7): Require.

	* message.el (message-cite-prefix-regexp): Remove "}" from citation
	prefix.

2010-09-27  Juanma Barranquero  <lekktu@gmail.com>

	* nnmail.el (nnmail-fancy-expiry-targets): Fix typo in docstring.

2010-09-27  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-accept-article): Message the error on
	error.

2010-09-27  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-art.el (gnus-mime-delete-part): Fix Lisp type of byte(s).

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nndoc.el (nndoc-request-list): Return success always.

	* gnus-agent.el (gnus-agent-retrieve-headers): Don't propagate
	`fetch-old' -- we only want to fetch the articles we've requested.
	The rest are in the agent, probably.
	(gnus-agent-read-servers-validate): Change the level for the "Ignoring
	disappeared server" to something low.  It's not important.

	* nnimap.el (nnimap-get-whole-article): Remove the data that may have
	arrived before the FETCH data.

	* nnmh.el (nnmh-request-expire-articles): Don't try to fetch the expiry
	target here, because we don't know the Gnus name of the group.

	* nndraft.el (nndraft-request-expire-articles): Fetch the expiry target
	for the correct group.

	* gnus-ems.el (gnus-create-image): Ignore all image-creation errors.

	* gnus.el (gnus): Give a final warning after startup.

	* gnus-util.el (gnus-action-message-log): New variable.
	(gnus-message): Use it.
	(gnus-final-warning): New function.

	* nnimap.el (nnimap-open-connection): Record the greeting.
	(nnimap): Add greeting.

2010-09-26  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-show-images): Fix gnus-html-display-image
	arguments.
	(gnus-html-wash-images): Fix spec computing to include start/end.

	* gnus-art.el (gnus-article-treat-body-boundary): Fix length computing.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-expire-articles): Compress ranges before
	deletion.
	(nnimap-retrieve-headers): Don't select the group, because that's
	already done by nnimap-possibly-change-group.

	* gnus-picon.el (gnus-picon-inhibit-top-level-domains): New variable.
	(gnus-picon-transform-address): Use it.

	* mail-source.el (mail-source-value): Revert previous patch.

	* nnimap.el (nnimap-credentials): Allow inhibiting the password query
	on failure.
	(nnimap-open-connection): Look up both virtual and physical server name
	credentials.

	* gnus-win.el: Revert previous patch, since it made Gnus backtrace.

2009-02-08  Dave Love  <fx@gnu.org>

	* gnus-win.el (gnus-window-to-buffer-helper)
	(gnus-all-windows-visible-p): Function needn't be a symbol.

	* mail-source.el (mail-source-value): Function needn't be a symbol.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* message.el (message-cite-prefix-regexp): Remove } from the cite
	prefix.

	* gnus-art.el (gnus-treatment-function-alist): Do picons before
	highlight again, so that the highlight is correct.

	* gnus-picon.el (gnus-picon): Remove again.
	(gnus-picon-create-glyph): Set the background XPM color explicitly.

	* gnus-art.el (gnus-treatment-function-alist): Insert picons after
	doing the header highlightling, so that the background color of the
	picon is correct.

	* gnus-picon.el (gnus-picon-xbm): Remove obsolete face.
	(gnus-picon): Ditto.
	(gnus-picon): Reinstate.  The background color for picons is white.
	(gnus-picon-insert-glyph): Make the background white.

	* nnml.el (nnml-open-nov): Don't return dead buffers.

	* auth-source.el (auth-source-create): Query the user for whether to
	store the credentials.

	* auth-source.el (auth-source-user-or-password): Use the existing auth
	sources, if any, for creation.

	* gnus.el (gnus-group-fast-parameter): Return the last matching
	parameter instead of the first matching parameter.

2010-09-26  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-auto-center-group): Transform into a defcustom.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* mml2015.el (mml2015-use): Remove gpg support.

	* mml1991.el (mml1991-function-alist): Remove gpg function.
	(mml1991-gpg-sign): Remove.

2010-09-26  Andreas Seltenreich  <seltenreich@gmx.de>

	* gnus-srvr.el (gnus-browse-subscribe-newsgroup-method): New variable.
	(gnus-browse-unsubscribe-current-group): Document it.
	(gnus-browse-unsubscribe-group): Use it.

2010-09-26  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-read-ephemeral-bug-group): Add the bug email
	address to the To list for easier response.

	* gnus.el (gnus-play-startup-jingle): Remove.
	(gnus-splash): Don't play jingle.
	(gnus): Silence gnus-load message.

	* gnus-art.el (gnus-treat-play-sounds): Remove.

	* gnus.el (gnus-play-jingle): Remove audio support.

	* gnus-cus.el (gnus-score-customize): Remove audio reference.

	* earcon.el: Remove -- no users.

	* gnus-audio.el: Remove -- no users of this package.

	* gnus-sum.el (gnus-summary-limit-children): Remove nocem support.

	* gnus-start.el (gnus-setup-news): Remove nocem support.

	* gnus-group.el (gnus-group-get-new-news): Remove nocem call.

	* gnus.el (gnus-use-nocem): Remove.

	* gnus-demon.el (gnus-demon-add-nocem, gnus-demon-scan-nocem):
	Remove.

	* gnus-nocem.el (gnus-nocem-issuers): Remove file.  Apparently nobody
	uses NoCeM any more.

	* gnus-art.el (gnus-ctan-url): Seems not very useful -- removed.
	(gnus-button-ctan-handler): Ditto.
	(gnus-button-handle-ctan-bogus-regexp): Ditto.
	(gnus-button-ctan-directory-regexp): Ditto.
	(gnus-button-handle-ctan): Ditto.
	(gnus-button-tex-level): Ditto.
	(gnus-button-alist): Remove CTAN stuff.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-response): Reverse logic in the
	nnimap-streaming test.

	* gnus-start.el (gnus-get-unread-articles): Don't try to open failed
	servers twice.

	* nnimap.el (nnimap-open-connection): Add more error reporting when
	nnimap fails early.

	* nnheader.el (nnheader-get-report-string): New function.
	(nnheader-get-report): Use it.

	* gnus-int.el (gnus-check-server): Say what the error was when opening
	failed.

	* nnimap.el (nnimap-wait-for-response): Search further when we're not
	using streaming.

2010-09-25  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-rescale-image): Use our defalias
	gnus-window-inside-pixel-edges.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-srvr.el (gnus-server-copy-server): Add documentation.

	* mm-decode.el (mm-save-part): Allow saving to other directories the
	normal Emacs way.

	* nndoc.el (nndoc-type-alist): Move mime-parts after mbox.
	Suggested by Jay Berkenbilt.

	* gnus-art.el (gnus-mime-delete-part): Fix plural for "byte" when
	there isn't a single byte.

	* gnus-int.el (gnus-open-server): Don't query whether to go offline --
	just do it.  It doesn't really seem to matter what the user responds
	here, I think, so it's just a confusing question.

	* nnimap.el (nnimap-retrieve-group-data-early): Fix typo in the
	non-streaming case.

	* gnus-art.el (gnus-flush-original-article-buffer): Separate out.
	(gnus-article-encrypt-body): Use it.

	* gnus-sum.el (gnus-summary-show-complete-article): New command and
	keystroke.

	* nnimap.el (nnimap-find-wanted-parts-1):
	Use gnus-fetch-partial-articles.

	* gnus-art.el (gnus-fetch-partial-articles): New variable.

	* nnimap.el (nnimap-insert-partial-structure): New function.
	(nnimap-get-partial-article): New function.
	(nnimap-request-article): Use it.
	(nnimap-wait-for-response): Return whether the wait was successful.
	(nnimap-finish-retrieve-group-infos): Don't do anything if the
	retrieval wasn't successful.
	(nnimap-retrieve-group-data-early): Allow throttling servers.
	(nnimap-streaming): New variable.
	(nnimap-fetch-partial-articles): Remove.

	* mm-decode.el (mm-with-part): Protect against killed buffers.

	* nndraft.el (nndraft-retrieve-headers): Insert Lines and Chars headers
	for prettier summary display.

2010-09-25  Andrew Cohen  <cohen@andy.bu.edu>  (tiny change)

	* nnir.el (nnir-run-imap): Allow sending IMAP search patterns directly.

2010-09-25  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus.el (gnus-local-domain): Put gnus-local-domain back again, since
	apparently third-party libraries depend on it.

	* nnimap.el (nnimap-open-connection): Wait for the response to STARTTLS
	before starting negotiation.

	* gnus-art.el (gnus-treat-from-gravatar): Change default to nil for
	privacy reasons.
	(gnus-treat-mail-gravatar): Ditto.

	* gnus-ems.el (gnus-put-image): Don't put any non-blank text into the
	buffer when inserting images.  Inserting text into the headers, for
	instance, can make them invalid.

2010-09-25  Julien Danjou  <julien@danjou.info>

	* rfc1843.el: Remove useless rfc1843-old-gnus-decode-header-function
	variables.

	* nnheader.el: Remove useless variables news-reply-yank-from and
	news-reply-yank-message-id.

	* mml2015.el: Remove useless mc-default-scheme and mc-schemes
	variables.

	* mml1991.el: Remove useless mml1991-verbose.

	* gnus.el: Remove useless variable gnus-use-generic-from.
	Remove obsolete variable gnus-topic-indentation.

	* gnus-uu.el: Remove useless gnus-uu-shar-file-name.

	* gnus-sum.el: Remove useless gnus-newsgroup-none-id.

	* gnus-picon.el: Remove useless gnus-picon-setup-p variable.

	* gnus-group.el: Remove useless gnus-group-icon-cache.
	Remove useless gnus-ephemeral-group-server.

	* gnus-bookmark.el: Remove useless gnus-bookmark-after-jump-hook.

	* mml2015.el: Remove useless mml2015-verbose.

	* mml-smime.el: Remove useless mml-smime-verbose.

	* gnus.el: Remove useless gnus-local-domain.

	* gnus-gravatar.el (gnus-gravatar-transform-address):
	Use gnus-gravatar-size.

	* gnus-art.el: Remove useless gnus-treat-translate.

2010-09-24  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el: Add support for Gravatars.

	* gnus-art.el: Add support for Gravatars.

	* gnus-gravatar.el: Add this file.

	* gravatar.el: Add this file.

2010-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-summary-fetch-faq): Remove.

	* gnus-group.el (gnus-group-fetch-faq): Remove.

	* gnus.el (gnus-group-faq-directory): Remove.

	* gnus-group.el (gnus-group-fetch-charter): Remove.

	* gnus.el (gnus-group-charter-alist): Remove.

	* gnus-group.el (gnus-group-archive-directory): Remove.
	(gnus-group-recent-archive-directory): Ditto.
	(gnus-group-make-archive-group): Remove.

	* nnimap.el (nnimap-update-info): Protect against nil uidnexts.

	* gnus-cache.el (gnus-cache-braid-heads): When braiding heads, don't
	use the same article number for all the cached articles.

	* nnimap.el (nnimap-command): Register the last command time so
	that we can use it for idling NOOPs.
	(nnimap-open-connection): Start the keeplive timer.
	(nnimap-make-process-buffer): Store all the process buffers.
	(nnimap-keepalive): New function.

	* starttls.el (starttls-open-stream): Add autoload cookie.

2010-09-24  Michael Welsh Duggan  <md5i@md5i.com>  (tiny change)

	* nnimap.el (nnimap-split-incoming-mail): Fix paren typo in the 'junk
	handling.

2010-09-24  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnrss.el (nnrss-retrieve-groups): Change to the group before checking
	its data structures.

	* gnus.el (gnus-sloppily-equal-method-parameters): Use copy-sequence
	instead of the cl.el copy-list.
	(gnus-sloppily-equal-method-parameters): Use equal instead of the cl
	equalp.

2010-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gmm-utils.el (gmm-tool-bar-from-list): Always use tool-bar-local-item
	and tool-bar-local-item-from-menu.

	* gnus-agent.el (gnus-agent-make-mode-line-string): Always use
	mode-line-highlight face for Emacs.

	* gnus-art.el (toplevel): Don't bind recursive-load-depth-limit while
	loading gnus-sum.elc; fix comment for canlock-verify.
	(gnus-article-jump-to-part): Use read-number.
	(gnus-insert-mime-button, gnus-insert-mime-security-button):
	Remove Emacs pre-21 compatible code for help-echo.
	(gnus-article-next-page-1): No need to adjust the number of lines.
	(gnus-article-describe-bindings): Always use help-buffer.

	* gnus-audio.el (gnus-audio-inline-sound):
	* gnus-cus.el (gnus-custom-mode):
	* gnus-group.el (gnus-group-update-tool-bar): Comment fix.

	* gnus-sum.el (gnus-remove-overlays): Doc fix.

	* gnus-util.el (gnus-select-frame-set-input-focus): Remove Emacs 21
	compatible code.

2010-09-24  Glenn Morris  <rgm@gnu.org>

	* message.el (message-output): Use gnus-output-to-rmail if a buffer is
	visiting the fcc file in rmail-mode.

2010-09-24  Katsumi Yamaoka  <yamaoka@jpl.org>

	* nnir.el: Silence the byte compiler.

	* gnus-html.el (gnus-html-encode-url-chars): New function, that's an
	alias to browse-url-url-encode-chars if any.
	(gnus-html-encode-url): Use it.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-use-backend-marks): New variable.
	(gnus-get-unread-articles-in-group): Use it.

	* gnus-sum.el (gnus-summary-local-variables): Prepare for list/range
	makeover.

2010-09-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnimap.el (nnimap-retrieve-headers): Return 'headers.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-fixup-nnimap-unread-after-getting-new-news):
	Remove.
	(gnus-setup-news-hook):
	Remove gnus-fixup-nnimap-unread-after-getting-new-news.

	* gnus-int.el (gnus-request-update-info): Protect against backends not
	having the function.

	* nnimap.el (nnimap-stream): Mention STARTTLS.
	(nnimap-open-connection): Add STARTTLS support.

2010-09-23  Andrew Cohen  <cohen@andy.bu.edu>

	* nnir.el (nnir-run-imap): Fix up nnir to work with the new nnimap.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-transform-headers): Don't bug out on invalid
	BODYSTRUCTUREs.
	(nnimap-transform-headers): Unfold quoted {42} headers.

	* gnus-start.el (gnus-get-unread-articles): Allow backends to update
	the info.
	(gnus-get-unread-articles): Only call updatep on backends that support
	it.

	* nnweb.el (nnweb-request-update-info): NOOP.

	* nnmaildir.el (nnmaildir-request-marks): Rename from -update-info.

	* nnfolder.el (nnfolder-request-marks): Rename from -update-info,
	since it only deals with marks.

	* gnus-int.el (gnus-request-marks): Rename gnus-request-update-info to
	gnus-request-marks, and make a new gnus-request-update-info.

	* nnimap.el (nnimap-update-info): When UIDNEXT is present, use that for
	the active instead of the high number, which is usually too low.

2010-09-23  Teodor Zlatanov  <tzz@lifelogs.com>

	* encrypt.el: Remove.

2010-09-23  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Sync non-standard flags from the
	server in symbolic form.

	* gnus-html.el (gnus-max-image-proportion): Increase proportion to 0.9.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-parse-flags): Parse the data in any order.
	(nnimap-update-info): Fix up code slightly.

	* gnus-int.el (gnus-open-server): Add tracing for performance
	debugging.

	* gnus-group.el (gnus-group-highlight-line): Typo fix: beg, not start.
	(gnus-group-insert-group-line): Pass the real group name so that it
	gets the right data.

	* gnus-start.el (gnus-get-unread-articles): Don't have
	`gnus-get-unread-articles-in-group' update info, since that can be
	really slow and doesn't seem to be needed?

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-insert-group-line):
	Call gnus-group-highlight-line.
	(gnus-group-update-hook): Remove gnus-group-highlight-line from the
	default hook list.
	(gnus-group-update-eval-form): Add new function.
	(gnus-group-highlight-line): Use gnus-group-update-eval-form.
	(gnus-group-get-icon): Use gnus-group-update-eval-form.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-request-expire-articles): If nnmail-expiry-wait is
	immediate, then expire all articles.
	(nnimap-update-info): Fix off-by-one errors.
	(nnimap-flags-to-marks): Would return no marks lists for group with no
	flags.  Instead return the other data.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-group.el (gnus-group-get-icon): Rename gnus-group-add-icon that
	Only return an icon.
	(gnus-group-insert-group-line): Compute icon to return.

	* gnus-html.el (gnus-html-image-automatic-caching): Add custom var.
	(gnus-html-image-fetched): Only cache if
	gnus-html-image-automatic-caching is set.
	(gnus-html-image-fetched): Check for errors.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Only run -request-scan
	once per method on `g'.  This ensures that backends like nnfolder don't
	open all their folders.

	* nnimap.el (nnimap-split-incoming-mail): Delete 'junk.
	(nnimap-request-list): Nix out group in the correct buffer.
	(nnimap-parse-flags): Implement by using `read' instead of
	hand-parsing.
	(nnimap-flags-to-marks): Pass on permanent-flags.
	(nnimap-make-process-buffer): Record the server name.
	(nnimap-parse-flags): Fix typo.
	(nnimap-request-scan): Run split on the server in general, not just a
	single group.

	* nnmail.el (nnmail-split-incoming): Take an optional junk-func
	parameter, and propagate this downwards.

	* nnimap.el (nnimap-request-list): Set the current nnimap group to nil,
	since EXAMINE changes it on the server.

	* gnus-int.el (gnus-request-expire-articles): Inhibit the daemon, since
	this command might take a while.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-put-image): Stop using markers.  They are
	harmful if you have 2 images side-by-side, they can't be properly
	update on text deletion.  Using text-property is safer here.
	(gnus-html-image-fetched): Search also for \r\n\r\n to get the start of
	data.

2010-09-22  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-expunge-inbox): Remove.
	(nnimap-mark-and-expunge-incoming): Use nnimap-expunge instead.
	(nnimap-expunge): Flip default to t.

	* gnus.el (gnus-method-to-server): Don't push things to the cache
	unless it's unique.
	(gnus-server-to-method): Ditto.

2010-09-22  Teodor Zlatanov  <tzz@lifelogs.com>

	* nnimap.el (nnimap-delete-article): Tell user if expunge won't happen.

2010-09-22  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-get-image-data): Search also for \r\n\r\n to
	get the start of data.
	(gnus-html-encode-url): Add this function to encode special chars in
	URL.
	(gnus-html-wash-images): Use gnus-html-encode-url to encode URL.
	(gnus-html-prefetch-images): Use gnus-html-encode-url to encode URL.

	* gnus-group.el (gnus-group-update-hook): Call gnus-group-add-icon by
	default.
	(gnus-group-add-icon): Move to gnus-group.el, and rewrite so it works.

	* gnus-html.el (gnus-html-wash-images): Use xml-substitute-special on
	images alt-text.
	(gnus-html-put-image): Put alt-text as help-echo.

2010-09-22  Katsumi Yamaoka  <yamaoka@jpl.org>

	* mailcap.el (mailcap-parse-mailcap, mailcap-parse-mimetypes):
	* mm-util.el (mm-decompress-buffer):
	* nnir.el (nnir-run-find-grep):
	* pop3.el (pop3-list): Use 3rd arg of split-string.

2010-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-sum.el (gnus-update-marks): Add sanity check to not delete marks
	outside the active range.  Suggested by Dan Christensen.

	* gnus-start.el (gnus-get-unread-articles): Get the extended method
	slightly later to avoid double-getting it.

	* nnml.el (nnml-generate-nov-file): Fix variable name clobbering from
	previous patch.

	* gnus-sum.el (gnus-adjust-marked-articles): Fix another typo.

2010-09-21  Adam Sjøgren  <asjo@koldfront.dk>

	* gnus-sum.el (gnus-adjust-marked-articles): Fix typo.

2010-09-21  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-int.el (gnus-open-server): Give a better error message in the
	"go offline" case.

	* gnus-sum.el (gnus-adjust-marked-articles): Hack to avoid adjusting
	marks for nnimap, which is seldom the right thing to do.

	* gnus.el (gnus-sloppily-equal-method-parameters): Refactor out.
	(gnus-same-method-different-name): New function.

	* nnimap.el (parse-time): Require.

	* gnus-start.el (gnus-get-unread-articles): Fix the prefixed select
	method in the presence of many similar methods.

	* nnmail.el (nnmail-expired-article-p): Fix typo: time-subtract.

	* nnimap.el (nnimap-find-expired-articles): Don't refer to
	nnml-inhibit-expiry.

	* gnus-sum.el (gnus-summary-move-article): Use gnus-server-equal to
	find out whether methods are equal.

	* nnimap.el (nnimap-find-expired-articles): New function.
	(nnimap-process-expiry-targets): New function.
	(nnimap-request-move-article): Request the article before looking at
	what the Message-ID is.  Fix found by Andrew Cohen.
	(nnimap-mark-and-expunge-incoming): Wait for the last sequence.

	* nnmail.el (nnmail-expired-article-p): Allow returning the cutoff time
	for oldness in addition to being a predicate.

	* nnimap.el (nnimap-request-group): When we have zero articles, return
	the right data to Gnus.
	(nnimap-request-expire-articles): Only delete articles immediately if
	the target is 'delete.

	* gnus-sum.el (gnus-summary-move-article): When respooling to the same
	method, this would bug out.

	* gnus-group.el (gnus-group-expunge-group): Rename from
	gnus-group-nnimap-expunge, and implemented as a normal interface
	function.

	* gnus-int.el (gnus-request-expunge-group): New function.

	* nnimap.el (nnimap-request-create-group): Implement.
	(nnimap-request-expunge-group): New function.

2010-09-21  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-image-cache-ttl): Add new variable.
	(gnus-html-cache-expired): Add new function.
	(gnus-html-wash-images): Use `gnus-html-cache-expired' to check
	wethever we should display image for fetch it.
	Compute alt-text earlier to pass it to the fetching function too.
	(gnus-html-schedule-image-fetching): Change function argument to only
	get one image at a time, not a list.
	(gnus-html-image-fetched): Use `url-store-in-cache' to store image in
	cache.
	(gnus-html-get-image-data): New function to retrieve image data from
	cache.
	(gnus-html-put-image): Change buffer argument to use image data rather
	than file, and place image above region rather than inserting a new
	one.  Do not take alt-text as argument, since it's useless now: we place
	the image above alt-text.
	(gnus-html-prune-cache): Remove.
	(gnus-html-show-images): Start to fetch image when we find one, do not
	push into a temporary list.
	(gnus-html-prefetch-images): Only fetch image if they have expired.
	(gnus-html-browse-image): Fix, use 'gnus-image-url.
	(gnus-html-image-map): Add "v" to browse-url on undisplayed image.

2010-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* rfc2047.el (rfc2047-encode-parameter): Doc fix.

2010-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-group.el (gnus-group-line-format-alist): Have the ?U (unseen)
	spec inser "*" if the group isn't active instead of 0.

	* nnimap.el (nnimap-request-group): Don't select the imap buffer before
	opening the server.
	(nnimap-request-delete-group): Implement group deletion.
	(nnimap-transform-headers): Return the size of the entire message in
	the Bytes header, not just the size of the first part.
	(nnimap-request-move-article): When moving an article from nnimap,
	request the article first so the accepting form has an article to
	accept.  Reported by Dan Christensen.
	(nnimap-command): Make sure that the error message doesn't error out.

2010-09-20  David Edmondson  <dme@dme.org>  (tiny change)

	* nnimap.el (nnimap-request-set-mark): Don't wait for a response when
	we haven't requested anything.

2010-09-20  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-fetch-inbox): Use "[]" as the parameter instead of
	"".  Fix found by Andrew Cohen.

	* mail-parse.el (mail-header-encode-parameter): Use -encode-parameter
	instead of -encode-string.

2010-09-20  Katsumi Yamaoka  <yamaoka@jpl.org>

	* gnus-html.el (gnus-html-image-fetched): Pass arg to kill-buffer.

	* gnus-sum.el (gnus-summary-update-mark): Replace subst-char-in-string
	by mm-subst-char-in-string.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-wait-for-connection): Avoid a race condition while
	waiting for the connection string.

	* gnus-html.el (gnus-html-image-fetched): Protect against the data not
	arriving.

	* gnus-start.el (gnus-ignored-newsgroups): Remove [] from the list of
	bogus characters.  This allows selecting certain Gmail groups.

	* nnimap.el (nnimap-find-wanted-parts-1): New function.
	(nnimap-fetch-partial-articles): New variable.
	(nnimap-open-connection): When looking for credentials, also use the
	nnimap-server-port.
	(nnimap-request-article): Return the group/article number, so that Gnus
	`^' works as expected.
	(nnimap-find-wanted-parts-1): Return the MIME parts as IMAP wants them.

	* gnus.el (gnus-similar-server-opened): Refactor a bit and add
	comments.
	(gnus-methods-sloppily-equal): New function.
	(gnus): When using the development version of Gnus, load the gnus-load
	file.

	* gnus-start.el (gnus-get-unread-articles): Make sure that we call
	`gnus-open-server' on each method before trying to scan them etc.
	This ensures that all the backend parameters are set correctly.

	* nnimap.el (nnimap-authenticator): New variable.
	(nnimap-open-connection): Allow anonymous login.
	(nnimap-transform-headers): The chars header is called Chars not Bytes.
	(nnimap-wait-for-response): Don't infloop if the IMAP connection drops.

	* gnus-art.el (gnus-article-describe-briefly): Fix up typo in last
	patch, found by Knut Anders Hatlen.

2010-09-19  Andreas Schwab  <schwab@linux-m68k.org>

	* gnus-agent.el (gnus-agent-batch-confirmation)
	(gnus-agent-expire-group, gnus-agent-expire): Pass proper format string
	to gnus-message.
	* gnus-art.el (gnus-article-describe-briefly): Likewise.
	* gnus-group.el (gnus-group-list-groups, gnus-group-describe-group)
	(gnus-group-edit-global-kill, gnus-group-describe-briefly): Likewise.
	* gnus-int.el (gnus-open-server): Likewise.
	* gnus-score.el (gnus-score-edit-current-scores, gnus-score-edit-file)
	(gnus-score-check-syntax): Likewise.
	* gnus-srvr.el (gnus-browse-describe-briefly): Likewise.
	* gnus-start.el (gnus-read-active-file-1, gnus-read-active-file-1):
	Likewise.
	* gnus-sum.el (gnus-summary-describe-briefly): Likewise.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-html.el (gnus-html-prefetch-images): Fix up the url-retrieve
	calling conventions so that prefetch doesn't bug out.

2010-09-19  Julien Danjou  <julien@danjou.info>

	* gnus-sum.el (gnus-summary-update-mark): Use `subst-char-in-string'
	rather than `subst-char-in-region' in order to be able to replace ASCII
	char by UTF-8 ones.

	* gnus-html.el (gnus-html-prefetch-images): Use `url-retrieve' rather
	than curl.
	(gnus-html-image-fetched): Fix `gnus-html-put-image' call not setting
	the right URL and ALT text on images.
	(gnus-html-wash-tags): Fix tag case.
	Add support for `s' and `ins' tags.  Use gnus-emphasis-* faces.
	(gnus-article-html): Add -o display_ins_del=2 option.
	(gnus-html-wash-tags): Add better support for <ul> tags symbols.

2010-09-19  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnheader.el (nnheader-insert-nov): Protect against junk appearing in
	the extra mail headers, which sometimes seem to happen for unknown
	reasons.

	* mail-parse.el (mail-header-encode-parameter): Define as
	rfc2045-encode-string instead of as rfc2231-encode-string, since some
	(or most, perhaps?) mail readers don't understand the latter, but do
	understand the former.

	* gnus-agent.el (gnus-agent-auto-agentize-methods): Switch the default
	to nil, so that no methods are automatically agentized.  I think this
	is probably what most users want.

	* gnus-html.el (gnus-html-schedule-image-fetching): Ignore all errors
	from url-retrieve, for instance about invalid URLs.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Protect against
	groups that have no articles.
	(nnimap-request-article): Check that we really got an article when we
	requested one.

	* gnus-agent.el (gnus-agent-load-alist): Nix out the alist if the file
	doesn't exist.

	* nnimap.el (nnimap-finish-retrieve-group-infos): Return data in the
	nntp buffer so the agent can save it.
	(nnimap-open-shell-stream): Bind `process-connection-type' to nil, so
	that CRLF doesn't get translated to \n.
	(nnimap-open-connection): Don't make 'shell commands only send \n.

2010-09-19  Stefan Monnier  <monnier@iro.umontreal.ca>

	* nnml.el (nnml-files): Add prefix to dynamic var `files'.
	(nnml-generate-nov-databases-directory, nnml-generate-active-info):
	Update var name.
	(nnml-generate-nov-file): Use dolist.
	(nnml-directory-articles, nnml-current-group-article-to-file-alist):
	Use with-current-buffer.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-schedule-image-fetching): Fetch all images in
	parallel.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): When doing partial marks update, get
	the range update right.
	(nnimap-request-group): Don't make `M-g' bug out on group with no
	marks.
	(nnoo): Require, so that other packages can require nnimap.
	(nnimap-wait-for-response): Be a bit more lax in finding the end of the
	command we're looking for.  This helps when the server sends more
	responses after we've gotten everything we expected.
	(nnimap): Add a `newlinep' field to keep track of end-of-line
	conventions.
	Don't send CRLF to things that don't want it.
	(nnimap-request-accept-article): Ditto.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-schedule-image-fetching): Use `url' rather
	than curl to retrieve images.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-update-info): Extend the info so that we can set
	the marks.
	(nnimap-open-connection): Fix typo -- should be 'shell, not 'stream.
	(nnimap-wait-for-connection): New function.
	(nnimap-open-connection): If we have PREAUTH, don't query for login
	credentials.
	(nnimap-update-info): Fix off-by-one error when concatenating ranges
	when doing a partial update.

2010-09-18  Julien Danjou  <julien@danjou.info>

	* gnus-html.el (gnus-html-wash-tags): Add support for i, b and u HTML
	tags.

2010-09-18  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* nnimap.el (nnimap-credentials): New function.
	(nnimap-open-connection): Use the new function to look for credentials
	also on the numeric equivalents of "imap" and "imaps".

	* gnus-start.el (gnus-activate-group): Send the info to
	gnus-request-group.

	* nnimap.el (nnimap-request-group): Have the "check" version of the
	function parse flags and update the info, so that a `M-g' get a total
	resync of all flags from the group.

	* gnus-int.el (gnus-request-group): Take an optional `info' parameter
	to allow backends to alter the info on group selection.  Also alter all
	the backend -request-group functions to take the parameter.

	* nnimap.el (nnimap-store-info): New function.
	(nnimap-update-info): Store the info for later usage.
	(nnimap-request-group): Use the stored info for the dont-check case, so
	that we don't retrieve all marks when we enter a group.

	* nnimap.el: Use deffoo instead of defun for interface functions.

	* gnus-start.el (gnus-get-unread-articles): Allow the backends to
	update the group info.  This makes the nndraft groups, for instance, go
	back to their old behavior.

	* gnus-sum.el (gnus-select-newsgroup): Indent.

	* nnimap.el (nnimap-possibly-change-group): Return nil if we can't log
	in.
	(nnimap-finish-retrieve-group-infos): Make sure we're not waiting for
	nothing.

	* gnus-start.el (gnus-get-unread-articles): Don't try to scan groups
	from methods that are denied.

	* gnus-int.el (gnus-method-denied-p): New function.

	* nnimap.el (nnimap-open-connection): Use auth-sources to query and
	store the password instead of netrc.
	(nnimap-open-connection): Don't error out when we can't make a
	connections.

	* auth-source.el (auth-source-create): In the password prompt, say what
	we're querying for.  Also prompt for user name if that hasn't been
	given.

	* nnimap.el (nnimap-with-process-buffer): Remove.

2010-09-17  Lars Magne Ingebrigtsen  <larsi@gnus.org>

	* gnus-start.el (gnus-read-active-for-groups): Don't use the "finish"
	method when we're reading from the agent.

	* nnagent.el (nnagent-retrieve-group-data-early): New dummy method.

	* auth-source.el (auth-sources): Add ~/.authinfo to the default, since
	that's probably most useful for users.

	* gnus-int.el (gnus-check-server): Save result so that it doesn't say
	"failed" all the time.

	* gnus.el: Throughout all files, replace (save-excursion (set-buffer
	...)) with (with-current-buffer ...).

	* nntp.el (nntp-open-server): Return whether the open was successful or
	not.

	* gnus-sum.el (gnus-summary-first-subject): Have `unseen-or-unread'
	select an unread unseen article first.

	* nnimap.el (nnimap-open-connection): If the user doesn't have a
	/etc/services, supply some sensible port defaults.

2010-09-17  Julien Danjou  <julien@danjou.info>

	* mm-decode.el (mm-text-html-renderer): Document gnus-article-html.

2010-09-17  Knut Anders Hatlen  <kahatlen@gmail.com>  (tiny change)

